commit CSXCAD for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package CSXCAD for openSUSE:Factory checked 
in at 2017-09-13 22:38:23

Comparing /work/SRC/openSUSE:Factory/CSXCAD (Old)
 and  /work/SRC/openSUSE:Factory/.CSXCAD.new (New)


Package is "CSXCAD"

Wed Sep 13 22:38:23 2017 rev:4 rq:525880 version:0.6.1

Changes:

--- /work/SRC/openSUSE:Factory/CSXCAD/CSXCAD.changes2016-09-11 
00:54:17.0 +0200
+++ /work/SRC/openSUSE:Factory/.CSXCAD.new/CSXCAD.changes   2017-09-13 
22:38:37.253616238 +0200
@@ -1,0 +2,7 @@
+Tue Sep 12 15:41:48 UTC 2017 - stefan.bru...@rwth-aachen.de
+
+- Add explicit BuildRequires for vtk-java, vtk-tcl and python3-vtk, 
+  and Qt5Sql/Qt5Widgets devel packages, as these are no longer
+  implicitly required by vtk-devel
+
+---



Other differences:
--
++ CSXCAD.spec ++
--- /var/tmp/diff_new_pack.O0woAf/_old  2017-09-13 22:38:37.833534588 +0200
+++ /var/tmp/diff_new_pack.O0woAf/_new  2017-09-13 22:38:37.833534588 +0200
@@ -40,13 +40,18 @@
 BuildRequires:  boost-devel
 BuildRequires:  cgal-devel
 BuildRequires:  cmake
+BuildRequires:  cmake(Qt5Sql)
+BuildRequires:  cmake(Qt5Widgets)
 BuildRequires:  fparser-devel
 BuildRequires:  gcc-c++
 BuildRequires:  hdf5-devel
 BuildRequires:  octave-devel
 BuildRequires:  python3-devel
+BuildRequires:  python3-vtk
 BuildRequires:  tinyxml-devel
 BuildRequires:  vtk-devel
+BuildRequires:  vtk-java
+BuildRequires:  vtk-tcl
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description




commit armadillo for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package armadillo for openSUSE:Factory 
checked in at 2017-09-13 22:38:27

Comparing /work/SRC/openSUSE:Factory/armadillo (Old)
 and  /work/SRC/openSUSE:Factory/.armadillo.new (New)


Package is "armadillo"

Wed Sep 13 22:38:27 2017 rev:112 rq:525882 version:8.100.1

Changes:

--- /work/SRC/openSUSE:Factory/armadillo/armadillo.changes  2017-09-09 
20:26:17.820101076 +0200
+++ /work/SRC/openSUSE:Factory/.armadillo.new/armadillo.changes 2017-09-13 
22:38:40.285189402 +0200
@@ -1,0 +2,6 @@
+Tue Sep 12 05:55:54 UTC 2017 - badshah...@gmail.com
+
+- Update to version 8.100.1:
+  + Misc bug fixes.
+
+---

Old:

  armadillo-8.100.0.tar.xz

New:

  armadillo-8.100.1.tar.xz



Other differences:
--
++ armadillo.spec ++
--- /var/tmp/diff_new_pack.TesZFa/_old  2017-09-13 22:38:42.160925304 +0200
+++ /var/tmp/diff_new_pack.TesZFa/_new  2017-09-13 22:38:42.160925304 +0200
@@ -18,7 +18,7 @@
 
 %define soname libarmadillo8
 Name:   armadillo
-Version:8.100.0
+Version:8.100.1
 Release:0
 Summary:C++ matrix library with interfaces to LAPACK and ATLAS
 License:Apache-2.0

++ armadillo-8.100.0.tar.xz -> armadillo-8.100.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/armadillo-8.100.0/docs.html 
new/armadillo-8.100.1/docs.html
--- old/armadillo-8.100.0/docs.html 2016-06-16 18:17:00.0 +0200
+++ new/armadillo-8.100.1/docs.html 2016-06-16 18:17:01.0 +0200
@@ -3731,9 +3731,7 @@
 
 For k  0, the k-th sub-diagonal is accessed (bottom-left 
corner)
 
-
-The diagonal is interpreted as a column vector within expressions
-
+The diagonal is interpreted as a column vector within expressions
 
 
 Examples:
@@ -3751,6 +3749,18 @@
 
 
 
+
+
+NOTE: handling of sparse matrix diagonals has changed slightly in 
Armadillo 8.x;
+to copy sparse diagonal to dense vector, use:
+
+
+sp_mat S = sprandusp_mat(10,10,0.1);
+
+vec v(S.diag());  // copy sparse diagonal to dense vector
+
+
+
 
 
 See also:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/armadillo-8.100.0/include/armadillo_bits/Col_bones.hpp 
new/armadillo-8.100.1/include/armadillo_bits/Col_bones.hpp
--- old/armadillo-8.100.0/include/armadillo_bits/Col_bones.hpp  2016-06-16 
18:17:00.0 +0200
+++ new/armadillo-8.100.1/include/armadillo_bits/Col_bones.hpp  2016-06-16 
18:17:01.0 +0200
@@ -57,14 +57,15 @@
   inline Col& operator=(Col&& m);
   #endif
   
-  inline explicit Col(const SpCol& X);
-  
   inline Col& operator=(const eT val);
   inline Col& operator=(const Col& m);
   
   template inline Col(const Base& X);
   template inline Col&  operator=(const Base& X);
   
+  template inline explicitCol(const SpBase& X);
+  template inline Col&  operator=(const SpBase& X);
+  
   inline Col(  eT* aux_mem, const uword aux_length, const bool 
copy_aux_mem = true, const bool strict = false);
   inline Col(const eT* aux_mem, const uword aux_length);
   
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/armadillo-8.100.0/include/armadillo_bits/Col_meat.hpp 
new/armadillo-8.100.1/include/armadillo_bits/Col_meat.hpp
--- old/armadillo-8.100.0/include/armadillo_bits/Col_meat.hpp   2016-06-16 
18:17:00.0 +0200
+++ new/armadillo-8.100.1/include/armadillo_bits/Col_meat.hpp   2016-06-16 
18:17:01.0 +0200
@@ -322,23 +322,6 @@
 
 template
 inline
-Col::Col(const SpCol& X)
-  : Mat(arma_vec_indicator(), X.n_elem, 1, 1)
-  {
-  arma_extra_debug_sigprint_this(this);
-
-  arrayops::inplace_set(Mat::memptr(), eT(0), X.n_elem);
-
-  for(typename SpCol::const_iterator it = X.begin(); it != X.end(); ++it)
-{
-at(it.row()) = (*it);
-}
-  }
-
-
-
-template
-inline
 Col&
 Col::operator=(const eT val)
   {
@@ -386,6 +369,34 @@
   {
   arma_extra_debug_sigprint();
   
+  Mat::operator=(X.get_ref());
+  
+  return *this;
+  }
+
+
+
+template
+template
+inline
+Col::Col(const SpBase& X)
+  : Mat(arma_vec_indicator(), 1)
+  {
+  arma_extra_debug_sigprint_this(this);
+  
+  Mat::operator=(X.get_ref());
+  }
+
+
+
+template
+template
+inline
+Col&
+Col::operator=(const SpBase& X)
+  {
+  arma_extra_debug_sigprint();
+  
   Mat::operator=(X.get_ref());
   
   return *this;
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/armadillo-8.100.0/include/armadillo_bits/MapMat_meat.hpp 
new/armadillo-8.100.1/include/armadillo_bits/MapMat_meat.hpp
--- 

commit menu-cache for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package menu-cache for openSUSE:Factory 
checked in at 2017-09-13 22:38:11

Comparing /work/SRC/openSUSE:Factory/menu-cache (Old)
 and  /work/SRC/openSUSE:Factory/.menu-cache.new (New)


Package is "menu-cache"

Wed Sep 13 22:38:11 2017 rev:29 rq:525865 version:1.0.2

Changes:

--- /work/SRC/openSUSE:Factory/menu-cache/menu-cache.changes2017-01-12 
15:55:56.498600930 +0100
+++ /work/SRC/openSUSE:Factory/.menu-cache.new/menu-cache.changes   
2017-09-13 22:38:30.722535795 +0200
@@ -1,0 +2,8 @@
+Wed Sep 13 12:57:27 UTC 2017 - mvet...@suse.com
+
+- boo#boo#1044483:
+  - Add menu-cache-1.0.2-until-fd52af6.patch
+  We need a6763eb which tests for multiple daemons.
+  Other fixes are also important/related/good-to-have
+
+---

New:

  menu-cache-1.0.2-until-fd52af6.patch



Other differences:
--
++ menu-cache.spec ++
--- /var/tmp/diff_new_pack.keepb7/_old  2017-09-13 22:38:31.246462028 +0200
+++ /var/tmp/diff_new_pack.keepb7/_new  2017-09-13 22:38:31.250461465 +0200
@@ -24,6 +24,7 @@
 Group:  System/GUI/LXDE
 Url:http://www.lxde.org
 Source0:%{name}-%{version}.tar.xz
+Patch0: menu-cache-1.0.2-until-fd52af6.patch
 BuildRequires:  fdupes
 BuildRequires:  gtk-doc
 BuildRequires:  gtk2-devel
@@ -57,6 +58,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 export CFLAGS="%{optflags}"

++ menu-cache-1.0.2-until-fd52af6.patch ++
diff --git a/NEWS b/NEWS
index dcc572a..0de60f8 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,26 @@
+* Fixed crash with invalid  tag in a menu.
+
+* Added new API menu_cache_app_get_generic_name() to get generic
+name for application.
+
+* Fixed potential access violation, use runtime user dir instead of tmp dir.
+It limits libmenu-cache compatibility to menu-cached >= 0.7.0.
+
+* Directory $XDG_DATA_HOME/applications will be created if it does not
+exist so it will be monitored in any case.
+
+* Fixed issue when subdirectories added would be skipped in monitoring.
+
+* Fixed potential file descriptors leak.
+
+* Reduced inactivity timer to 6 seconds (from 600 seconds).
+
+* Fixed an issue with multiple daemons started: test if daemon is already
+running on socket before killing old socket file.
+
+* Fixed 100% CPU load by menu-cached due to invalid dup2() call.
+
+
 Changes in 1.0.2 since 1.0.1:
 
 * Fixed crash in menu-cached if cache regeneration fails.
diff --git a/libmenu-cache/menu-cache.c b/libmenu-cache/menu-cache.c
index 3bc9cfc..5025d72 100644
--- a/libmenu-cache/menu-cache.c
+++ b/libmenu-cache/menu-cache.c
@@ -3,7 +3,7 @@
  *
  *  Copyright 2008 PCMan 
  *  Copyright 2009 Jürgen Hötzel 
- *  Copyright 2012-2015 Andriy Grytsenko (LStranger) 
+ *  Copyright 2012-2017 Andriy Grytsenko (LStranger) 
  *
  *  This library is free software; you can redistribute it and/or
  *  modify it under the terms of the GNU Lesser General Public
@@ -1233,6 +1233,22 @@ gboolean menu_cache_dir_is_visible(MenuCacheDir *dir)
 return ((dir->flags & FLAG_IS_NODISPLAY) == 0);
 }
 
+/**
+ * menu_cache_app_get_generic_name
+ * @app: a menu cache item
+ *
+ * Retrieves generic name for @app. Returned data are owned by menu
+ * cache and should not be freed by caller.
+ *
+ * Returns: (transfer none): app's generic name or %NULL.
+ *
+ * Since: 1.0.3
+ */
+const char* menu_cache_app_get_generic_name( MenuCacheApp* app )
+{
+   return app->generic_name;
+}
+
 /**
  * menu_cache_app_get_exec
  * @app: a menu cache item
@@ -1522,8 +1538,13 @@ static void get_socket_name( char* buf, int len )
 if(*p)
 *p = '\0';
 }
+#if GLIB_CHECK_VERSION(2, 28, 0)
+g_snprintf( buf, len, "%s/menu-cached-%s", g_get_user_runtime_dir(),
+dpy ? dpy : ":0" );
+#else
 g_snprintf( buf, len, "%s/.menu-cached-%s-%s", g_get_tmp_dir(),
 dpy ? dpy : ":0", g_get_user_name() );
+#endif
 g_free(dpy);
 }
 
@@ -1698,6 +1719,9 @@ retry:
 G_UNLOCK(connect);
 return FALSE;
 }
+
+fcntl (fd, F_SETFD, FD_CLOEXEC);
+
 memset(, 0, sizeof(addr));
 addr.sun_family = AF_UNIX;
 
diff --git a/libmenu-cache/menu-cache.h.in b/libmenu-cache/menu-cache.h.in
index 76ea7b4..cded59d 100644
--- a/libmenu-cache/menu-cache.h.in
+++ b/libmenu-cache/menu-cache.h.in
@@ -151,6 +151,7 @@ MenuCacheItem *menu_cache_find_child_by_name(MenuCacheDir 
*dir, const char *name
 
 char* menu_cache_dir_make_path( MenuCacheDir* dir );
 
+const char* menu_cache_app_get_generic_name( MenuCacheApp* app );
 const char* menu_cache_app_get_exec( MenuCacheApp* 

commit liblxqt for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package liblxqt for openSUSE:Factory checked 
in at 2017-09-13 22:38:13

Comparing /work/SRC/openSUSE:Factory/liblxqt (Old)
 and  /work/SRC/openSUSE:Factory/.liblxqt.new (New)


Package is "liblxqt"

Wed Sep 13 22:38:13 2017 rev:8 rq:525867 version:0.11.1

Changes:

--- /work/SRC/openSUSE:Factory/liblxqt/liblxqt.changes  2017-03-12 
19:58:58.224457968 +0100
+++ /work/SRC/openSUSE:Factory/.liblxqt.new/liblxqt.changes 2017-09-13 
22:38:31.638406844 +0200
@@ -1,0 +2,7 @@
+Wed Sep 13 11:47:59 UTC 2017 - mvet...@suse.com
+
+- boo#1044483:
+  * Add liblxqt-0.11.1-allow-disabl-lxqt-session.patch
+to allow disabling of lxqt-session
+
+---

New:

  liblxqt-0.11.1-allow-disabl-lxqt-session.patch



Other differences:
--
++ liblxqt.spec ++
--- /var/tmp/diff_new_pack.PempjW/_old  2017-09-13 22:38:32.166332513 +0200
+++ /var/tmp/diff_new_pack.PempjW/_new  2017-09-13 22:38:32.170331950 +0200
@@ -26,6 +26,7 @@
 Source: 
http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
 Source1:
http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz.asc
 Source2:%{name}.keyring
+Patch0: liblxqt-0.11.1-allow-disabl-lxqt-session.patch
 BuildRequires:  cmake >= 3.0.2
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -71,6 +72,7 @@
 
 %prep
 %setup -q -n liblxqt-%{version}
+%patch0 -p1
 
 %build
 %cmake -DPULL_TRANSLATIONS=No

++ liblxqt-0.11.1-allow-disabl-lxqt-session.patch ++
>From f3f824c85811596bc8886b86f31b5f37c2480736 Mon Sep 17 00:00:00 2001
From: Palo Kisa 
Date: Wed, 28 Jun 2017 09:25:43 +0200
Subject: [PATCH] lxqtpower: Allow disabling of lxqt-session provider

To allow usage of LXQt::Power object inside of lxqt-session (handling
the called method of LXQtSessionProvider) we need to avoid recurently
calling lxqt-session itself.
---
 lxqtpower/lxqtpower.cpp  | 10 --
 lxqtpower/lxqtpower.h| 12 ++--
 lxqtpower/lxqtpowerproviders.cpp | 36 +---
 3 files changed, 43 insertions(+), 15 deletions(-)

diff --git a/lxqtpower/lxqtpower.cpp b/lxqtpower/lxqtpower.cpp
index 742793b..07cd19e 100644
--- a/lxqtpower/lxqtpower.cpp
+++ b/lxqtpower/lxqtpower.cpp
@@ -33,15 +33,21 @@
 
 using namespace LXQt;
 
-Power::Power(QObject *parent) :
+Power::Power(bool useLxqtSessionProvider, QObject * parent /*= nullptr*/) :
 QObject(parent)
 {
 mProviders.append(new CustomProvider(this));
+if (useLxqtSessionProvider)
+mProviders.append(new LXQtProvider(this));
 mProviders.append(new SystemdProvider(this));
 mProviders.append(new UPowerProvider(this));
 mProviders.append(new ConsoleKitProvider(this));
 mProviders.append(new LxSessionProvider(this));
-mProviders.append(new LXQtProvider(this));
+}
+
+Power::Power(QObject * parent /*= nullptr*/)
+: Power(true, parent)
+{
 }
 
 
diff --git a/lxqtpower/lxqtpower.h b/lxqtpower/lxqtpower.h
index f738b46..98b021e 100644
--- a/lxqtpower/lxqtpower.h
+++ b/lxqtpower/lxqtpower.h
@@ -56,8 +56,16 @@ class LXQT_API Power : public QObject
 PowerSuspend/// Suspend the computer
 };
 
-/// Constructs a Power with parent.
-explicit Power(QObject *parent = 0);
+/*!
+ * Constructs the Power object.
+ * \param useLxqtSessionProvider indicates if the DBus methods
+ * provided by lxqt-session should be considered. This is useful to
+ * avoid recursion if the lxqt-session wants to provide some of the
+ * methods by itself with internal use of this object.
+ */
+explicit Power(bool useLxqtSessionProvider, QObject *parent = nullptr);
+/// Constructs a Power with using the lxqt-session provider.
+explicit Power(QObject *parent = nullptr);
 
 /// Destroys the object.
 virtual ~Power();
diff --git a/lxqtpower/lxqtpowerproviders.cpp b/lxqtpower/lxqtpowerproviders.cpp
index 1304e05..3907cc7 100644
--- a/lxqtpower/lxqtpowerproviders.cpp
+++ b/lxqtpower/lxqtpowerproviders.cpp
@@ -500,31 +500,45 @@ LXQtProvider::~LXQtProvider()
 
 bool LXQtProvider::canAction(Power::Action action) const
 {
+QString command;
 switch (action)
 {
 case Power::PowerLogout:
-// there can be case when razo-session does not run
-return dbusCall(LXQT_SERVICE, LXQT_PATH, LXQT_SERVICE,
-QDBusConnection::sessionBus(), "canLogout",
-PowerProvider::DontCheckDBUS);
+command = "canLogout";
+break;
+case Power::PowerReboot:
+command = "canReboot";
+break;
+case 

commit rebootmgr for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rebootmgr for openSUSE:Factory 
checked in at 2017-09-13 22:38:18

Comparing /work/SRC/openSUSE:Factory/rebootmgr (Old)
 and  /work/SRC/openSUSE:Factory/.rebootmgr.new (New)


Package is "rebootmgr"

Wed Sep 13 22:38:18 2017 rev:6 rq:525878 version:0.15

Changes:

--- /work/SRC/openSUSE:Factory/rebootmgr/rebootmgr.changes  2017-04-03 
11:06:02.439776115 +0200
+++ /work/SRC/openSUSE:Factory/.rebootmgr.new/rebootmgr.changes 2017-09-13 
22:38:33.134196241 +0200
@@ -1,0 +2,6 @@
+Wed Sep 13 15:46:09 CEST 2017 - ku...@suse.de
+
+- Update to version 0.15
+  - Adjust for systemd >= 230
+
+---

Old:

  rebootmgr-0.14.tar.bz2

New:

  rebootmgr-0.15.tar.bz2



Other differences:
--
++ rebootmgr.spec ++
--- /var/tmp/diff_new_pack.dbU0ve/_old  2017-09-13 22:38:33.622127541 +0200
+++ /var/tmp/diff_new_pack.dbU0ve/_new  2017-09-13 22:38:33.626126978 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   rebootmgr
-Version:0.14
+Version:0.15
 Release:0
 Summary:Automatic controlled reboot during a maintenance window
 License:GPL-2.0 and LGPL-2.1+

++ rebootmgr-0.14.tar.bz2 -> rebootmgr-0.15.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rebootmgr-0.14/NEWS new/rebootmgr-0.15/NEWS
--- old/rebootmgr-0.14/NEWS 2017-03-31 13:26:33.0 +0200
+++ new/rebootmgr-0.15/NEWS 2017-09-13 15:43:46.0 +0200
@@ -2,6 +2,9 @@
 
 Copyright (C) 2016, 2017 Thorsten Kukuk
 
+Version 0.15
+* Adjust for systemd >= 230
+
 Version 0.14
 * Allow to have no maintenance window configured [bsc#1031619]
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rebootmgr-0.14/configure new/rebootmgr-0.15/configure
--- old/rebootmgr-0.14/configure2017-03-31 13:26:59.0 +0200
+++ new/rebootmgr-0.15/configure2017-09-13 15:43:05.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for rebootmgr 0.14.
+# Generated by GNU Autoconf 2.69 for rebootmgr 0.15.
 #
 #
 # Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
@@ -577,8 +577,8 @@
 # Identity of this package.
 PACKAGE_NAME='rebootmgr'
 PACKAGE_TARNAME='rebootmgr'
-PACKAGE_VERSION='0.14'
-PACKAGE_STRING='rebootmgr 0.14'
+PACKAGE_VERSION='0.15'
+PACKAGE_STRING='rebootmgr 0.15'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
 
@@ -1326,7 +1326,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures rebootmgr 0.14 to adapt to many kinds of systems.
+\`configure' configures rebootmgr 0.15 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1396,7 +1396,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
- short | recursive ) echo "Configuration of rebootmgr 0.14:";;
+ short | recursive ) echo "Configuration of rebootmgr 0.15:";;
esac
   cat <<\_ACEOF
 
@@ -1511,7 +1511,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-rebootmgr configure 0.14
+rebootmgr configure 0.15
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -1876,7 +1876,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by rebootmgr $as_me 0.14, which was
+It was created by rebootmgr $as_me 0.15, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -2740,7 +2740,7 @@
 
 # Define the identity of the package.
  PACKAGE='rebootmgr'
- VERSION='0.14'
+ VERSION='0.15'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -8627,7 +8627,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by rebootmgr $as_me 0.14, which was
+This file was extended by rebootmgr $as_me 0.15, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   CONFIG_FILES= $CONFIG_FILES
@@ -8693,7 +8693,7 @@
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; 
s/[\\""\`\$]/&/g'`"
 ac_cs_version="\\
-rebootmgr config.status 0.14
+rebootmgr config.status 0.15
 configured by $0, generated by GNU Autoconf 2.69,
   with options \\"\$ac_cs_config\\"
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rebootmgr-0.14/configure.ac 

commit openEMS for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package openEMS for openSUSE:Factory checked 
in at 2017-09-13 22:38:21

Comparing /work/SRC/openSUSE:Factory/openEMS (Old)
 and  /work/SRC/openSUSE:Factory/.openEMS.new (New)


Package is "openEMS"

Wed Sep 13 22:38:21 2017 rev:5 rq:525879 version:0.0.34

Changes:

--- /work/SRC/openSUSE:Factory/openEMS/openEMS.changes  2017-01-09 
11:54:11.239306698 +0100
+++ /work/SRC/openSUSE:Factory/.openEMS.new/openEMS.changes 2017-09-13 
22:38:33.934083619 +0200
@@ -1,0 +2,7 @@
+Wed Sep 13 02:12:34 UTC 2017 - stefan.bru...@rwth-aachen.de
+
+- Add explicit BuildRequires for vtk-java, vtk-tcl and python3-vtk, 
+  and Qt5Sql/Qt5Widgets devel packages, as these are no longer
+  implicitly required by vtk-devel
+
+---



Other differences:
--
++ openEMS.spec ++
--- /var/tmp/diff_new_pack.rLrhNW/_old  2017-09-13 22:38:34.506003095 +0200
+++ /var/tmp/diff_new_pack.rLrhNW/_new  2017-09-13 22:38:34.506003095 +0200
@@ -40,11 +40,16 @@
 BuildRequires:  CSXCAD-devel
 BuildRequires:  boost-devel
 BuildRequires:  cmake
+BuildRequires:  cmake(Qt5Sql)
+BuildRequires:  cmake(Qt5Widgets)
 BuildRequires:  gcc-c++
 BuildRequires:  hdf5-devel
 BuildRequires:  octave-devel
+BuildRequires:  python3-vtk
 BuildRequires:  tinyxml-devel
 BuildRequires:  vtk-devel
+BuildRequires:  vtk-java
+BuildRequires:  vtk-tcl
 BuildRequires:  pkgconfig(fparser)
 BuildRequires:  pkgconfig(python3)
 BuildRequires:  pkgconfig(sm)




commit lxqt-session for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package lxqt-session for openSUSE:Factory 
checked in at 2017-09-13 22:38:15

Comparing /work/SRC/openSUSE:Factory/lxqt-session (Old)
 and  /work/SRC/openSUSE:Factory/.lxqt-session.new (New)


Package is "lxqt-session"

Wed Sep 13 22:38:15 2017 rev:8 rq:525868 version:0.11.1

Changes:

--- /work/SRC/openSUSE:Factory/lxqt-session/lxqt-session.changes
2017-03-13 15:33:29.306234450 +0100
+++ /work/SRC/openSUSE:Factory/.lxqt-session.new/lxqt-session.changes   
2017-09-13 22:38:32.326309989 +0200
@@ -1,0 +2,9 @@
+Wed Sep 13 12:34:35 UTC 2017 - mvet...@suse.com
+
+- boo#1044483:
+  * Add lxqt-session-0.11.1-string-encoding.patch
+to have new string encoding
+  * Add lxqt-session-0.11.1-add-poweroff.patch
+add option to power off
+
+---

New:

  lxqt-session-0.11.1-add-poweroff.patch
  lxqt-session-0.11.1-string-encoding.patch



Other differences:
--
++ lxqt-session.spec ++
--- /var/tmp/diff_new_pack.rJ5H64/_old  2017-09-13 22:38:32.934224396 +0200
+++ /var/tmp/diff_new_pack.rJ5H64/_new  2017-09-13 22:38:32.934224396 +0200
@@ -26,6 +26,8 @@
 Source0:
http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
 Source1:
http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz.asc
 Source2:%{name}.keyring
+Patch0: lxqt-session-0.11.1-string-encoding.patch
+Patch1: lxqt-session-0.11.1-add-poweroff.patch
 BuildRequires:  cmake >= 3.0.2
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -51,6 +53,8 @@
 
 %prep
 %setup -q
+%patch0 -p1
+%patch1 -p1
 # Changing LXQt into X-LXQt in desktop files to be freedesktop compliant and 
shut rpmlint warnings
 #find -name '*desktop.in*' -exec sed -ri 's/(LXQt;)/X-\1/' {} +
 

++ lxqt-session-0.11.1-add-poweroff.patch ++
>From c0f743cf3185b85524ab8b99b1e9497c04ed2aa2 Mon Sep 17 00:00:00 2001
From: Palo Kisa 
Date: Fri, 7 Jul 2017 09:00:22 +0200
Subject: [PATCH] lxqt-session: Provide reboot/powerOff methods

By providing the reboot/powerOff mehotds we are trying to terminate the
running processes/modules in prefered order (the logout procedure should
know how to do it). After that invoke the particular reboot/shutdown.

W/o the logout before reboot/shutdown the reboot/shutdown provider
(namely systemd) was terminating all proceses in undefined (random?)
order which could lead to insane shutdown and/or deadlocks with poorly
written applications/libraries.
---
 lxqt-session/src/lxqtmodman.cpp |  5 +++--
 lxqt-session/src/lxqtmodman.h   |  2 +-
 lxqt-session/src/sessionapplication.cpp |  2 +-
 lxqt-session/src/sessiondbusadaptor.h   | 31 +--
 4 files changed, 34 insertions(+), 6 deletions(-)

diff --git a/lxqt-session/src/lxqtmodman.cpp b/lxqt-session/src/lxqtmodman.cpp
index 38f7548..2126296 100644
--- a/lxqt-session/src/lxqtmodman.cpp
+++ b/lxqt-session/src/lxqtmodman.cpp
@@ -347,7 +347,7 @@ LXQtModuleManager::~LXQtModuleManager()
 /**
 * @brief this logs us out by terminating our session
 **/
-void LXQtModuleManager::logout()
+void LXQtModuleManager::logout(bool doExit)
 {
 // modules
 ModulesMapIterator i(mNameMap);
@@ -377,7 +377,8 @@ void LXQtModuleManager::logout()
 mWmProcess->kill();
 }
 
-QCoreApplication::exit(0);
+if (doExit)
+QCoreApplication::exit(0);
 }
 
 QString LXQtModuleManager::showWmSelectDialog()
diff --git a/lxqt-session/src/lxqtmodman.h b/lxqt-session/src/lxqtmodman.h
index 1650cf3..69442ce 100644
--- a/lxqt-session/src/lxqtmodman.h
+++ b/lxqt-session/src/lxqtmodman.h
@@ -96,7 +96,7 @@ public slots:
 gracefully (to kill it if it is not possible). Then the session
 exits - it returns to the kdm/gdm in most cases.
 */
-void logout();
+void logout(bool doExit);
 
 signals:
 void moduleStateChanged(QString moduleName, bool state);
diff --git a/lxqt-session/src/sessionapplication.cpp 
b/lxqt-session/src/sessionapplication.cpp
index 26637ed..a584993 100644
--- a/lxqt-session/src/sessionapplication.cpp
+++ b/lxqt-session/src/sessionapplication.cpp
@@ -61,7 +61,7 @@ SessionApplication::SessionApplication(int& argc, char** 
argv) :
 qputenv("LXQT_SESSION_CONFIG", configName.toLocal8Bit());
 
 modman = new LXQtModuleManager(winmanager);
-connect(this, ::Application::unixSignal, modman, 
::logout);
+connect(this, ::Application::unixSignal, modman, [this] { 
modman->logout(true); });
 new SessionDBusAdaptor(modman);
 // connect to D-Bus and register as an object:
 QDBusConnection::sessionBus().registerService("org.lxqt.session");
diff --git 

commit gcompris-qt-voices for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package gcompris-qt-voices for 
openSUSE:Factory checked in at 2017-09-13 22:37:58

Comparing /work/SRC/openSUSE:Factory/gcompris-qt-voices (Old)
 and  /work/SRC/openSUSE:Factory/.gcompris-qt-voices.new (New)


Package is "gcompris-qt-voices"

Wed Sep 13 22:37:58 2017 rev:4 rq:525835 version:0~20170826

Changes:

--- /work/SRC/openSUSE:Factory/gcompris-qt-voices/gcompris-qt-voices.changes
2016-12-29 22:50:27.956506274 +0100
+++ 
/work/SRC/openSUSE:Factory/.gcompris-qt-voices.new/gcompris-qt-voices.changes   
2017-09-13 22:38:05.886032706 +0200
@@ -1,0 +2,14 @@
+Wed Sep 13 11:40:20 UTC 2017 - br...@ioda-net.ch
+
+- Update version to its real state 20170826
+- Fix provide version to be equal to main package
+
+---
+Sat Aug 26 14:44:52 UTC 2017 - br...@ioda-net.ch
+
+- Refrech content for gcompris-qt release 0.80
+  * Updated LICENSE file with the upstream changes.
+Renamed, deleted, added files.
+- Packaging : change requires to gcomprit-qt
+
+---



Other differences:
--
++ gcompris-qt-voices.spec ++
--- /var/tmp/diff_new_pack.x4teQw/_old  2017-09-13 22:38:25.523267837 +0200
+++ /var/tmp/diff_new_pack.x4teQw/_new  2017-09-13 22:38:25.527267274 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package gcompris-qt-voices
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   gcompris-qt-voices
-Version:0~20161224
+Version:0~20170826
 Release:0
 Summary:Voice files for gcompris-qt
 License:GPL-2.0+ and GPL-3.0+ and CC-BY-SA-1.0+ and GFDL-1.1+ and 
SUSE-Public-Domain and SUSE-Free-Art-1.3
@@ -28,8 +28,8 @@
 Source3:LICENSE
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
-Requires:   %{name} = %{version}
-Provides:   gcompris-voices = %{version}
+Requires:   gcompris-qt >= 0.80
+Provides:   gcompris-voices = 0.80
 Provides:   locale(gcompris:ar)
 
 %description

++ LICENSE ++
--- /var/tmp/diff_new_pack.x4teQw/_old  2017-09-13 22:38:25.579259953 +0200
+++ /var/tmp/diff_new_pack.x4teQw/_new  2017-09-13 22:38:25.583259391 +0200
@@ -908,7 +908,6 @@
 details.ogg  Antoni Bella Pérez 2015 / GPL
 doubleentry.ogg  Antoni Bella Pérez 2015 / GPL
 draw.ogg  Antoni Bella Pérez 2015 / GPL
-drawnumber.ogg  Antoni Bella Pérez 2015 / GPL
 electric.ogg  Antoni Bella Pérez 2015 / GPL
 enumerate.ogg  Antoni Bella Pérez 2015 / GPL
 erase.ogg  Antoni Bella Pérez 2015 / GPL
@@ -937,7 +936,7 @@
 instruments.ogg  Antoni Bella Pérez 2015 / GPL
 intro_gravity.ogg  Antoni Bella Pérez 2015 / GPL
 land_safe.ogg  Antoni Bella Pérez 2015 / GPL
-lang-nature.ogg  Antoni Bella Pérez 2015 / GPL
+lang.ogg  Antoni Bella Pérez 2015 / GPL
 leftright.ogg  Antoni Bella Pérez 2015 / GPL
 lightsoff.ogg  Antoni Bella Pérez 2015 / GPL
 louis-braille.ogg  Antoni Bella Pérez 2015 / GPL
@@ -963,10 +962,11 @@
 mosaic.ogg  Antoni Bella Pérez 2015 / GPL
 movelearn.ogg  Antoni Bella Pérez 2015 / GPL
 note_names.ogg  Antoni Bella Pérez 2015 / GPL
+number_sequence.ogg  Antoni Bella Pérez 2015 / GPL
 paintings.ogg  Antoni Bella Pérez 2015 / GPL
 paratrooper.ogg  Antoni Bella Pérez 2015 / GPL
 penalty.ogg  Antoni Bella Pérez 2015 / GPL
-photohunter.ogg  Antoni Bella Pérez 2015 / GPL
+photo_hunter.ogg  Antoni Bella Pérez 2015 / GPL
 piano_composition.ogg  Antoni Bella Pérez 2015 / GPL
 place_your_satellite.ogg  Antoni Bella Pérez 2015 / GPL
 planegame.ogg  Antoni Bella Pérez 2015 / GPL
@@ -3322,7 +3322,6 @@
 details.ogg  Julia Wycherley / GPL 3+
 doubleentry.ogg  Julia Wycherley / GPL 3+
 draw.ogg  Julia Wycherley / GPL 3+
-drawnumber.ogg  Julia Wycherley / GPL 3+
 electric.ogg  Julia Wycherley / GPL 3+
 enumerate.ogg  Julia Wycherley / GPL 3+
 erase.ogg  Julia Wycherley / GPL 3+
@@ -3353,10 +3352,7 @@
 instruments.ogg  Julia Wycherley / GPL 3+
 intro_gravity.ogg  Julia Wycherley / GPL 3+
 land_safe.ogg  Julia Wycherley / GPL 3+
-lang-nature.ogg  Julia Wycherley / GPL 3+
-lang-object.ogg  Julia Wycherley / GPL 3+
-lang-other.ogg  Julia Wycherley / GPL 3+
-lang-people.ogg  Julia Wycherley / GPL 3+
+lang.ogg  Julia Wycherley / GPL 3+
 leftright.ogg  Julia Wycherley / GPL 3+
 lightsoff.ogg  Julia Wycherley / GPL 3+
 louis-braille.ogg  Julia Wycherley / GPL 3+
@@ -3396,10 +3392,11 @@
 mosaic.ogg  Julia Wycherley / GPL 3+
 movelearn.ogg  Julia Wycherley / GPL 3+
 note_names.ogg  Julia 

commit python-libvirt-python for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package python-libvirt-python for 
openSUSE:Factory checked in at 2017-09-13 22:38:30

Comparing /work/SRC/openSUSE:Factory/python-libvirt-python (Old)
 and  /work/SRC/openSUSE:Factory/.python-libvirt-python.new (New)


Package is "python-libvirt-python"

Wed Sep 13 22:38:30 2017 rev:2 rq:525884 version:3.6.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-libvirt-python/python-libvirt-python.changes  
2017-08-12 19:33:44.985530770 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-libvirt-python.new/python-libvirt-python.changes
 2017-09-13 22:38:45.160502973 +0200
@@ -1,0 +2,5 @@
+Wed Sep 13 09:03:07 UTC 2017 - tbecht...@suse.com
+
+- Only the python2 package should provide libvirt-python .
+
+---



Other differences:
--
++ python-libvirt-python.spec ++
--- /var/tmp/diff_new_pack.gSZ0K4/_old  2017-09-13 22:38:45.708425827 +0200
+++ /var/tmp/diff_new_pack.gSZ0K4/_new  2017-09-13 22:38:45.712425264 +0200
@@ -17,8 +17,8 @@
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
-Name:   python-libvirt-python
 %define srcname libvirt-python
+Name:   python-libvirt-python
 Url:http://libvirt.org/
 Version:3.6.0
 Release:0
@@ -34,9 +34,10 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module xml}
-
+%ifpython2
 Provides:   libvirt-python = %{version}
 Obsoletes:  libvirt-python < %{version}
+%endif
 
 %python_subpackages
 





commit python-pymod2pkg for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package python-pymod2pkg for 
openSUSE:Factory checked in at 2017-09-13 22:38:10

Comparing /work/SRC/openSUSE:Factory/python-pymod2pkg (Old)
 and  /work/SRC/openSUSE:Factory/.python-pymod2pkg.new (New)


Package is "python-pymod2pkg"

Wed Sep 13 22:38:10 2017 rev:8 rq:525860 version:0.10.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pymod2pkg/python-pymod2pkg.changes
2017-09-12 19:58:17.998568522 +0200
+++ /work/SRC/openSUSE:Factory/.python-pymod2pkg.new/python-pymod2pkg.changes   
2017-09-13 22:38:29.918648980 +0200
@@ -1,0 +2,7 @@
+Wed Sep 13 13:31:17 UTC 2017 - cloud-de...@suse.de
+
+- update to version 0.10.0
+  - Add SUSE exception for python-devel
+  - Add mapping for unversioned names
+
+---

Old:

  pymod2pkg-0.9.0.tar.gz

New:

  pymod2pkg-0.10.0.tar.gz



Other differences:
--
++ python-pymod2pkg.spec ++
--- /var/tmp/diff_new_pack.E51szK/_old  2017-09-13 22:38:30.522563951 +0200
+++ /var/tmp/diff_new_pack.E51szK/_new  2017-09-13 22:38:30.522563951 +0200
@@ -18,7 +18,7 @@
 
 %global sname pymod2pkg
 Name:   python-pymod2pkg
-Version:0.9.0
+Version:0.10.0
 Release:0
 Summary:OpenStack Packaging - python module name to package name map
 License:Apache-2.0

++ _service ++
--- /var/tmp/diff_new_pack.E51szK/_old  2017-09-13 22:38:30.558558882 +0200
+++ /var/tmp/diff_new_pack.E51szK/_new  2017-09-13 22:38:30.562558320 +0200
@@ -1,6 +1,6 @@
 
   
-https://raw.githubusercontent.com/openstack/rpm-packaging/openstack/pymod2pkg/pymod2pkg.spec.j2
+https://raw.githubusercontent.com/openstack/rpm-packaging/master/openstack/pymod2pkg/pymod2pkg.spec.j2
 python-pymod2pkg.spec
 https://raw.githubusercontent.com/openstack/rpm-packaging/master/global-requirements.txt
 cloud-de...@suse.de

++ pymod2pkg-0.9.0.tar.gz -> pymod2pkg-0.10.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pymod2pkg-0.9.0/ChangeLog 
new/pymod2pkg-0.10.0/ChangeLog
--- old/pymod2pkg-0.9.0/ChangeLog   2017-09-12 14:35:43.0 +0200
+++ new/pymod2pkg-0.10.0/ChangeLog  2017-09-13 15:09:39.0 +0200
@@ -1,6 +1,12 @@
 CHANGES
 ===
 
+0.10.0
+--
+
+* Add mapping for unversioned names
+* Add SUSE exception for python-devel
+
 0.9.0
 -
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pymod2pkg-0.9.0/PKG-INFO 
new/pymod2pkg-0.10.0/PKG-INFO
--- old/pymod2pkg-0.9.0/PKG-INFO2017-09-12 14:35:44.0 +0200
+++ new/pymod2pkg-0.10.0/PKG-INFO   2017-09-13 15:09:40.0 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: pymod2pkg
-Version: 0.9.0
+Version: 0.10.0
 Summary: python module name to package name map
 Home-page: https://docs.openstack.org/pymod2pkg/latest/
 Author: OpenStack
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pymod2pkg-0.9.0/pymod2pkg/__init__.py 
new/pymod2pkg-0.10.0/pymod2pkg/__init__.py
--- old/pymod2pkg-0.9.0/pymod2pkg/__init__.py   2017-09-12 14:33:37.0 
+0200
+++ new/pymod2pkg-0.10.0/pymod2pkg/__init__.py  2017-09-13 15:07:39.0 
+0200
@@ -22,9 +22,18 @@
 
 
 class SingleRule(TranslationRule):
-def __init__(self, mod, pkg, py3pkg=None, distmap=None):
+"""
+Translate a given module name
+
+mod: the python module name (usually the pypi name)
+pkg: the unversioned translated package name
+py2pkg: the python2 versioned translated package name
+py3pkg: the python3 versioned translated package name
+"""
+def __init__(self, mod, pkg, py2pkg=None, py3pkg=None, distmap=None):
 self.mod = mod
 self.pkg = pkg
+self.py2pkg = py2pkg if py2pkg else pkg
 self.py3pkg = py3pkg if py3pkg else pkg
 self.distmap = distmap
 
@@ -35,7 +44,7 @@
 for distrex in self.distmap:
 if re.match(distrex, dist):
 return self.distmap[distrex]
-return (self.pkg, self.py3pkg)
+return (self.pkg, self.py2pkg, self.py3pkg)
 
 
 class MultiRule(TranslationRule):
@@ -45,8 +54,8 @@
 
 def __call__(self, mod, dist):
 if mod in self.mods:
-pkg, pkg3 = self.pkgfun(mod)
-return (pkg, pkg3)
+pkg, py2pkg, py3pkg = self.pkgfun(mod)
+return (pkg, py2pkg, py3pkg)
 return None
 
 
@@ -57,109 +66,137 @@
 
 def __call__(self, mod, dist):
 if re.match(self.pattern, mod):
-pkg, pkg3 = self.pkgfun(mod)
-return (pkg, pkg3)
+pkg, py2pkg, py3pkg = 

commit transactional-update for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package transactional-update for 
openSUSE:Factory checked in at 2017-09-13 22:37:45

Comparing /work/SRC/openSUSE:Factory/transactional-update (Old)
 and  /work/SRC/openSUSE:Factory/.transactional-update.new (New)


Package is "transactional-update"

Wed Sep 13 22:37:45 2017 rev:13 rq:525184 version:1.20

Changes:

--- 
/work/SRC/openSUSE:Factory/transactional-update/transactional-update.changes
2017-06-30 18:43:46.298235447 +0200
+++ 
/work/SRC/openSUSE:Factory/.transactional-update.new/transactional-update.changes
   2017-09-13 22:38:05.026153774 +0200
@@ -1,0 +2,7 @@
+Wed Sep 13 11:24:28 CEST 2017 - ku...@suse.de
+
+- Update to version 1.20
+  - Improve documentation
+  - Add pkg update option
+
+---

Old:

  transactional-update-1.19.tar.bz2

New:

  transactional-update-1.20.tar.bz2



Other differences:
--
++ transactional-update.spec ++
--- /var/tmp/diff_new_pack.0LUeY8/_old  2017-09-13 22:38:05.598073249 +0200
+++ /var/tmp/diff_new_pack.0LUeY8/_new  2017-09-13 22:38:05.602072686 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   transactional-update
-Version:1.19
+Version:1.20
 Release:0
 Summary:Transactional Updates with btrfs and snapshots
 License:GPL-2.0+

++ transactional-update-1.19.tar.bz2 -> transactional-update-1.20.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transactional-update-1.19/NEWS 
new/transactional-update-1.20/NEWS
--- old/transactional-update-1.19/NEWS  2017-06-30 09:55:19.0 +0200
+++ new/transactional-update-1.20/NEWS  2017-09-13 11:21:31.0 +0200
@@ -2,6 +2,11 @@
 
 Copyright (C) 2016, 2017 Thorsten Kukuk
 
+Version 1.20
+* Document more options
+* Add pkg update option
+* Fix output in error case
+
 Version 1.19
 * Add undocumented 'shell' option for debugging and testing
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transactional-update-1.19/configure 
new/transactional-update-1.20/configure
--- old/transactional-update-1.19/configure 2017-06-30 09:55:28.0 
+0200
+++ new/transactional-update-1.20/configure 2017-09-13 11:20:46.0 
+0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for transactional-update 1.19.
+# Generated by GNU Autoconf 2.69 for transactional-update 1.20.
 #
 #
 # Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
@@ -576,8 +576,8 @@
 # Identity of this package.
 PACKAGE_NAME='transactional-update'
 PACKAGE_TARNAME='transactional-update'
-PACKAGE_VERSION='1.19'
-PACKAGE_STRING='transactional-update 1.19'
+PACKAGE_VERSION='1.20'
+PACKAGE_STRING='transactional-update 1.20'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
 
@@ -1211,7 +1211,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures transactional-update 1.19 to adapt to many kinds of 
systems.
+\`configure' configures transactional-update 1.20 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1278,7 +1278,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
- short | recursive ) echo "Configuration of transactional-update 1.19:";;
+ short | recursive ) echo "Configuration of transactional-update 1.20:";;
esac
   cat <<\_ACEOF
 
@@ -1358,7 +1358,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-transactional-update configure 1.19
+transactional-update configure 1.20
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -1375,7 +1375,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by transactional-update $as_me 1.19, which was
+It was created by transactional-update $as_me 1.20, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -2238,7 +2238,7 @@
 
 # Define the identity of the package.
  PACKAGE='transactional-update'
- VERSION='1.19'
+ VERSION='1.20'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -3097,7 +3097,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by transactional-update $as_me 1.19, which was
+This file was extended by transactional-update $as_me 1.20, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   CONFIG_FILES= 

commit opae for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package opae for openSUSE:Factory checked in 
at 2017-09-13 22:37:38

Comparing /work/SRC/openSUSE:Factory/opae (Old)
 and  /work/SRC/openSUSE:Factory/.opae.new (New)


Package is "opae"

Wed Sep 13 22:37:38 2017 rev:2 rq:524471 version:0.9.0

Changes:

--- /work/SRC/openSUSE:Factory/opae/opae.changes2017-09-12 
19:56:00.59310 +0200
+++ /work/SRC/openSUSE:Factory/.opae.new/opae.changes   2017-09-13 
22:37:57.831166809 +0200
@@ -5 +5 @@
-- Add opae-fix-cmake-paths.patch opae-fix-cmake-paths.patch and
+- Add opae-fix-cmake-paths.patch, opae-add-missing-lpthread.patch and



Other differences:
--
++ opae.spec ++
--- /var/tmp/diff_new_pack.T2FgMz/_old  2017-09-13 22:37:58.527068829 +0200
+++ /var/tmp/diff_new_pack.T2FgMz/_new  2017-09-13 22:37:58.531068265 +0200
@@ -31,14 +31,14 @@
 Patch1: opae-fix-cmake-paths.patch
 Patch2: opae-missing-shebang.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  boost-devel
 BuildRequires:  cmake
+BuildRequires:  doxygen
 BuildRequires:  gcc-c++
-BuildRequires:  ncurses-devel
-BuildRequires:  boost-devel
 BuildRequires:  graphviz
-BuildRequires:  doxygen
-BuildRequires:  libuuid-devel
 BuildRequires:  libjson-c-devel
+BuildRequires:  libuuid-devel
+BuildRequires:  ncurses-devel
 #Currently *only* builds on x86_64
 ExclusiveArch:  x86_64
 Requires:   libopae-c0 = %{version}




commit freexl for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package freexl for openSUSE:Factory checked 
in at 2017-09-13 22:37:30

Comparing /work/SRC/openSUSE:Factory/freexl (Old)
 and  /work/SRC/openSUSE:Factory/.freexl.new (New)


Package is "freexl"

Wed Sep 13 22:37:30 2017 rev:6 rq:524234 version:1.0.4

Changes:

--- /work/SRC/openSUSE:Factory/freexl/freexl.changes2016-07-01 
09:59:48.0 +0200
+++ /work/SRC/openSUSE:Factory/.freexl.new/freexl.changes   2017-09-13 
22:37:42.381342107 +0200
@@ -1,0 +2,9 @@
+Wed Sep 13 08:12:07 UTC 2017 - mplus...@suse.com
+
+- Update to version 1.0.4:
+  * No chagelog provided by upstream
+  * CVE-2017-2924 (boo#1058433) from 1.0.3 is fixed
+  * CVE-2017-2923 (boo#1058431) from 1.0.3 is fixed
+- Small packaging cleanup
+
+---

Old:

  freexl-1.0.2.tar.gz

New:

  freexl-1.0.4.tar.gz



Other differences:
--
++ freexl.spec ++
--- /var/tmp/diff_new_pack.QCdMeq/_old  2017-09-13 22:37:45.064964259 +0200
+++ /var/tmp/diff_new_pack.QCdMeq/_new  2017-09-13 22:37:45.068963696 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package freexl
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,19 +16,19 @@
 #
 
 
-%define libname lib%{name}1
+%define sover   1
+%define libname lib%{name}%{sover}
 Name:   freexl
-Version:1.0.2
+Version:1.0.4
 Release:0
 Summary:Library to extract valid data from within an Excel
-License:MPL-1.1 or GPL-2.0+ or LGPL-2.1+
+License:MPL-1.1 OR GPL-2.0+ OR LGPL-2.1+
 Group:  Development/Libraries/C and C++
 Url:https://www.gaia-gis.it/fossil/freexl/index
 Source: http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  pkgconfig
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
 FreeXL is an open source library to extract valid data from within an Excel
@@ -65,19 +65,17 @@
 make check %{?_smp_mflags}
 
 %install
-make %{?_smp_mflags} DESTDIR=%{buildroot} install
+%make_install
 find %{buildroot} -type f -name "*.la" -delete -print
 
 %post -n %{libname} -p /sbin/ldconfig
 %postun -n %{libname} -p /sbin/ldconfig
 
 %files -n lib%{name}1
-%defattr(-,root,root,-)
 %doc AUTHORS COPYING README
-%{_libdir}/libfreexl.so.*
+%{_libdir}/libfreexl.so.%{sover}*
 
 %files devel
-%defattr(-,root,root,-)
 %doc AUTHORS COPYING README
 %{_includedir}/freexl.h
 %{_libdir}/libfreexl.so

++ freexl-1.0.2.tar.gz -> freexl-1.0.4.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/freexl-1.0.2/Makefile.in new/freexl-1.0.4/Makefile.in
--- old/freexl-1.0.2/Makefile.in2015-07-14 09:45:23.0 +0200
+++ new/freexl-1.0.4/Makefile.in2017-09-07 22:07:02.0 +0200
@@ -624,7 +624,7 @@
  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
|| chmod -R a+r "$(distdir)"
 dist-gzip: distdir
-   tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c 
>$(distdir).tar.gz
+   tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c 
>$(distdir).tar.gz
$(am__post_remove_distdir)
 
 dist-bzip2: distdir
@@ -650,7 +650,7 @@
@echo WARNING: "Support for shar distribution archives is" \
   "deprecated." >&2
@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
-   shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
+   shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
$(am__post_remove_distdir)
 dist-zip: distdir
-rm -f $(distdir).zip
@@ -667,7 +667,7 @@
 distcheck: dist
case '$(DIST_ARCHIVES)' in \
*.tar.gz*) \
- GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
+ eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
*.tar.bz2*) \
  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
*.tar.lz*) \
@@ -677,7 +677,7 @@
*.tar.Z*) \
  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
*.shar.gz*) \
- GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
+ eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
*.zip*) \
  unzip $(distdir).zip ;;\
esac
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/freexl-1.0.2/config-msvc.h 

commit drbdmanage for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package drbdmanage for openSUSE:Factory 
checked in at 2017-09-13 22:36:59

Comparing /work/SRC/openSUSE:Factory/drbdmanage (Old)
 and  /work/SRC/openSUSE:Factory/.drbdmanage.new (New)


Package is "drbdmanage"

Wed Sep 13 22:36:59 2017 rev:2 rq:523869 version:0.99.5

Changes:

--- /work/SRC/openSUSE:Factory/drbdmanage/drbdmanage.changes2017-08-24 
18:43:46.350300230 +0200
+++ /work/SRC/openSUSE:Factory/.drbdmanage.new/drbdmanage.changes   
2017-09-13 22:37:10.869778866 +0200
@@ -1,0 +2,6 @@
+Tue Sep 12 17:27:51 UTC 2017 - jeng...@inai.de
+
+- Rectify RPM groups. Remove redundant %clean section and
+  old-style %__ macros.
+
+---



Other differences:
--
++ drbdmanage.spec ++
--- /var/tmp/diff_new_pack.NwGsjn/_old  2017-09-13 22:37:11.365709040 +0200
+++ /var/tmp/diff_new_pack.NwGsjn/_new  2017-09-13 22:37:11.365709040 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package drbdmanage
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -21,7 +21,7 @@
 Release:0
 Summary:DRBD distributed resource management utility
 License:GPL-3.0
-Group:  Applications/System
+Group:  Productivity/Clustering/HA
 Url:http://www.drbd.org/en/comp/drbdmanage
 #Prebuild drbdmanage with man pages packed.
 #python setup.py build_man
@@ -31,11 +31,11 @@
 BuildRequires:  python-devel
 
 #For buinding man pages
-BuildRequires:  python-gobject2
 BuildRequires:  dbus-1-python
-BuildRequires:  libxslt-tools
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  help2man
+BuildRequires:  libxslt-tools
+BuildRequires:  python-gobject2
 
 Requires:   dbus-1-python
 Requires:   drbd-utils >= 8.9.7
@@ -107,10 +107,7 @@
 cat INSTALLED_FILES
 
 mkdir -p %{buildroot}/%{_sbindir}
-%{__ln_s} -f %{_sbindir}/service %{buildroot}/%{_sbindir}/rc%{name}d
-
-%clean
-rm -rf %{buildroot}
+ln -fs %{_sbindir}/service %{buildroot}/%{_sbindir}/rc%{name}d
 
 %pre
 %service_add_pre drbdmanaged.service




commit python-botocore for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package python-botocore for openSUSE:Factory 
checked in at 2017-09-13 22:36:55

Comparing /work/SRC/openSUSE:Factory/python-botocore (Old)
 and  /work/SRC/openSUSE:Factory/.python-botocore.new (New)


Package is "python-botocore"

Wed Sep 13 22:36:55 2017 rev:19 rq:523839 version:1.7.9

Changes:

--- /work/SRC/openSUSE:Factory/python-botocore/python-botocore.changes  
2017-08-28 15:18:13.551783746 +0200
+++ /work/SRC/openSUSE:Factory/.python-botocore.new/python-botocore.changes 
2017-09-13 22:37:01.823052627 +0200
@@ -1,0 +2,7 @@
+Tue Sep 12 21:51:29 UTC 2017 - rjsch...@suse.com
+
+- Update to version 1.7.9
+  + For details see  https://github.com/boto/botocore/blob/1.7.9/CHANGELOG.rst
+  + Needed for aws-cli 1.11.151
+
+---

Old:

  botocore-1.5.89.tar.gz

New:

  botocore-1.7.9.tar.gz



Other differences:
--
++ python-botocore.spec ++
--- /var/tmp/diff_new_pack.RdwQOE/_old  2017-09-13 22:37:02.346978859 +0200
+++ /var/tmp/diff_new_pack.RdwQOE/_new  2017-09-13 22:37:02.350978296 +0200
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-botocore
-Version:1.5.89
+Version:1.7.9
 Release:0
 Summary:Python interface for AWS
 License:Apache-2.0

++ botocore-1.5.89.tar.gz -> botocore-1.7.9.tar.gz ++
 21813 lines of diff (skipped)




commit ephoto for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package ephoto for openSUSE:Factory checked 
in at 2017-09-13 22:36:56

Comparing /work/SRC/openSUSE:Factory/ephoto (Old)
 and  /work/SRC/openSUSE:Factory/.ephoto.new (New)


Package is "ephoto"

Wed Sep 13 22:36:56 2017 rev:2 rq:523845 version:1.5

Changes:

--- /work/SRC/openSUSE:Factory/ephoto/ephoto.changes2017-07-21 
22:45:25.874312635 +0200
+++ /work/SRC/openSUSE:Factory/.ephoto.new/ephoto.changes   2017-09-13 
22:37:09.150021004 +0200
@@ -1,0 +2,9 @@
+Fri Sep  1 04:22:13 UTC 2017 - avvi...@yandex.by
+
+- Update to 1.5:
+  * Bugfix release that also contains a slight change to the 
+interface of Ephoto
+  * Support EFL >= 1.20
+  * More info: http://smhouston.us/ephoto-1-5-released
+
+---

Old:

  ephoto-1.0.tar.xz

New:

  ephoto-1.5.tar.xz



Other differences:
--
++ ephoto.spec ++
--- /var/tmp/diff_new_pack.wUCXHu/_old  2017-09-13 22:37:10.573820536 +0200
+++ /var/tmp/diff_new_pack.wUCXHu/_new  2017-09-13 22:37:10.577819973 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   ephoto
-Version:1.0
+Version:1.5
 Release:0
 Summary:EFL image viewer/editor/manipulator/slideshow creator
 License:BSD-3-Clause
@@ -27,7 +27,7 @@
 BuildRequires:  autoconf
 BuildRequires:  automake
 BuildRequires:  libtool
-BuildRequires:  pkgconfig(ecore)
+BuildRequires:  pkgconfig(ecore) >= 1.20.0
 BuildRequires:  pkgconfig(ecore-evas)
 BuildRequires:  pkgconfig(ecore-file)
 BuildRequires:  pkgconfig(ecore-imf)

++ ephoto-1.0.tar.xz -> ephoto-1.5.tar.xz ++
 8630 lines of diff (skipped)




commit ghc-ConfigFile for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package ghc-ConfigFile for openSUSE:Factory 
checked in at 2017-09-13 22:37:22

Comparing /work/SRC/openSUSE:Factory/ghc-ConfigFile (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-ConfigFile.new (New)


Package is "ghc-ConfigFile"

Wed Sep 13 22:37:22 2017 rev:3 rq:523930 version:1.1.4

Changes:

--- /work/SRC/openSUSE:Factory/ghc-ConfigFile/ghc-ConfigFile.changes
2016-07-21 08:03:35.0 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-ConfigFile.new/ghc-ConfigFile.changes   
2017-09-13 22:37:37.861978423 +0200
@@ -1,0 +2,5 @@
+Thu Aug  3 15:38:38 UTC 2017 - psim...@suse.com
+
+- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
+
+---



Other differences:
--
++ ghc-ConfigFile.spec ++
--- /var/tmp/diff_new_pack.XQU60D/_old  2017-09-13 22:37:38.385904655 +0200
+++ /var/tmp/diff_new_pack.XQU60D/_new  2017-09-13 22:37:38.389904092 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package ghc-ConfigFile
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -21,19 +21,16 @@
 Version:1.1.4
 Release:0
 Summary:Configuration file reading & writing
-License:LGPL-2.1+ or BSD-3-Clause
-Group:  Development/Libraries/Other
-Url:http://software.complete.org/configfile
+License:LGPL-2.1+ OR BSD-3-Clause
+Group:  Development/Libraries/Haskell
+URL:http://software.complete.org/configfile
 Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
 BuildRequires:  ghc-Cabal-devel
-# Begin cabal-rpm deps:
 BuildRequires:  ghc-MissingH-devel
 BuildRequires:  ghc-containers-devel
 BuildRequires:  ghc-mtl-devel
 BuildRequires:  ghc-parsec-devel
 BuildRequires:  ghc-rpm-macros
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-# End cabal-rpm deps
 
 %description
 Parser and writer for handling sectioned config files in Haskell.
@@ -50,7 +47,7 @@
 
 %package devel
 Summary:Haskell %{pkg_name} library development files
-Group:  Development/Libraries/Other
+Group:  Development/Libraries/Haskell
 Requires:   %{name} = %{version}-%{release}
 Requires:   ghc-compiler = %{ghc_version}
 Requires(post): ghc-compiler = %{ghc_version}
@@ -62,15 +59,12 @@
 %prep
 %setup -q -n %{pkg_name}-%{version}
 
-
 %build
 %ghc_lib_build
 
-
 %install
 %ghc_lib_install
 
-
 %post devel
 %ghc_pkg_recache
 
@@ -78,11 +72,9 @@
 %ghc_pkg_recache
 
 %files -f %{name}.files
-%defattr(-,root,root,-)
 %doc BSD3 COPYRIGHT LGPL-2.1
 
 %files devel -f %{name}-devel.files
-%defattr(-,root,root,-)
 %doc README
 
 %changelog




commit powdertoy for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package powdertoy for openSUSE:Factory 
checked in at 2017-09-13 22:36:50

Comparing /work/SRC/openSUSE:Factory/powdertoy (Old)
 and  /work/SRC/openSUSE:Factory/.powdertoy.new (New)


Package is "powdertoy"

Wed Sep 13 22:36:50 2017 rev:2 rq:523828 version:92.2.333

Changes:

--- /work/SRC/openSUSE:Factory/powdertoy/powdertoy.changes  2017-08-24 
18:46:42.885441646 +0200
+++ /work/SRC/openSUSE:Factory/.powdertoy.new/powdertoy.changes 2017-09-13 
22:36:59.679354455 +0200
@@ -1,0 +2,27 @@
+Tue Sep 12 00:00:00 CEST 2017 - dste...@suse.cz
+
+- update to version 92.3.333
+  * Added - New sim.takeSnapshot and tpt.record lua functions
+  * Changed - Fix incorrect 91.1 Windows executable being released
+  * Changed - Now compiled with luajit, should increase lua script performance 
by 10-40%
+  * Fix Mac (untested / unsupported) and Linux versions - luajit is now static
+  * Fix crash with BOMB explosions
+- update to version 92.2
+  * Added: New sim.takeSnapshot and tpt.record lua functions
+  * Fix incorrect 91.1 Windows executable being released
+  * Now compiled with luajit, should increase lua script performance by 10-40%
+  * Fix crash with BOMB explosions
+  * Fix illuminati symbols appearing when rescanning stamps
+- update to version 92.1
+  * Added: Hold shift when saving or loading stamps to not save / load pressure
+  * Added: Android: ptsave links from the website now directly open the save 
in the app
+  * Changed 'enter' closes SaveIDMessage interface after uploading a save
+  * Turned off HSWC acts as insulator for HEAC
+  * Fix -nan RFRG glitch
+  * Fix newtonian gravity state transitions flashing
+  * Fix issue where saving / loading saves could sometimes lag or crash the 
game
+  * Ensure air doesn't "leak" out of TTAN containers when loading stamps and 
saves
+  * Attempt to fix crash when zooming in on signs
+  * Other minor fixes and changes
+
+---

Old:

  v92.0.331.tar.gz

New:

  v92.2.333.tar.gz



Other differences:
--
++ powdertoy.spec ++
--- /var/tmp/diff_new_pack.GIoG9E/_old  2017-09-13 22:37:00.227277308 +0200
+++ /var/tmp/diff_new_pack.GIoG9E/_new  2017-09-13 22:37:00.231276746 +0200
@@ -20,7 +20,7 @@
 License:GPL-3.0
 Group:  Amusements/Games/Other
 Name:   powdertoy
-Version:92.0.331
+Version:92.2.333
 Release:0
 Source: 
https://github.com/simtr/The-Powder-Toy/archive/v%{version}.tar.gz
 Url:http://powdertoy.co.uk

++ v92.0.331.tar.gz -> v92.2.333.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/The-Powder-Toy-92.0.331/README.md 
new/The-Powder-Toy-92.2.333/README.md
--- old/The-Powder-Toy-92.0.331/README.md   2017-07-23 22:41:38.0 
+0200
+++ new/The-Powder-Toy-92.2.333/README.md   2017-09-05 05:08:52.0 
+0200
@@ -1,4 +1,4 @@
-The Powder Toy - July 2017
+The Powder Toy - September 2017
 ==
 
 Get the latest version here: http://powdertoy.co.uk/Download.html
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/The-Powder-Toy-92.0.331/SConscript 
new/The-Powder-Toy-92.2.333/SConscript
--- old/The-Powder-Toy-92.0.331/SConscript  2017-07-23 22:41:38.0 
+0200
+++ new/The-Powder-Toy-92.2.333/SConscript  2017-09-05 05:08:52.0 
+0200
@@ -269,7 +269,7 @@
#Look for Lua
luaver = "lua5.1"
if GetOption('luajit'):
-   if not conf.CheckLib(['luajit-5.1', 'luajit5.1', 
'luajit', 'libluajit']):
+   if not conf.CheckLib(['luajit-5.1', 'luajit5.1', 
'luajit2.0', 'luajit', 'libluajit']):
FatalError("luajit development library not 
found or not installed")
env.Append(CPPDEFINES=["LUAJIT"])
luaver = "luajit"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/The-Powder-Toy-92.0.331/src/Config.h 
new/The-Powder-Toy-92.2.333/src/Config.h
--- old/The-Powder-Toy-92.0.331/src/Config.h2017-07-23 22:41:38.0 
+0200
+++ new/The-Powder-Toy-92.2.333/src/Config.h2017-09-05 05:08:52.0 
+0200
@@ -16,11 +16,11 @@
 #endif
 
 #ifndef MINOR_VERSION
-#define MINOR_VERSION 0
+#define MINOR_VERSION 2
 #endif
 
 #ifndef BUILD_NUM
-#define BUILD_NUM 331
+#define BUILD_NUM 333
 #endif
 
 #ifndef SNAPSHOT_ID
@@ -36,7 +36,7 @@
 
 #ifdef SNAPSHOT
 #define FUTURE_SAVE_VERSION 92
-#define FUTURE_MINOR_VERSION 0
+#define FUTURE_MINOR_VERSION 1
 #endif
 //VersionInfoEnd
 
@@ -118,8 

commit spice-up for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package spice-up for openSUSE:Factory 
checked in at 2017-09-13 22:36:53

Comparing /work/SRC/openSUSE:Factory/spice-up (Old)
 and  /work/SRC/openSUSE:Factory/.spice-up.new (New)


Package is "spice-up"

Wed Sep 13 22:36:53 2017 rev:2 rq:523829 version:0.9.0

Changes:

--- /work/SRC/openSUSE:Factory/spice-up/spice-up.changes2017-08-29 
11:43:38.608021323 +0200
+++ /work/SRC/openSUSE:Factory/.spice-up.new/spice-up.changes   2017-09-13 
22:37:00.759202415 +0200
@@ -1,0 +2,26 @@
+Tue Sep 12 16:59:10 UTC 2017 - avvi...@yandex.by
+
+- Update to 0.9.0:
+  * Update README.md
+  * Add another screenshot
+  * Update appdata & new screenshot
+  * Roundness scale text now reads better
+  * Allow for setting opacity on Text and Color items
+  * Fix: Double clicking would sometimes unselect the item
+  * Merge branch 'master' of github.com:Philip-Scott/Spice-up
+  * Images: Add a way to replace them
+  * Modify template format
+  * New slide button not focusable
+  * Put previous values on new canvas
+  * New Presentation templates
+  * Skip tests in Houston
+  * Disable testing on displayless server
+  * Update com.github.philip-scott.spice-up.appdata.xml
+  * Update screenshots
+  * Updated 128px icon
+  * Add undo & redo shortcuts
+  * Gtk 3.22 support (#138)
+  * Slide list on click response
+- Add a package with translations
+
+---

Old:

  Spice-up-0.8.1.tar.gz

New:

  Spice-up-0.9.0.tar.gz



Other differences:
--
++ spice-up.spec ++
--- /var/tmp/diff_new_pack.jrIvWe/_old  2017-09-13 22:37:01.439106686 +0200
+++ /var/tmp/diff_new_pack.jrIvWe/_new  2017-09-13 22:37:01.443106123 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   spice-up
-Version:0.8.1
+Version:0.9.0
 Release:0
 Summary:Desktop presentation application
 License:GPL-3.0
@@ -30,16 +30,17 @@
 BuildRequires:  gcc-c++
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  pkgconfig
+BuildRequires:  shared-mime-info
 BuildRequires:  vala
 BuildRequires:  pkgconfig(gee-0.8)
 BuildRequires:  pkgconfig(granite) >= 0.3
 BuildRequires:  pkgconfig(gtk+-3.0) >= 3.18.0
-BuildRequires:  pkgconfig(json-glib-1.0)
 BuildRequires:  pkgconfig(gudev-1.0)
+BuildRequires:  pkgconfig(json-glib-1.0)
 BuildRequires:  pkgconfig(libevdev)
-BuildRequires:  shared-mime-info
 Requires(post):shared-mime-info
 Requires(postun):  shared-mime-info
+Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %glib2_gsettings_schema_requires
 
@@ -47,6 +48,8 @@
 Spice-up is a desktop presentation application
 based upon SpiceOfDesign's presentation concept.
 
+%lang_package
+
 %prep
 %setup -q -n Spice-up-%{version}
 
@@ -59,6 +62,7 @@
 %cmake_install
 mkdir -p %{buildroot}%{_datadir}/appdata
 mv 
%{buildroot}%{_datadir}/{metainfo,appdata}/com.github.philip-scott.%{name}.appdata.xml
+%find_lang com.github.philip-scott.spice-up %{name}.lang
 %fdupes %{buildroot}%{_datadir}
 
 %post
@@ -86,4 +90,7 @@
 %{_datadir}/mime/packages/*%{name}.mime.xml
 %dir %{_datadir}/appdata
 
+%files lang -f %{name}.lang
+%defattr(-,root,root)
+
 %changelog

++ Spice-up-0.8.1.tar.gz -> Spice-up-0.9.0.tar.gz ++
 4643 lines of diff (skipped)




commit mpv for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package mpv for openSUSE:Factory checked in 
at 2017-09-13 22:37:02

Comparing /work/SRC/openSUSE:Factory/mpv (Old)
 and  /work/SRC/openSUSE:Factory/.mpv.new (New)


Package is "mpv"

Wed Sep 13 22:37:02 2017 rev:36 rq:523894 version:unknown

Changes:

--- /work/SRC/openSUSE:Factory/mpv/mpv.changes  2017-08-24 18:56:16.172719967 
+0200
+++ /work/SRC/openSUSE:Factory/.mpv.new/mpv.changes 2017-09-13 
22:37:28.987227967 +0200
@@ -1,0 +2,70 @@
+Wed Sep 13 05:45:26 UTC 2017 - aloi...@gmx.com
+
+- Update to version 0.27.0
+  Added features:
+  * libmpv: options: add a thread-safe way to notify option updates
+  * vd_lavc/vo_opengl: support embedded ICC profiles
+  * vo: rendering API abstraction for future non-GL video outputs
+  * vo_opengl: add a gamut warning feature to highlight
+out-of-gamut colors (--gamut-warning)
+  * vo_opengl: add direct rendering support (--vd-lavc-dr)
+  * vo_opengl: implement (faster) compute shader based EWA kernel
+  * vo_opengl: implement HLG OOTF inverse
+  * vo_opengl: support HDR peak detection (--hdr-compute-peak)
+  * vo_opengl: support float input pixel formats
+  * vo_opengl: support loading custom user textures (#4586)
+  * vo_opengl: support user compute shaders
+  Removed features:
+  * Remove video equalizer handling from vo_direct3d, vo_sdl,
+vo_vaapi, and vo_xv (GPL, not worth the effort to support legacy
+VOs)
+  Added options and commands:
+  * player: add --track-auto-selection option
+  Changed options and commands:
+  * input: use mnemonic names for mouse buttons, same as Qt:
+https://doc.qt.io/qt-5/qt.html#MouseButton-enum
+  * options: change --loop semantics
+  * player: make --lavfi-complex changeable at runtime
+  * vf_eq: remove this filter (GPL; uses libavfilter’s eq filter
+now, with changed semantics)
+  * video: change --deinterlace behavior
+  * vo_opengl: generalize HDR tone mapping to gamut mapping,
+--hdr-tone-mapping → --tone-mapping
+  Removed options and commands:
+  * --field-dominance (GPL-only author, no chance of relicensing)
+  * input: drop deprecated "osd" command
+  * options: drop --video-aspect-method=hybrid (GPL-only)
+  Fixes and minor enhancements:
+  * TOOLS/autocrop.lua: fix cropdetect black limit for 10-bit
+videos
+  * TOOLS/lua/autodeint: update to lavfi-bridge
+  * TOOLS/lua/status-line: improve and update
+  * af_lavrresample: don't call swr_set_compensation() unless
+necessary (#4716)
+  * ao_oss: fix period_size calculation (#4642)
+  * ao_rsound: allow setting the host
+  * audio: fix spdif mode
+  * filter_kernels: correct spline64 kernel
+  * options: fix --include (#4673)
+  * player: fix --end with large values (#4650)
+  * player: fix confusion in audio resync code (#4688)
+  * player: make refresh seeks slightly more robust (#4757)
+  * player: readd smi subtitle extension (#4626)
+  * vd_lavc: change auto-probe order to prefer cuda over vdpau-copy
+  * vd_lavc: fix device leak with copy-mode hwaccels (#4735)
+  * vd_lavc: fix hwdec compatibility with yuvj420p formats
+  * vd_lavc: fix mid-stream hwdec fallback
+  * vf_vapoursynth: fix inverted sign and restore 10 bit support
+(#4720)
+  * video: increase --monitorpixelaspect range
+  * vo_opengl: adjust the rules for linearization (#4631)
+  * vo_opengl: scale deband-grain to the signal range
+  * vo_opengl: tone map on the maximum signal component
+  * x11: fix that window could be resized when using embedding
+(#4784)
+  * ytdl_hook: resolve relative paths when joining segment urls
+(#4827)
+  * ytdl_hook: support fragments with relative paths, fixes
+segmented DASH
+
+---

Old:

  mpv-0.26.0.tar.gz

New:

  mpv-0.27.0.tar.gz



Other differences:
--
++ mpv.spec ++
--- /var/tmp/diff_new_pack.NuA6CL/_old  2017-09-13 22:37:30.515012859 +0200
+++ /var/tmp/diff_new_pack.NuA6CL/_new  2017-09-13 22:37:30.519012295 +0200
@@ -21,7 +21,7 @@
 
 %define _waf_ver 1.9.13
 %define _mbc_ver 3.3.15
-%define _mpv_ver 0.26.0
+%define _mpv_ver 0.27.0
 %define lname   libmpv1
 Name:   mpv
 Version:%{_mpv_ver}

++ mpv-0.26.0.tar.gz -> mpv-0.27.0.tar.gz ++
 26580 lines of diff (skipped)





commit caasp-tools for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package caasp-tools for openSUSE:Factory 
checked in at 2017-09-13 22:37:01

Comparing /work/SRC/openSUSE:Factory/caasp-tools (Old)
 and  /work/SRC/openSUSE:Factory/.caasp-tools.new (New)


Package is "caasp-tools"

Wed Sep 13 22:37:01 2017 rev:10 rq:523892 version:0.24

Changes:

--- /work/SRC/openSUSE:Factory/caasp-tools/caasp-tools.changes  2017-08-30 
16:23:39.905591325 +0200
+++ /work/SRC/openSUSE:Factory/.caasp-tools.new/caasp-tools.changes 
2017-09-13 22:37:21.700253957 +0200
@@ -1,0 +2,6 @@
+Tue Sep 12 10:18:48 CEST 2017 - ku...@suse.de
+
+- setup-fstab.sys-for-overlayfs: adjust to work with building
+  images with kiwi
+
+---

Old:

  MicroOS-tools-0.23.tar.bz2

New:

  MicroOS-tools-0.24.tar.bz2



Other differences:
--
++ caasp-tools.spec ++
--- /var/tmp/diff_new_pack.Ye6Rp3/_old  2017-09-13 22:37:23.348021955 +0200
+++ /var/tmp/diff_new_pack.Ye6Rp3/_new  2017-09-13 22:37:23.352021392 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   caasp-tools
-Version:0.23
+Version:0.24
 Release:0
 Summary:Files and Scripts for SUSE CaaS Platform
 License:GPL-2.0+

++ MicroOS-tools-0.23.tar.bz2 -> MicroOS-tools-0.24.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/MicroOS-tools-0.23/usr/sbin/setup-fstab.sys-for-overlayfs 
new/MicroOS-tools-0.24/usr/sbin/setup-fstab.sys-for-overlayfs
--- old/MicroOS-tools-0.23/usr/sbin/setup-fstab.sys-for-overlayfs   
2017-06-07 17:34:23.101602867 +0200
+++ new/MicroOS-tools-0.24/usr/sbin/setup-fstab.sys-for-overlayfs   
2017-09-12 10:17:44.721911367 +0200
@@ -1,8 +1,11 @@
 #!/bin/bash
 
-test -f /etc/fstab || exit 1
-
-grep "/var/lib/overlay" /etc/fstab | grep -v "^#" > /etc/fstab.sys
+if [ -f /etc/fstab ]; then
+grep "/var/lib/overlay" /etc/fstab | grep -v "^#" > /etc/fstab.sys
+else
+# if there is no /etc/fstab, assume LABEL=ROOT. Most likely we are called 
by kiwi
+echo "LABEL=ROOT /var/lib/overlay btrfs defaults,subvol=@/var/lib/overlay 
0 0" > /etc/fstab.sys
+fi
 
 # /etc/fstab.sys for dracut to mount overlayfs
 cat << EOF >> /etc/fstab.sys
@@ -10,4 +13,3 @@
 overlay /var/adm/netconfig overlay 
defaults,lowerdir=/sysroot/var/adm/netconfig,upperdir=/sysroot/var/lib/overlay/netconfig,workdir=/sysroot/var/lib/overlay/work-netconfig
 0 0
 overlay /var/lib/apparmor overlay 
defaults,lowerdir=/sysroot/var/lib/apparmor,upperdir=/sysroot/var/lib/overlay/apparmor,workdir=/sysroot/var/lib/overlay/work-apparmor
 0 0
 EOF
-




commit python3-ec2uploadimg for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package python3-ec2uploadimg for 
openSUSE:Factory checked in at 2017-09-13 22:36:36

Comparing /work/SRC/openSUSE:Factory/python3-ec2uploadimg (Old)
 and  /work/SRC/openSUSE:Factory/.python3-ec2uploadimg.new (New)


Package is "python3-ec2uploadimg"

Wed Sep 13 22:36:36 2017 rev:2 rq:523775 version:5.0.1

Changes:

--- 
/work/SRC/openSUSE:Factory/python3-ec2uploadimg/python3-ec2uploadimg.changes
2017-08-24 18:49:15.587940625 +0200
+++ 
/work/SRC/openSUSE:Factory/.python3-ec2uploadimg.new/python3-ec2uploadimg.changes
   2017-09-13 22:36:56.639782421 +0200
@@ -1,0 +2,8 @@
+Tue Sep 12 18:01:51 UTC 2017 - rjsch...@suse.com
+
+- Update to version 5.0.1
+  + Add support for billing code addition during registration
+~ Introduces incompatibility in API
+  + Read VPC subnet information from ec2utils.conf
+
+---

Old:

  ec2uploadimg-4.0.0.tar.bz2

New:

  ec2uploadimg-5.0.1.tar.bz2



Other differences:
--
++ python3-ec2uploadimg.spec ++
--- /var/tmp/diff_new_pack.4d2LJr/_old  2017-09-13 22:36:57.167708091 +0200
+++ /var/tmp/diff_new_pack.4d2LJr/_new  2017-09-13 22:36:57.171707527 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package python-ec2uploadimg
+# spec file for package python3-ec2uploadimg
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,17 +18,17 @@
 
 %define upstream_name ec2uploadimg
 Name:   python3-ec2uploadimg
-Version:4.0.0
+Version:5.0.1
 Release:0
 Summary:Upload an image to EC2
 License:GPL-3.0+
 Group:  System/Management
 Url:https://github.com/SUSE/Enceladus
 Source0:%{upstream_name}-%{version}.tar.bz2
+Requires:   python-ec2utilsbase < 4.0.0
+Requires:   python-ec2utilsbase >= 3.0.0
 Requires:   python3
 Requires:   python3-boto3>= 1.4.1
-Requires:   python-ec2utilsbase >= 3.0.0
-Requires:   python-ec2utilsbase < 4.0.0
 Requires:   python3-paramiko
 BuildRequires:  python3-setuptools
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ ec2uploadimg-4.0.0.tar.bz2 -> ec2uploadimg-5.0.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/ec2uploadimg-4.0.0/ec2uploadimg 
new/ec2uploadimg-5.0.1/ec2uploadimg
--- old/ec2uploadimg-4.0.0/ec2uploadimg 2017-08-09 17:33:16.882810570 +0200
+++ new/ec2uploadimg-5.0.1/ec2uploadimg 2017-09-12 16:51:20.472834548 +0200
@@ -49,6 +49,12 @@
 metavar='EC2_BACKING_STORE'
 )
 argparse.add_argument(
+'--billing-codes',
+dest='billingCodes',
+help='The BillingProduct codes, only available to some accounts',
+metavar='BILLING_CODES'
+)
+argparse.add_argument(
 '--boot-kernel',
 dest='akiID',
 help='AWS kernel ID (aki) to boot the new image (Optional)',
@@ -256,6 +262,7 @@
 if not os.path.isfile(config_file):
 print('Configuration file "%s" not found.' % config_file)
 sys.exit(1)
+
 try:
 config = utils.get_config(config_file)
 except Exception as e:
@@ -331,7 +338,10 @@
 root_volume_size = args.rootVolSize
 
 regions = args.regions.split(',')
-if len(regions) > 1 and (args.amiID or args.akiID or args.runningID):
+if (
+len(regions) > 1
+and (args.amiID or args.akiID or args.runningID or args.vpcSubnetId)
+):
 print(
 'Incompatible arguments: multiple regions specified',
 file=sys.stderr
@@ -403,7 +413,7 @@
 sys.exit(1)
 else:
 print(
-'Could not reliable determine the ',
+'Could not reliably determine the ',
 end=' ',
 file=sys.stderr
 )
@@ -468,9 +478,30 @@
 print('Could not determin ssh user to use', file=sys.stderr)
 sys.exit(1)
 
+vpc_subnet_id = args.vpcSubnetId
+if not vpc_subnet_id and not (args.amiID or args.runningID):
+# Depending on instance type an instance may possibly only
+# launch inside a subnet. Look in the config for a subnet if none
+# is given and the AMI to use was not specified on the command line
+try:
+vpc_subnet_id = utils.get_from_config(args.accountName,
+  config,
+  region,
+   

commit gnome-getting-started-docs for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package gnome-getting-started-docs for 
openSUSE:Factory checked in at 2017-09-13 22:36:03

Comparing /work/SRC/openSUSE:Factory/gnome-getting-started-docs (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-getting-started-docs.new (New)


Package is "gnome-getting-started-docs"

Wed Sep 13 22:36:03 2017 rev:12 rq:523681 version:3.26.0

Changes:

--- 
/work/SRC/openSUSE:Factory/gnome-getting-started-docs/gnome-getting-started-docs.changes
2017-05-16 14:44:31.592429345 +0200
+++ 
/work/SRC/openSUSE:Factory/.gnome-getting-started-docs.new/gnome-getting-started-docs.changes
   2017-09-13 22:36:50.032712685 +0200
@@ -1,0 +2,7 @@
+Tue Sep 12 10:55:31 UTC 2017 - dims...@opensuse.org
+
+- Update to version 3.26.0:
+  + Updates to Getting Started.
+  + Updated translations.
+
+---

Old:

  gnome-getting-started-docs-3.24.1.tar.xz

New:

  gnome-getting-started-docs-3.26.0.tar.xz



Other differences:
--
++ gnome-getting-started-docs.spec ++
--- /var/tmp/diff_new_pack.wWl1U0/_old  2017-09-13 22:36:52.740331457 +0200
+++ /var/tmp/diff_new_pack.wWl1U0/_new  2017-09-13 22:36:52.744330894 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   gnome-getting-started-docs
-Version:3.24.1
+Version:3.26.0
 Release:0
 Summary:Getting started with GNOME - Documentation
 License:CC-BY-SA-3.0
 Group:  Documentation
 Url:http://live.gnome.org/DocumentationProject
-Source: 
http://download.gnome.org/sources/gnome-getting-started-docs/3.24/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-getting-started-docs/3.26/%{name}-%{version}.tar.xz
 BuildRequires:  yelp-tools
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ gnome-getting-started-docs-3.24.1.tar.xz -> 
gnome-getting-started-docs-3.26.0.tar.xz ++
/work/SRC/openSUSE:Factory/gnome-getting-started-docs/gnome-getting-started-docs-3.24.1.tar.xz
 
/work/SRC/openSUSE:Factory/.gnome-getting-started-docs.new/gnome-getting-started-docs-3.26.0.tar.xz
 differ: char 27, line 1




commit python-async-timeout for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package python-async-timeout for 
openSUSE:Factory checked in at 2017-09-13 22:36:33

Comparing /work/SRC/openSUSE:Factory/python-async-timeout (Old)
 and  /work/SRC/openSUSE:Factory/.python-async-timeout.new (New)


Package is "python-async-timeout"

Wed Sep 13 22:36:33 2017 rev:2 rq:523755 version:1.4.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-async-timeout/python-async-timeout.changes
2017-09-11 16:18:19.322358583 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-async-timeout.new/python-async-timeout.changes
   2017-09-13 22:36:55.667919258 +0200
@@ -1,0 +2,10 @@
+Tue Sep 12 11:49:40 UTC 2017 - aloi...@gmx.com
+
+- Update to version 1.4.0
+  * Implement `remaining` property (#20)
++ If timeout is not started yet or started unconstrained:
+  `remaining` is `None`
++ If timeout is expired: `remaining` is `0.0`
++ All others: roughly amount of time before `TimeoutError` is triggered
+
+---

Old:

  async-timeout-1.3.0.tar.gz

New:

  async-timeout-1.4.0.tar.gz



Other differences:
--
++ python-async-timeout.spec ++
--- /var/tmp/diff_new_pack.NDd8E8/_old  2017-09-13 22:36:56.115856190 +0200
+++ /var/tmp/diff_new_pack.NDd8E8/_new  2017-09-13 22:36:56.119855626 +0200
@@ -13,6 +13,7 @@
 # published by the Open Source Initiative.
 
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
+#
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
@@ -20,18 +21,17 @@
 %define skip_python2 1
 %{!?license:%global license %doc}
 Name:   python-async-timeout
-Version:1.3.0
+Version:1.4.0
 Release:0
-License:Apache-2.0
 Summary:Timeout context manager for asyncio programs
-Url:https://github.com/aio-libs/async_timeout/
+License:Apache-2.0
 Group:  Development/Languages/Python
+Url:https://github.com/aio-libs/async_timeout/
 Source: 
https://files.pythonhosted.org/packages/source/a/async_timeout/async-timeout-%{version}.tar.gz
-BuildRequires:  python-rpm-macros
-BuildRequires:  %{python_module devel >= 3.4}
+BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
-Requires:   python >= 3.4
+BuildRequires:  python-rpm-macros
 BuildArch:  noarch
 Provides:   python-async_timeout
 
@@ -51,8 +51,13 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %files %{python_files}
+%defattr(-,root,root)
 %doc CHANGES.rst README.rst
+%if 0%{?sle_version} > 120200 || 0%{?suse_version} > 1320
 %license LICENSE
+%else
+%doc LICENSE
+%endif
 %{python_sitelib}/*
 
 %changelog

++ async-timeout-1.3.0.tar.gz -> async-timeout-1.4.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/async-timeout-1.3.0/CHANGES.rst 
new/async-timeout-1.4.0/CHANGES.rst
--- old/async-timeout-1.3.0/CHANGES.rst 2017-08-23 10:41:04.0 +0200
+++ new/async-timeout-1.4.0/CHANGES.rst 2017-09-09 18:52:08.0 +0200
@@ -1,6 +1,16 @@
 CHANGES
 ===
 
+1.4.0 (2017-09-09)
+--
+
+* Implement `remaining` property (#20)
+
+  * If timeout is not started yet or started unconstrained:
+`remaining` is `None`
+  * If timeout is expired: `remaining` is `0.0`
+  * All others: roughly amount of time before `TimeoutError` is triggered
+
 1.3.0 (2017-08-23)
 --
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/async-timeout-1.3.0/PKG-INFO 
new/async-timeout-1.4.0/PKG-INFO
--- old/async-timeout-1.3.0/PKG-INFO2017-08-23 10:41:27.0 +0200
+++ new/async-timeout-1.4.0/PKG-INFO2017-09-09 18:52:33.0 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: async-timeout
-Version: 1.3.0
+Version: 1.4.0
 Summary: Timeout context manager for asyncio programs
 Home-page: https://github.com/aio-libs/async_timeout/
 Author: Andrew Svetlov
@@ -8,6 +8,15 @@
 License: Apache 2
 Description: async-timeout
 =
+.. image:: 
https://travis-ci.org/aio-libs/async-timeout.svg?branch=master
+:target: https://travis-ci.org/aio-libs/async-timeout
+.. image:: 
https://codecov.io/gh/aio-libs/async-timeout/branch/master/graph/badge.svg
+:target: https://codecov.io/gh/aio-libs/async-timeout
+.. image:: https://img.shields.io/pypi/v/async-timeout.svg
+:target: https://pypi.python.org/pypi/async-timeout
+.. image:: https://badges.gitter.im/Join%20Chat.svg
+:target: https://gitter.im/aio-libs/Lobby
+:alt: Chat on Gitter
 

commit gnome-devel-docs for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package gnome-devel-docs for 
openSUSE:Factory checked in at 2017-09-13 22:35:51

Comparing /work/SRC/openSUSE:Factory/gnome-devel-docs (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-devel-docs.new (New)


Package is "gnome-devel-docs"

Wed Sep 13 22:35:51 2017 rev:49 rq:523669 version:3.26.0

Changes:

--- /work/SRC/openSUSE:Factory/gnome-devel-docs/gnome-devel-docs.changes
2016-10-26 13:28:41.0 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-devel-docs.new/gnome-devel-docs.changes   
2017-09-13 22:36:32.907123939 +0200
@@ -1,0 +2,10 @@
+Tue Sep 12 00:56:01 UTC 2017 - zai...@opensuse.org
+
+- Update to version 3.26.0:
+  + Add description of GOM and GVDB to programming guidlines.
+  + Add a fullscreen mode pattern to the HIG.
+  + Improvements to platform demos.
+  + HIG-compliant applications may run without open windows.
+  + Updated translations.
+
+---

Old:

  gnome-devel-docs-3.22.1.tar.xz

New:

  gnome-devel-docs-3.26.0.tar.xz



Other differences:
--
++ gnome-devel-docs.spec ++
--- /var/tmp/diff_new_pack.GLz4Q3/_old  2017-09-13 22:36:33.555032714 +0200
+++ /var/tmp/diff_new_pack.GLz4Q3/_new  2017-09-13 22:36:33.559032151 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package gnome-devel-docs
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,13 +17,13 @@
 
 
 Name:   gnome-devel-docs
-Version:3.22.1
+Version:3.26.0
 Release:0
 Summary:GNOME Platform Documentation
 License:GFDL-1.1 and CC-BY-SA-4.0
 Group:  Documentation/Other
 Url:http://www.gnome.org
-Source: 
http://download.gnome.org/sources/gnome-devel-docs/3.22/%{name}-%{version}.tar.xz
+Source: 
http://download.gnome.org/sources/gnome-devel-docs/3.26/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  pkg-config
 BuildRequires:  yelp-tools

++ gnome-devel-docs-3.22.1.tar.xz -> gnome-devel-docs-3.26.0.tar.xz ++
/work/SRC/openSUSE:Factory/gnome-devel-docs/gnome-devel-docs-3.22.1.tar.xz 
/work/SRC/openSUSE:Factory/.gnome-devel-docs.new/gnome-devel-docs-3.26.0.tar.xz 
differ: char 26, line 1




commit rubygem-activejob-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-activejob-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:35:33

Comparing /work/SRC/openSUSE:Factory/rubygem-activejob-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activejob-5_1.new (New)


Package is "rubygem-activejob-5_1"

Wed Sep 13 22:35:33 2017 rev:2 rq:523506 version:5.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activejob-5_1/rubygem-activejob-5_1.changes  
2017-09-04 12:38:10.655852236 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activejob-5_1.new/rubygem-activejob-5_1.changes
 2017-09-13 22:36:29.287633557 +0200
@@ -1,0 +2,5 @@
+Mon Sep 11 09:13:56 UTC 2017 - enava...@suse.com
+
+- Update to version 5.1.4
+
+---

Old:

  activejob-5.1.3.gem

New:

  activejob-5.1.4.gem



Other differences:
--
++ rubygem-activejob-5_1.spec ++
--- /var/tmp/diff_new_pack.9h2HJV/_old  2017-09-13 22:36:30.851413380 +0200
+++ /var/tmp/diff_new_pack.9h2HJV/_new  2017-09-13 22:36:30.855412817 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activejob-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name activejob
 %define mod_full_name %{mod_name}-%{version}

++ activejob-5.1.3.gem -> activejob-5.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-03 21:13:05.0 +0200
+++ new/CHANGELOG.md2017-09-08 02:49:03.0 +0200
@@ -1,3 +1,13 @@
+## Rails 5.1.4 (September 07, 2017) ##
+
+*   No changes.
+
+
+## Rails 5.1.4.rc1 (August 24, 2017) ##
+
+*   No changes.
+
+
 ## Rails 5.1.3 (August 03, 2017) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_job/gem_version.rb 
new/lib/active_job/gem_version.rb
--- old/lib/active_job/gem_version.rb   2017-08-03 21:13:05.0 +0200
+++ new/lib/active_job/gem_version.rb   2017-09-08 02:49:03.0 +0200
@@ -7,7 +7,7 @@
   module VERSION
 MAJOR = 5
 MINOR = 1
-TINY  = 3
+TINY  = 4
 PRE   = nil
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2017-08-03 21:13:05.0 +0200
+++ new/metadata2017-09-08 02:49:03.0 +0200
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activejob
 version: !ruby/object:Gem::Version
-  version: 5.1.3
+  version: 5.1.4
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2017-08-03 00:00:00.0 Z
+date: 2017-09-08 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: globalid
   requirement: !ruby/object:Gem::Requirement
@@ -102,7 +102,7 @@
   version: '0'
 requirements: []
 rubyforge_project: 
-rubygems_version: 2.6.12
+rubygems_version: 2.6.13
 signing_key: 
 specification_version: 4
 summary: Job framework with pluggable queues.




commit rubygem-public_suffix for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-public_suffix for 
openSUSE:Factory checked in at 2017-09-13 22:35:12

Comparing /work/SRC/openSUSE:Factory/rubygem-public_suffix (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-public_suffix.new (New)


Package is "rubygem-public_suffix"

Wed Sep 13 22:35:12 2017 rev:2 rq:523501 version:3.0.0

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-public_suffix/rubygem-public_suffix.changes  
2017-07-28 09:47:17.971164556 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-public_suffix.new/rubygem-public_suffix.changes
 2017-09-13 22:36:11.610122526 +0200
@@ -1,0 +2,6 @@
+Mon Sep 11 12:47:43 UTC 2017 - co...@suse.com
+
+- updated to version 3.0.0
+ see installed CHANGELOG.md
+
+---

Old:

  public_suffix-2.0.5.gem

New:

  gem2rpm.yml
  public_suffix-3.0.0.gem



Other differences:
--
++ rubygem-public_suffix.spec ++
--- /var/tmp/diff_new_pack.pCXzaL/_old  2017-09-13 22:36:12.082056078 +0200
+++ /var/tmp/diff_new_pack.pCXzaL/_new  2017-09-13 22:36:12.086055515 +0200
@@ -15,17 +15,26 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
+#
+# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
+# All sections marked as MANUAL, license headers, summaries and descriptions
+# can be maintained in that file. Please consult this file before editing any
+# of those fields
+#
+
 Name:   rubygem-public_suffix
-Version:2.0.5
+Version:3.0.0
 Release:0
 %define mod_name public_suffix
 %define mod_full_name %{mod_name}-%{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  %{ruby >= 2.1}
 BuildRequires:  %{rubygem gem2rpm}
-BuildRequires:  %{ruby >= 2.0}
 BuildRequires:  ruby-macros >= 5
 Url:https://simonecarletti.com/code/publicsuffix-ruby
 Source: https://rubygems.org/gems/%{mod_full_name}.gem
+Source1:gem2rpm.yml
 Summary:Domain name parser based on the Public Suffix List
 License:MIT
 Group:  Development/Languages/Ruby

++ gem2rpm.yml ++
# ---
# ## used by gem2rpm
# :summary: this is a custom summary
# ## used by gem2rpm
# :description: |-
#   this is a custom description
#
#   it can be multiline
# ## used by gem2rpm
# :license: MIT or Ruby
# ## used by gem2rpm and gem_packages
# :version_suffix: -x_y
# ## used by gem2rpm and gem_packages
# :disable_docs: true
# ## used by gem2rpm
# :disable_automatic_rdoc_dep: true
# ## used by gem2rpm
# :preamble: |-
#   BuildRequires: foobar
#   Requires: foobar
# ## used by gem2rpm
# :patches:
#   foo.patch: -p1
#   bar.patch:
# :post_patch:
#   if you need to fiddle with the source dir before rebuilding the gem
# ## used by gem2rpm
:sources:
# - foo.desktop
# - bar.desktop
# :gem_install_args: ''
# ## used by gem2rpm
# :pre_install: |-
#   %if 0%{?use_system_libev}
#   export USE_VENDORED_LIBEV="no"
#   %endif
# ## used by gem2rpm
# :post_install: |-
#   # delete custom files here or do other fancy stuff
#   install -D -m 0644 %{S:1} %{buildroot}%{_bindir}/gem2rpm-opensuse
# ## used by gem2rpm
# :testsuite_command: |-
#   (pushd %{buildroot}%{gem_base}/gems/%{mod_full_name} && rake test)
# ## used by gem2rpm
# :filelist: |-
#   /usr/bin/gem2rpm-opensuse
# ## used by gem2rpm
# :scripts:
#   :post: |-
# /bin/echo foo
# ## used by gem_packages
# :main:
#   :preamble: |-
# Requires: util-linux
# Recommends: pwgen
#   :filelist: |-
# /usr/bin/gem2rpm-opensuse
# ## used by gem_packages
# :custom_pkgs:
#   apache:
# :preamble: |-
#   Requires: .
# :filelist: |-
#   /etc/apache2/conf.d/passenger.conf
# :summary: Custom summary is optional
# :description: |-
#   Custom description is optional
#
#   bar
# :post: |-
#   /bin/echo foo
#
++ public_suffix-2.0.5.gem -> public_suffix-3.0.0.gem ++
 3203 lines of diff (skipped)




commit rubygem-rails-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-rails-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:34:48

Comparing /work/SRC/openSUSE:Factory/rubygem-rails-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-rails-5_1.new (New)


Package is "rubygem-rails-5_1"

Wed Sep 13 22:34:48 2017 rev:2 rq:523499 version:5.1.4

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-rails-5_1/rubygem-rails-5_1.changes  
2017-09-04 12:36:21.335232649 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-rails-5_1.new/rubygem-rails-5_1.changes 
2017-09-13 22:36:06.510840498 +0200
@@ -1,0 +2,5 @@
+Mon Sep 11 09:42:19 UTC 2017 - enava...@suse.com
+
+- Update to version 5.1.4
+
+---

Old:

  rails-5.1.3.gem

New:

  rails-5.1.4.gem



Other differences:
--
++ rubygem-rails-5_1.spec ++
--- /var/tmp/diff_new_pack.EX7kLv/_old  2017-09-13 22:36:07.026767856 +0200
+++ /var/tmp/diff_new_pack.EX7kLv/_new  2017-09-13 22:36:07.030767293 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-rails-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name rails
 %define mod_full_name %{mod_name}-%{version}

++ rails-5.1.3.gem -> rails-5.1.4.gem ++
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2017-08-03 21:13:09.0 +0200
+++ new/metadata2017-09-08 02:49:08.0 +0200
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: rails
 version: !ruby/object:Gem::Version
-  version: 5.1.3
+  version: 5.1.4
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2017-08-03 00:00:00.0 Z
+date: 2017-09-08 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,126 +16,126 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: actionpack
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: actionview
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: activemodel
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: activerecord
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: actionmailer
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: activejob
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 

commit rubygem-railties-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-railties-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:34:39

Comparing /work/SRC/openSUSE:Factory/rubygem-railties-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-railties-5_1.new (New)


Package is "rubygem-railties-5_1"

Wed Sep 13 22:34:39 2017 rev:2 rq:523497 version:5.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-railties-5_1/rubygem-railties-5_1.changes
2017-09-04 12:36:59.093920346 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-railties-5_1.new/rubygem-railties-5_1.changes
   2017-09-13 22:36:05.798940732 +0200
@@ -1,0 +2,5 @@
+Mon Sep 11 09:38:23 UTC 2017 - enava...@suse.com
+
+- Update to version 5.1.4
+
+---

Old:

  railties-5.1.3.gem

New:

  railties-5.1.4.gem



Other differences:
--
++ rubygem-railties-5_1.spec ++
--- /var/tmp/diff_new_pack.WJKdZx/_old  2017-09-13 22:36:06.214882168 +0200
+++ /var/tmp/diff_new_pack.WJKdZx/_new  2017-09-13 22:36:06.218881605 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-railties-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name railties
 %define mod_full_name %{mod_name}-%{version}

++ railties-5.1.3.gem -> railties-5.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-03 21:13:09.0 +0200
+++ new/CHANGELOG.md2017-09-08 02:49:08.0 +0200
@@ -1,3 +1,16 @@
+## Rails 5.1.4 (September 07, 2017) ##
+
+*   No changes.
+
+
+## Rails 5.1.4.rc1 (August 24, 2017) ##
+
+*   Allow irb options to be passed from `rails console` command.
+
+Fixes #28988.
+
+*Yuji Yaginuma*
+
 ## Rails 5.1.3 (August 03, 2017) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
Binary files old/lib/rails/.DS_Store and new/lib/rails/.DS_Store differ
Binary files old/lib/rails/command/.DS_Store and 
new/lib/rails/command/.DS_Store differ
Binary files old/lib/rails/commands/.DS_Store and 
new/lib/rails/commands/.DS_Store differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/rails/commands/console/console_command.rb 
new/lib/rails/commands/console/console_command.rb
--- old/lib/rails/commands/console/console_command.rb   2017-08-03 
21:13:09.0 +0200
+++ new/lib/rails/commands/console/console_command.rb   2017-09-08 
02:49:08.0 +0200
@@ -73,14 +73,26 @@
   class_option :environment, aliases: "-e", type: :string,
 desc: "Specifies the environment to run this console under 
(test/development/production)."
 
+  def initialize(args = [], local_options = {}, config = {})
+console_options = []
+
+# For the same behavior as OptionParser, leave only options after "--" 
in ARGV.
+termination = local_options.find_index("--")
+if termination
+  console_options = local_options[termination + 1..-1]
+  local_options = local_options[0...termination]
+end
+
+ARGV.replace(console_options)
+super(args, local_options, config)
+  end
+
   def perform
 extract_environment_option_from_argument
 
 # RAILS_ENV needs to be set before config/application is required.
 ENV["RAILS_ENV"] = options[:environment]
 
-ARGV.clear # Clear ARGV so IRB doesn't freak.
-
 require_application_and_environment!
 Rails::Console.start(Rails.application, options)
   end
Binary files old/lib/rails/commands/generate/.DS_Store and 
new/lib/rails/commands/generate/.DS_Store differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/rails/commands/server/server_command.rb 
new/lib/rails/commands/server/server_command.rb
--- old/lib/rails/commands/server/server_command.rb 2017-08-03 
21:13:09.0 +0200
+++ new/lib/rails/commands/server/server_command.rb 2017-09-08 
02:49:08.0 +0200
@@ -64,9 +64,9 @@
   end
 
   def print_boot_information
-url = "#{options[:SSLEnable] ? 'https' : 
'http'}://#{options[:Host]}:#{options[:Port]}"
+url = "on #{options[:SSLEnable] ? 'https' : 
'http'}://#{options[:Host]}:#{options[:Port]}" unless use_puma?
 puts "=> Booting #{ActiveSupport::Inflector.demodulize(server)}"
-puts "=> Rails #{Rails.version} application starting in #{Rails.env} 
on #{url}"
+puts "=> Rails #{Rails.version} application starting in #{Rails.env} 
#{url}"
 puts "=> Run `rails server -h` for more startup options"
   end
 
@@ -91,6 +91,10 @@
   def restart_command
  

commit rubygem-puma for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-puma for openSUSE:Factory 
checked in at 2017-09-13 22:35:00

Comparing /work/SRC/openSUSE:Factory/rubygem-puma (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-puma.new (New)


Package is "rubygem-puma"

Wed Sep 13 22:35:00 2017 rev:27 rq:523500 version:3.10.0

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-puma/rubygem-puma.changes
2017-07-11 08:25:18.587980053 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-puma.new/rubygem-puma.changes   
2017-09-13 22:36:08.286590475 +0200
@@ -1,0 +2,35 @@
+Mon Sep 11 12:47:58 UTC 2017 - co...@suse.com
+
+- updated to version 3.10.0
+ see installed History.md
+
+  ## 3.10.0 / 2017-08-17
+  
+  * 3 features:
+* The status server has a new /gc and /gc-status command. (#1384)
+* The persistent and first data timeouts are now configurable (#)
+* Implemented RFC 2324 (#1392)
+  
+  * 12 bugfixes:
+* Not really a Puma bug, but @NickolasVashchenko created a gem to 
workaround a Ruby bug that some users of Puma may be experiencing. See README 
for more. (#1347)
+* Fix hangups with SSL and persistent connections. (#1334)
+* Fix Rails double-binding to a port (#1383)
+* Fix incorrect thread names (#1368)
+* Fix issues with /etc/hosts and JRuby where localhost addresses were not 
correct. (#1318)
+* Fix compatibility with RUBYOPT="--enable-frozen-string-literal" (#1376)
+* Fixed some compiler warnings (#1388)
+* We actually run the integration tests in CI now (#1390)
+* No longer shipping unnecessary directories in the gemfile (#1391)
+* If RUBYOPT is nil, we no longer blow up on restart. (#1385)
+* Correct response to SIGINT (#1377)
+* Proper exit code returned when we receive a TERM signal (#1337)
+  
+  * 3 refactors:
+* Various test improvements from @grosser
+* Rubocop (#1325)
+* Hoe has been removed (#1395)
+  
+  * 1 known issue:
+* Socket activation doesn't work in JRuby. Their fault, not ours. (#1367)
+
+---

Old:

  puma-3.9.1.gem

New:

  puma-3.10.0.gem



Other differences:
--
++ rubygem-puma.spec ++
--- /var/tmp/diff_new_pack.VW2NwN/_old  2017-09-13 22:36:10.098335383 +0200
+++ /var/tmp/diff_new_pack.VW2NwN/_new  2017-09-13 22:36:10.102334820 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-puma
-Version:3.9.1
+Version:3.10.0
 Release:0
 %define mod_name puma
 %define mod_full_name %{mod_name}-%{version}
@@ -34,7 +34,6 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  %{rubydevel >= 1.9.3}
 BuildRequires:  %{rubygem gem2rpm}
-BuildRequires:  %{rubygem rdoc > 3.10}
 BuildRequires:  ruby-macros >= 5
 BuildRequires:  update-alternatives
 Url:http://puma.io
@@ -49,9 +48,9 @@
 %description
 Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
 Ruby/Rack applications. Puma is intended for use in both development and
-production environments. In order to get the best throughput, it is highly
-recommended that you use a  Ruby implementation with real threads like
-Rubinius or JRuby.
+production environments. It's great for highly concurrent Ruby implementations
+such as Rubinius and JRuby as well as as providing process worker support to
+support CRuby well.
 
 %prep
 

++ puma-3.9.1.gem -> puma-3.10.0.gem ++
 2772 lines of diff (skipped)




commit rubygem-activemodel-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-activemodel-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:35:27

Comparing /work/SRC/openSUSE:Factory/rubygem-activemodel-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activemodel-5_1.new (New)


Package is "rubygem-activemodel-5_1"

Wed Sep 13 22:35:27 2017 rev:2 rq:523505 version:5.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activemodel-5_1/rubygem-activemodel-5_1.changes
  2017-09-04 12:38:01.225179045 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activemodel-5_1.new/rubygem-activemodel-5_1.changes
 2017-09-13 22:36:18.965086957 +0200
@@ -1,0 +2,5 @@
+Mon Sep 11 09:18:29 UTC 2017 - enava...@suse.com
+
+- Update to version 5.1.4
+
+---

Old:

  activemodel-5.1.3.gem

New:

  activemodel-5.1.4.gem



Other differences:
--
++ rubygem-activemodel-5_1.spec ++
--- /var/tmp/diff_new_pack.j56Ikl/_old  2017-09-13 22:36:19.696983907 +0200
+++ /var/tmp/diff_new_pack.j56Ikl/_new  2017-09-13 22:36:19.700983343 +0200
@@ -24,11 +24,17 @@
 #
 
 Name:   rubygem-activemodel-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name activemodel
 %define mod_full_name %{mod_name}-%{version}
 %define mod_version_suffix -5_1
+# MANUAL
+%if 0%{?suse_version} && 0%{?suse_version} < 1330
+%define rb_build_versions ruby22 ruby23 ruby24
+%define rb_default_ruby_abi ruby:2.2.0 ruby:2.3.0 ruby:2.4.0
+%endif
+# /MANUAL
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  %{ruby >= 2.2.2}
 BuildRequires:  %{rubygem gem2rpm}

++ activemodel-5.1.3.gem -> activemodel-5.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-03 21:12:59.0 +0200
+++ new/CHANGELOG.md2017-09-08 02:48:51.0 +0200
@@ -1,3 +1,13 @@
+## Rails 5.1.4 (September 07, 2017) ##
+
+*   No changes.
+
+
+## Rails 5.1.4.rc1 (August 24, 2017) ##
+
+*   No changes.
+
+
 ## Rails 5.1.3 (August 03, 2017) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_model/gem_version.rb 
new/lib/active_model/gem_version.rb
--- old/lib/active_model/gem_version.rb 2017-08-03 21:12:59.0 +0200
+++ new/lib/active_model/gem_version.rb 2017-09-08 02:48:51.0 +0200
@@ -7,7 +7,7 @@
   module VERSION
 MAJOR = 5
 MINOR = 1
-TINY  = 3
+TINY  = 4
 PRE   = nil
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2017-08-03 21:12:59.0 +0200
+++ new/metadata2017-09-08 02:48:51.0 +0200
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: activemodel
 version: !ruby/object:Gem::Version
-  version: 5.1.3
+  version: 5.1.4
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2017-08-03 00:00:00.0 Z
+date: 2017-09-08 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: activesupport
@@ -16,14 +16,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 description: A toolkit for building modeling frameworks like Active Record. 
Rich support
   for attributes, callbacks, validations, serialization, internationalization, 
and
   testing.
@@ -109,7 +109,7 @@
   version: '0'
 requirements: []
 rubyforge_project: 
-rubygems_version: 2.6.12
+rubygems_version: 2.6.13
 signing_key: 
 specification_version: 4
 summary: A toolkit for building modeling frameworks (part of Rails).




commit rubygem-raindrops for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-raindrops for 
openSUSE:Factory checked in at 2017-09-13 22:34:34

Comparing /work/SRC/openSUSE:Factory/rubygem-raindrops (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-raindrops.new (New)


Package is "rubygem-raindrops"

Wed Sep 13 22:34:34 2017 rev:3 rq:523496 version:0.19.0

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-raindrops/rubygem-raindrops.changes  
2017-03-31 15:07:59.265106423 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-raindrops.new/rubygem-raindrops.changes 
2017-09-13 22:36:03.919205396 +0200
@@ -1,0 +2,25 @@
+Mon Sep 11 12:49:48 UTC 2017 - co...@suse.com
+
+- updated to version 0.19.0
+ see installed NEWS
+
+  === raindrops 0.19.0 - Rack 2.x middleware compatibility / 2017-08-09 23:52 
UTC
+  
+This release fixes Rack 2.x compatibility for the few users of
+Raindrops::Middleware
+.
+Thanks to Dmytro Shteflyuk for this release.
+  
+No need to upgrade unless you use Raindrops::Middleware with
+Rack 2.x.
+  
+There's also a few minor, inconsequential cleanups.
+  
+Dmytro Shteflyuk (1):
+  Properly override respond_to? in Raindrops::Middleware::Proxy
+  
+Eric Wong (2):
+  Ruby thread compatibility updates
+  tcp_info: remove unnecessary extconf.h include
+
+---

Old:

  raindrops-0.18.0.gem

New:

  raindrops-0.19.0.gem



Other differences:
--
++ rubygem-raindrops.spec ++
--- /var/tmp/diff_new_pack.IIzJYl/_old  2017-09-13 22:36:04.603109104 +0200
+++ /var/tmp/diff_new_pack.IIzJYl/_new  2017-09-13 22:36:04.607108541 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-raindrops
-Version:0.18.0
+Version:0.19.0
 Release:0
 %define mod_name raindrops
 %define mod_full_name %{mod_name}-%{version}
@@ -33,7 +33,7 @@
 BuildRequires:  %{rubygem gem2rpm}
 BuildRequires:  ruby-macros >= 5
 Url:https://bogomips.org/raindrops/
-Source: http://rubygems.org/gems/%{mod_full_name}.gem
+Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:rubygem-raindrops-rpmlintrc
 Source2:gem2rpm.yml
 Summary:real-time stats for preforking Rack servers

++ raindrops-0.18.0.gem -> raindrops-0.19.0.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/GIT-VERSION-FILE new/GIT-VERSION-FILE
--- old/GIT-VERSION-FILE2017-03-23 03:45:38.0 +0100
+++ new/GIT-VERSION-FILE2017-08-10 01:53:31.0 +0200
@@ -1 +1 @@
-GIT_VERSION = 0.18.0
+GIT_VERSION = 0.19.0
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/GIT-VERSION-GEN new/GIT-VERSION-GEN
--- old/GIT-VERSION-GEN 2017-03-23 03:45:38.0 +0100
+++ new/GIT-VERSION-GEN 2017-08-10 01:53:31.0 +0200
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 GVF=GIT-VERSION-FILE
-DEF_VER=v0.18.0
+DEF_VER=v0.19.0
 
 LF='
 '
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/LATEST new/LATEST
--- old/LATEST  2017-03-23 03:45:38.0 +0100
+++ new/LATEST  2017-08-10 01:53:31.0 +0200
@@ -1,42 +1,19 @@
-=== raindrops 0.18.0 / 2017-03-23 02:44 UTC
+=== raindrops 0.19.0 - Rack 2.x middleware compatibility / 2017-08-09 23:52 UTC
 
-  The most notable feature of this release is the addition of
-  FreeBSD and OpenBSD TCP_INFO support.  This includes the
-  Raindrops::TCP for portably mapping TCP state names to
-  platform-dependent numeric values:
-
-https://bogomips.org/raindrops/Raindrops.html#TCP
-
-  Thanks to Jeremy Evans and Simon Eskildsen on the
-  unicorn-pub...@bogomips.org mailing list for inspiring
-  these changes to raindrops.
-
-  There's also a few internal cleanups, and documentation
-  improvements, including some fixes to the largely-forgotten
-  Raindrops::Aggreage::PMQ class:
-
-https://bogomips.org/raindrops/Raindrops/Aggregate/PMQ.html
-
-  20 changes since 0.17.0:
-
-test_inet_diag_socket: fix Fixnum deprecation warning
-TODO: add item for IPv6 breakage
-ext: fix documentation for C ext-defined classes
-TCP_Info: custom documentation for #get!
-TypedData C-API conversion
-test_watcher: disable test correctly when aggregate is missing
-tcp_info: support this struct under FreeBSD
-define Raindrops::TCP hash for TCP states
-linux_inet_diag: reduce stack usage and simplify
-avoid reading errno repeatedly
-aggregate/pmq: avoid false sharing of lock buffers
-aggregate/pmq: remove io-extra requirement
-

commit rubygem-activerecord-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-activerecord-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:35:20

Comparing /work/SRC/openSUSE:Factory/rubygem-activerecord-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activerecord-5_1.new (New)


Package is "rubygem-activerecord-5_1"

Wed Sep 13 22:35:20 2017 rev:2 rq:523504 version:5.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activerecord-5_1/rubygem-activerecord-5_1.changes
2017-09-04 12:36:17.623754820 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activerecord-5_1.new/rubygem-activerecord-5_1.changes
   2017-09-13 22:36:14.985647256 +0200
@@ -1,0 +2,5 @@
+Mon Sep 11 09:22:02 UTC 2017 - enava...@suse.com
+
+- Update to version 5.1.4
+
+---

Old:

  activerecord-5.1.3.gem

New:

  activerecord-5.1.4.gem



Other differences:
--
++ rubygem-activerecord-5_1.spec ++
--- /var/tmp/diff_new_pack.bFwBVL/_old  2017-09-13 22:36:15.737541391 +0200
+++ /var/tmp/diff_new_pack.bFwBVL/_new  2017-09-13 22:36:15.737541391 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-activerecord-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name activerecord
 %define mod_full_name %{mod_name}-%{version}
@@ -36,10 +36,10 @@
 %endif
 # /MANUAL
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  ruby-macros >= 5
 BuildRequires:  %{ruby >= 2.2.2}
 BuildRequires:  %{rubygem gem2rpm}
 BuildRequires:  %{rubygem rdoc > 3.10}
+BuildRequires:  ruby-macros >= 5
 Url:http://rubyonrails.org
 Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml

++ activerecord-5.1.3.gem -> activerecord-5.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-03 21:13:00.0 +0200
+++ new/CHANGELOG.md2017-09-08 02:48:53.0 +0200
@@ -1,3 +1,42 @@
+## Rails 5.1.4 (September 07, 2017) ##
+
+*   No changes.
+
+
+## Rails 5.1.4.rc1 (August 24, 2017) ##
+
+*   Ensure `sum` honors `distinct` on `has_many :through` associations
+
+Fixes #16791
+
+*Aaron Wortham
+
+*   Fix `COUNT(DISTINCT ...)` with `ORDER BY` and `LIMIT` to keep the existing 
select list.
+
+*Ryuta Kamizono*
+
+*   Fix `unscoped(where: [columns])` removing the wrong bind values
+
+When the `where` is called on a relation after a `or`, unscoping the 
column of that later `where`, it removed
+bind values used by the `or` instead.
+
+```
+Post.where(id: 1).or(Post.where(id: 2)).where(foo: 3).unscope(where: 
:foo).to_sql
+# Currently:
+# SELECT "posts".* FROM "posts" WHERE ("posts"."id" = 2 OR 
"posts"."id" = 3)
+# With fix:
+# SELECT "posts".* FROM "posts" WHERE ("posts"."id" = 1 OR 
"posts"."id" = 2)
+```
+
+*Maxime Handfield Lapointe*
+
+*   When a `has_one` association is destroyed by `dependent: destroy`,
+`destroyed_by_association` will now be set to the reflection, matching the
+behaviour of `has_many` associations.
+
+*Lisa Ugray*
+
+
 ## Rails 5.1.3 (August 03, 2017) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_record/associations/association_scope.rb 
new/lib/active_record/associations/association_scope.rb
--- old/lib/active_record/associations/association_scope.rb 2017-08-03 
21:13:00.0 +0200
+++ new/lib/active_record/associations/association_scope.rb 2017-09-08 
02:48:53.0 +0200
@@ -66,11 +66,11 @@
   foreign_key = join_keys.foreign_key
 
   value = transform_value(owner[foreign_key])
-  scope = scope.where(table.name => { key => value })
+  scope = apply_scope(scope, table, key, value)
 
   if reflection.type
 polymorphic_type = transform_value(owner.class.base_class.name)
-scope = scope.where(table.name => { reflection.type => 
polymorphic_type })
+scope = apply_scope(scope, table, reflection.type, 
polymorphic_type)
   end
 
   scope
@@ -89,10 +89,10 @@
 
   if reflection.type
 value = transform_value(next_reflection.klass.base_class.name)
-scope = scope.where(table.name => { reflection.type => value })
+scope = apply_scope(scope, table, reflection.type, value)
   end
 
-  scope = scope.joins(join(foreign_table, constraint))
+  scope.joins!(join(foreign_table, constraint))
 end
 
 class ReflectionProxy < 

commit rubygem-rake for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-rake for openSUSE:Factory 
checked in at 2017-09-13 22:34:32

Comparing /work/SRC/openSUSE:Factory/rubygem-rake (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-rake.new (New)


Package is "rubygem-rake"

Wed Sep 13 22:34:32 2017 rev:3 rq:523495 version:12.1.0

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-rake/rubygem-rake.changes
2017-02-04 00:56:54.179266809 +0100
+++ /work/SRC/openSUSE:Factory/.rubygem-rake.new/rubygem-rake.changes   
2017-09-13 22:36:02.447412623 +0200
@@ -1,0 +2,25 @@
+Mon Sep 11 12:50:02 UTC 2017 - co...@suse.com
+
+- updated to version 12.1.0
+ see installed History.rdoc
+
+  === 12.1.0
+  
+   Enhancements:
+  
+  * Added did_you_mean feature for invalid rake task.
+Pull request #221 by @xtina-starr
+  * Enabled to dependency chained by extensions. Pull request #39 by Petr 
Skocik.
+  * Make all of string literals to frozen objects on Ruby 2.4 or later.
+  
+   Bug fixes
+  
+  * Typo fixes in rakefile.rdoc. Pull request #180 by Yuta Kurotaki.
+  * Fix unexpected behavior of file task with dryrun option.
+Pull request #183 by @aycabta.
+  * Make LoadError from running tests more obvious. Pull request #195
+by Eric Hodel.
+  * Fix unexpected TypeError with hash stayle option. Pull request #202
+by Kuniaki IGARASHI.
+
+---

Old:

  rake-12.0.0.gem

New:

  rake-12.1.0.gem



Other differences:
--
++ rubygem-rake.spec ++
--- /var/tmp/diff_new_pack.92VvWg/_old  2017-09-13 22:36:03.507263398 +0200
+++ /var/tmp/diff_new_pack.92VvWg/_new  2017-09-13 22:36:03.507263398 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-rake
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-rake
-Version:12.0.0
+Version:12.1.0
 Release:0
 %define mod_name rake
 %define mod_full_name %{mod_name}-%{version}
@@ -35,7 +35,7 @@
 BuildRequires:  ruby-macros >= 5
 BuildRequires:  update-alternatives
 Url:https://github.com/ruby/rake
-Source: http://rubygems.org/gems/%{mod_full_name}.gem
+Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
 Summary:Rake is a Make-like program implemented in Ruby
 License:MIT

++ rake-12.0.0.gem -> rake-12.1.0.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/.rubocop.yml new/.rubocop.yml
--- old/.rubocop.yml2016-12-06 12:44:33.0 +0100
+++ new/.rubocop.yml1970-01-01 01:00:00.0 +0100
@@ -1,57 +0,0 @@
-AllCops:
-  TargetRubyVersion: 2.3
-  DisabledByDefault: true
-  Exclude:
-- doc/**/*.rb
-- rake.gemspec
-
-Style/LineLength:
-  Enabled: true
-  Max: 120
-
-Style/HashSyntax:
-  Enabled: true
-
-Style/StringLiterals:
-  Enabled: true
-  EnforcedStyle: double_quotes
-
-Style/IndentationWidth:
-  Enabled: true
-
-Style/Tab:
-  Enabled: true
-
-Style/EmptyLines:
-  Enabled: true
-
-Style/TrailingBlankLines:
-  Enabled: true
-
-Style/TrailingWhitespace:
-  Enabled: true
-
-Style/SpaceBeforeBlockBraces:
-  Enabled: true
-
-Style/SpaceInsideBlockBraces:
-  Enabled: true
-
-Style/SpaceInsideHashLiteralBraces:
-  Enabled: true
-
-Style/CaseIndentation:
-  Enabled: true
-
-Style/MultilineIfThen:
-  Enabled: true
-
-Style/MethodDefParentheses:
-  Enabled: true
-
-Style/BracesAroundHashParameters:
-  Enabled: true
-
-Lint/EndAlignment:
-  Enabled: true
-  AlignWith: variable
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/.travis.yml new/.travis.yml
--- old/.travis.yml 2016-12-06 12:44:33.0 +0100
+++ new/.travis.yml 1970-01-01 01:00:00.0 +0100
@@ -1,21 +0,0 @@
-language: ruby
-sudo: false
-rvm:
-  - 1.9.3
-  - 2.0.0
-  - 2.1.10
-  - 2.2.5
-  - 2.3.1
-  - ruby-head
-  - jruby-1.7.20
-  - jruby-9.1.6.0
-  - jruby-head
-before_install:
-  - gem install bundler --no-document -v '~> 1.13.3'
-before_script:
-  - unset JRUBY_OPTS
-script: ruby -Ilib exe/rake
-notifications:
-  email:
-  - h...@ruby-lang.org
-  - drbr...@segment7.net
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/History.rdoc new/History.rdoc
--- old/History.rdoc2016-12-06 12:44:33.0 +0100
+++ new/History.rdoc2017-09-11 04:22:49.0 +0200
@@ -1,10 +1,29 @@
+=== 12.1.0
+
+ Enhancements:
+
+* Added did_you_mean 

commit rubygem-activesupport-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-activesupport-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:35:18

Comparing /work/SRC/openSUSE:Factory/rubygem-activesupport-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-activesupport-5_1.new (New)


Package is "rubygem-activesupport-5_1"

Wed Sep 13 22:35:18 2017 rev:2 rq:523503 version:5.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-activesupport-5_1/rubygem-activesupport-5_1.changes
  2017-09-04 12:37:43.207713939 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-activesupport-5_1.new/rubygem-activesupport-5_1.changes
 2017-09-13 22:36:14.185759879 +0200
@@ -1,0 +2,5 @@
+Mon Sep 11 09:29:05 UTC 2017 - enava...@suse.com
+
+- Update to version 5.1.4
+
+---

Old:

  activesupport-5.1.3.gem

New:

  activesupport-5.1.4.gem



Other differences:
--
++ rubygem-activesupport-5_1.spec ++
--- /var/tmp/diff_new_pack.icpG1u/_old  2017-09-13 22:36:14.633696811 +0200
+++ /var/tmp/diff_new_pack.icpG1u/_new  2017-09-13 22:36:14.633696811 +0200
@@ -24,16 +24,16 @@
 #
 
 Name:   rubygem-activesupport-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name activesupport
 %define mod_full_name %{mod_name}-%{version}
 %define mod_version_suffix -5_1
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  ruby-macros >= 5
 BuildRequires:  %{ruby >= 2.2.2}
 BuildRequires:  %{rubygem gem2rpm}
 BuildRequires:  %{rubygem rdoc > 3.10}
+BuildRequires:  ruby-macros >= 5
 Url:http://rubyonrails.org
 Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml

++ activesupport-5.1.3.gem -> activesupport-5.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-03 21:12:58.0 +0200
+++ new/CHANGELOG.md2017-09-08 02:48:50.0 +0200
@@ -1,3 +1,13 @@
+## Rails 5.1.4 (September 07, 2017) ##
+
+*   No changes.
+
+
+## Rails 5.1.4.rc1 (August 24, 2017) ##
+
+*   No changes.
+
+
 ## Rails 5.1.3 (August 03, 2017) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_support/gem_version.rb 
new/lib/active_support/gem_version.rb
--- old/lib/active_support/gem_version.rb   2017-08-03 21:12:58.0 
+0200
+++ new/lib/active_support/gem_version.rb   2017-09-08 02:48:50.0 
+0200
@@ -7,7 +7,7 @@
   module VERSION
 MAJOR = 5
 MINOR = 1
-TINY  = 3
+TINY  = 4
 PRE   = nil
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_support/hash_with_indifferent_access.rb 
new/lib/active_support/hash_with_indifferent_access.rb
--- old/lib/active_support/hash_with_indifferent_access.rb  2017-08-03 
21:12:58.0 +0200
+++ new/lib/active_support/hash_with_indifferent_access.rb  2017-09-08 
02:48:50.0 +0200
@@ -221,7 +221,7 @@
 #   dup  = hash.dup
 #   dup[:a][:c] = 'c'
 #
-#   hash[:a][:c] # => nil
+#   hash[:a][:c] # => "c"
 #   dup[:a][:c]  # => "c"
 def dup
   self.class.new(self).tap do |new_hash|
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/active_support/lazy_load_hooks.rb 
new/lib/active_support/lazy_load_hooks.rb
--- old/lib/active_support/lazy_load_hooks.rb   2017-08-03 21:12:58.0 
+0200
+++ new/lib/active_support/lazy_load_hooks.rb   2017-09-08 02:48:50.0 
+0200
@@ -25,33 +25,51 @@
   base.class_eval do
 @load_hooks = Hash.new { |h, k| h[k] = [] }
 @loaded = Hash.new { |h, k| h[k] = [] }
+@run_once   = Hash.new { |h, k| h[k] = [] }
   end
 end
 
 # Declares a block that will be executed when a Rails component is fully
 # loaded.
+#
+# Options:
+#
+# * :yield - Yields the object that run_load_hooks to +block+.
+# * :run_once - Given +block+ will run only once.
 def on_load(name, options = {}, )
   @loaded[name].each do |base|
-execute_hook(base, options, block)
+execute_hook(name, base, options, block)
   end
 
   @load_hooks[name] << [block, options]
 end
 
-def execute_hook(base, options, block)
-  if options[:yield]
-block.call(base)
-  else
-base.instance_eval()
-  end
-end
-
 def run_load_hooks(name, base = Object)
   @loaded[name] << base
   

commit rubygem-haml for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-haml for openSUSE:Factory 
checked in at 2017-09-13 22:34:28

Comparing /work/SRC/openSUSE:Factory/rubygem-haml (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-haml.new (New)


Package is "rubygem-haml"

Wed Sep 13 22:34:28 2017 rev:28 rq:523493 version:5.0.3

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-haml/rubygem-haml.changes
2017-08-16 16:12:36.354713323 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-haml.new/rubygem-haml.changes   
2017-09-13 22:35:33.487490150 +0200
@@ -1,0 +2,9 @@
+Thu Sep  7 12:45:54 UTC 2017 - mschnit...@suse.com
+
+- updated to version 5.0.3
+
+  Released on September 7, 2017 (diff).
+* Use String#dump instead of String#inspect to generate string literal. 
(Takashi Kokubun)
+* Fix Erubi superclass mismatch error. #952 (thanks Robin Daugherty) 
+
+---

Old:

  haml-5.0.2.gem

New:

  haml-5.0.3.gem



Other differences:
--
++ rubygem-haml.spec ++
--- /var/tmp/diff_new_pack.BAfnJx/_old  2017-09-13 22:35:34.075407372 +0200
+++ /var/tmp/diff_new_pack.BAfnJx/_new  2017-09-13 22:35:34.079406809 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-haml
-Version:5.0.2
+Version:5.0.3
 Release:0
 %define mod_name haml
 %define mod_full_name %{mod_name}-%{version}
@@ -34,7 +34,7 @@
 BuildRequires:  ruby-macros >= 5
 BuildRequires:  update-alternatives
 Url:http://haml.info/
-Source: http://rubygems.org/gems/%{mod_full_name}.gem
+Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
 Summary:An elegant, structured (X)HTML/XML templating engine
 License:MIT

++ haml-5.0.2.gem -> haml-5.0.3.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/.travis.yml new/.travis.yml
--- old/.travis.yml 2017-08-01 11:00:14.0 +0200
+++ new/.travis.yml 2017-09-07 14:10:32.0 +0200
@@ -13,10 +13,10 @@
 gemfile:
   - test/gemfiles/Gemfile.rails-5.1.x
   - test/gemfiles/Gemfile.rails-5.0.x
+  - test/gemfiles/Gemfile.rails-5.0.x.erubi
   - test/gemfiles/Gemfile.rails-4.2.x
   - test/gemfiles/Gemfile.rails-4.1.x
   - test/gemfiles/Gemfile.rails-4.0.x
-  - test/gemfiles/Gemfile.rails-edge
 matrix:
   exclude:
 - rvm: 2.0.0
@@ -25,14 +25,21 @@
   gemfile: test/gemfiles/Gemfile.rails-5.1.x
 - rvm: 2.0.0
   gemfile: test/gemfiles/Gemfile.rails-5.0.x
+- rvm: 2.0.0
+  gemfile: test/gemfiles/Gemfile.rails-5.0.x.erubi
 - rvm: 2.1.10
   gemfile: test/gemfiles/Gemfile.rails-5.0.x
+- rvm: 2.1.10
+  gemfile: test/gemfiles/Gemfile.rails-5.0.x.erubi
 - rvm: 2.4.1
   gemfile: test/gemfiles/Gemfile.rails-4.0.x
 - rvm: 2.4.1
   gemfile: test/gemfiles/Gemfile.rails-4.1.x
 - rvm: 2.4.1
   gemfile: test/gemfiles/Gemfile.rails-4.2.x
+  include:
+- rvm: 2.4.1
+  gemfile: test/gemfiles/Gemfile.rails-edge
   allow_failures:
 - rvm: rbx-3
 - gemfile: test/gemfiles/Gemfile.rails-edge
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-01 11:00:14.0 +0200
+++ new/CHANGELOG.md2017-09-07 14:10:32.0 +0200
@@ -1,16 +1,24 @@
 # Haml Changelog
 
+## 5.0.3
+
+Released on September 7, 2017
+([diff](https://github.com/haml/haml/compare/v5.0.2...v5.0.3)).
+
+* Use `String#dump` instead of `String#inspect` to generate string literal. 
(Takashi Kokubun)
+* Fix Erubi superclass mismatch error. 
[#952](https://github.com/haml/haml/pull/952) (thanks [Robin 
Daugherty](https://github.com/RobinDaugherty))
+
 ## 5.0.2
 
 Released on August 1, 2017
-([diff](https://github.com/haml/haml/compare/v5.0.2...v5.0.1)).
+([diff](https://github.com/haml/haml/compare/v5.0.1...v5.0.2)).
 
 * Let `haml -c` fail if generated Ruby code is syntax error. 
[#880](https://github.com/haml/haml/issues/880) (Takashi Kokubun)
 * Fix `NoMethodError` bug caused with Sprockets 3 and :sass filter. 
[#930](https://github.com/haml/haml/pull/930) (thanks [Gonzalez 
Maximiliano](https://github.com/emaxi))
 * Fix `list_of` helper with multi-line content. 
[#933](https://github.com/haml/haml/pull/933) (thanks [Benoit 
Larroque](https://github.com/zetaben))
 * Optimize rendering performance by changing timing to fix textareas. 
[#941](https://github.com/haml/haml/pull/941) (Takashi Kokubun)
 * Fix `TypeError` with empty :ruby filter. 
[#942](https://github.com/haml/haml/pull/942) (Takashi Kokubun)
-* Fix inconsitent attribute sort order. (Takashi Kokubun)
+* Fix inconsistent attribute sort order. (Takashi 

commit rubygem-rouge for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-rouge for openSUSE:Factory 
checked in at 2017-09-13 22:34:30

Comparing /work/SRC/openSUSE:Factory/rubygem-rouge (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-rouge.new (New)


Package is "rubygem-rouge"

Wed Sep 13 22:34:30 2017 rev:6 rq:523494 version:2.2.1

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-rouge/rubygem-rouge.changes  
2017-08-21 11:37:00.918405120 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-rouge.new/rubygem-rouge.changes 
2017-09-13 22:35:50.229132943 +0200
@@ -1,0 +2,6 @@
+Mon Sep 11 12:51:52 UTC 2017 - co...@suse.com
+
+- updated to version 2.2.1
+  no changelog found
+
+---

Old:

  rouge-2.1.1.gem

New:

  rouge-2.2.1.gem



Other differences:
--
++ rubygem-rouge.spec ++
--- /var/tmp/diff_new_pack.q64liT/_old  2017-09-13 22:35:52.048876725 +0200
+++ /var/tmp/diff_new_pack.q64liT/_new  2017-09-13 22:35:52.052876162 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-rouge
-Version:2.1.1
+Version:2.2.1
 Release:0
 %define mod_name rouge
 %define mod_full_name %{mod_name}-%{version}
@@ -34,7 +34,7 @@
 BuildRequires:  ruby-macros >= 5
 BuildRequires:  update-alternatives
 Url:http://rouge.jneen.net/
-Source: http://rubygems.org/gems/%{mod_full_name}.gem
+Source: https://rubygems.org/gems/%{mod_full_name}.gem
 Source1:gem2rpm.yml
 Summary:A pure-ruby colorizer based on pygments
 License:MIT or BSD-2-Clause

++ rouge-2.1.1.gem -> rouge-2.2.1.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Gemfile new/Gemfile
--- old/Gemfile 2017-06-22 03:48:38.0 +0200
+++ new/Gemfile 2017-08-22 03:21:26.0 +0200
@@ -2,13 +2,14 @@
 
 gemspec
 
+gem 'bundler', '~> 1.15'
+gem 'rake', '~> 12.0'
+
 gem 'minitest', '~> 4.0'
 gem 'wrong'
 
 gem 'rubocop', '~> 0.49.1' if RUBY_VERSION >= '2.0.0'
 
-gem 'rake'
-
 # don't try to install redcarpet under jruby
 gem 'redcarpet', :platforms => :ruby
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/bin/rougify new/bin/rougify
--- old/bin/rougify 2017-06-22 03:48:38.0 +0200
+++ new/bin/rougify 2017-08-22 03:21:26.0 +0200
@@ -4,7 +4,7 @@
 ROOT_DIR = Pathname.new(__FILE__).dirname.parent
 load ROOT_DIR.join('lib/rouge.rb')
 load ROOT_DIR.join('lib/rouge/cli.rb')
-Signal.trap('SIGPIPE', 'SYSTEM_DEFAULT')
+Signal.trap('PIPE', 'SYSTEM_DEFAULT') if Signal.list.include? 'PIPE'
 
 begin
   Rouge::CLI.parse(ARGV).run
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/rouge/cli.rb new/lib/rouge/cli.rb
--- old/lib/rouge/cli.rb2017-06-22 03:48:38.0 +0200
+++ new/lib/rouge/cli.rb2017-08-22 03:21:26.0 +0200
@@ -273,6 +273,7 @@
 when 'html-pygments' then 
Formatters::HTMLPygments.new(Formatters::HTML.new, opts[:css_class])
 when 'html-inline' then Formatters::HTMLInline.new(theme)
 when 'html-table' then Formatters::HTMLTable.new(Formatters::HTML.new)
+when 'null', 'raw', 'tokens' then Formatters::Null.new
 else
   error! "unknown formatter preset #{opts[:formatter]}"
 end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/rouge/demos/gherkin new/lib/rouge/demos/gherkin
--- old/lib/rouge/demos/gherkin 2017-06-22 03:48:38.0 +0200
+++ new/lib/rouge/demos/gherkin 2017-08-22 03:21:26.0 +0200
@@ -1,7 +1,7 @@
 # language: en
 Feature: Addition
   In order to avoid silly mistakes
-  As a math idiot
+  As someone who has trouble with mental math
   I want to be told the sum of two numbers
 
   Scenario Outline: Add two numbers
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/rouge/demos/nix new/lib/rouge/demos/nix
--- old/lib/rouge/demos/nix 1970-01-01 01:00:00.0 +0100
+++ new/lib/rouge/demos/nix 2017-08-22 03:21:27.0 +0200
@@ -0,0 +1,19 @@
+# See https://nixos.org/nix/manual/#sec-expression-syntax
+{ stdenv, fetchurl, perl }: # 1
+
+stdenv.mkDerivation { # 2
+  name = "hello-2.1.1"; # 3
+  builder = ./builder.sh; # 4
+  meta = rec {
+name = "rouge";
+version = "${name}-2.1.1";
+number = 55 + 12;
+isSmaller = number < 42;
+bool = true;
+  };
+  src = fetchurl { # 5
+url = ftp://ftp.nluug.nl/pub/gnu/hello/hello-2.1.1.tar.gz; # path
+md5 = "70c9ccf9fac07f762c24f2df2290784d";
+  };
+  inherit perl; # 6
+}
diff -urN 

commit rubygem-actionview-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-actionview-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:34:20

Comparing /work/SRC/openSUSE:Factory/rubygem-actionview-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actionview-5_1.new (New)


Package is "rubygem-actionview-5_1"

Wed Sep 13 22:34:20 2017 rev:2 rq:523492 version:5.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actionview-5_1/rubygem-actionview-5_1.changes
2017-09-04 12:38:19.718577194 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actionview-5_1.new/rubygem-actionview-5_1.changes
   2017-09-13 22:35:27.960268378 +0200
@@ -1,0 +2,5 @@
+Mon Sep 11 08:54:49 UTC 2017 - enava...@suse.com
+
+- Update to version 5.1.4
+
+---

Old:

  actionview-5.1.3.gem

New:

  actionview-5.1.4.gem



Other differences:
--
++ rubygem-actionview-5_1.spec ++
--- /var/tmp/diff_new_pack.cLTFVi/_old  2017-09-13 22:35:28.616176027 +0200
+++ /var/tmp/diff_new_pack.cLTFVi/_new  2017-09-13 22:35:28.620175464 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actionview-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name actionview
 %define mod_full_name %{mod_name}-%{version}

++ actionview-5.1.3.gem -> actionview-5.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-03 21:13:03.0 +0200
+++ new/CHANGELOG.md2017-09-08 02:49:00.0 +0200
@@ -1,3 +1,13 @@
+## Rails 5.1.4 (September 07, 2017) ##
+
+*   No changes.
+
+
+## Rails 5.1.4.rc1 (August 24, 2017) ##
+
+*   No changes.
+
+
 ## Rails 5.1.3 (August 03, 2017) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_view/gem_version.rb 
new/lib/action_view/gem_version.rb
--- old/lib/action_view/gem_version.rb  2017-08-03 21:13:03.0 +0200
+++ new/lib/action_view/gem_version.rb  2017-09-08 02:49:00.0 +0200
@@ -7,7 +7,7 @@
   module VERSION
 MAJOR = 5
 MINOR = 1
-TINY  = 3
+TINY  = 4
 PRE   = nil
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_view/helpers/controller_helper.rb 
new/lib/action_view/helpers/controller_helper.rb
--- old/lib/action_view/helpers/controller_helper.rb2017-08-03 
21:13:03.0 +0200
+++ new/lib/action_view/helpers/controller_helper.rb2017-09-08 
02:49:00.0 +0200
@@ -7,8 +7,11 @@
 module ControllerHelper #:nodoc:
   attr_internal :controller, :request
 
-  delegate :request_forgery_protection_token, :params, :session, :cookies, 
:response, :headers,
-   :flash, :action_name, :controller_name, :controller_path, to: 
:controller
+  CONTROLLER_DELEGATES = [:request_forgery_protection_token, :params,
+:session, :cookies, :response, :headers, :flash, :action_name,
+:controller_name, :controller_path]
+
+  delegate(*CONTROLLER_DELEGATES, to: :controller)
 
   def assign_controller(controller)
 if @_controller = controller
@@ -21,6 +24,11 @@
   def logger
 controller.logger if controller.respond_to?(:logger)
   end
+
+  def respond_to?(method_name, include_private = false)
+return controller.respond_to?(method_name) if 
CONTROLLER_DELEGATES.include?(method_name.to_sym)
+super
+  end
 end
   end
 end
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_view/helpers/form_helper.rb 
new/lib/action_view/helpers/form_helper.rb
--- old/lib/action_view/helpers/form_helper.rb  2017-08-03 21:13:03.0 
+0200
+++ new/lib/action_view/helpers/form_helper.rb  2017-09-08 02:49:00.0 
+0200
@@ -541,6 +541,36 @@
   # and adds an authenticity token needed for cross site request forgery
   # protection.
   #
+  # === Resource-oriented style
+  #
+  # In many of the examples just shown, the +:model+ passed to +form_with+
+  # is a _resource_. It corresponds to a set of RESTful routes, most likely
+  # defined via +resources+ in config/routes.rb.
+  #
+  # So when passing such a model record, Rails infers the URL and method.
+  #
+  #   <%= form_with model: @post do |form| %>
+  # ...
+  #   <% end %>
+  #
+  # is then equivalent to something like:
+  #
+  #   <%= form_with scope: :post, url: post_path(@post), method: :patch do 
|form| %>

commit ibus-sunpinyin for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package ibus-sunpinyin for openSUSE:Factory 
checked in at 2017-09-13 22:33:47

Comparing /work/SRC/openSUSE:Factory/ibus-sunpinyin (Old)
 and  /work/SRC/openSUSE:Factory/.ibus-sunpinyin.new (New)


Package is "ibus-sunpinyin"

Wed Sep 13 22:33:47 2017 rev:4 rq:523485 version:2.0.99

Changes:

--- /work/SRC/openSUSE:Factory/ibus-sunpinyin/ibus-sunpinyin.changes
2017-06-07 09:55:22.107149068 +0200
+++ /work/SRC/openSUSE:Factory/.ibus-sunpinyin.new/ibus-sunpinyin.changes   
2017-09-13 22:35:16.585869885 +0200
@@ -1,0 +2,11 @@
+Tue Sep 12 02:51:46 UTC 2017 - hillw...@opensuse.org
+
+- Update to 3.0.0rc1
+  * fixed the cursor_up(): ccd1cd1
+  * added the setup tag: a43d055
+  * add init status prefs: 0876aee
+  * hacks for working on GNOME3.6 with Emacs: 346afe8
+  * fixed garble menu label for ibus wrapper: 40b66fb
+- Fix Doc filelist
+
+---

Old:

  ibus-sunpinyin-2.0.3.tar.gz

New:

  sunpinyin-3.0.0-rc1.tar.gz



Other differences:
--
++ ibus-sunpinyin.spec ++
--- /var/tmp/diff_new_pack.fVwXKQ/_old  2017-09-13 22:35:18.409613103 +0200
+++ /var/tmp/diff_new_pack.fVwXKQ/_new  2017-09-13 22:35:18.413612540 +0200
@@ -17,24 +17,20 @@
 
 
 Name:   ibus-sunpinyin
-Version:2.0.3
+Version:2.0.99
 Release:0
 Summary:Sunpinyin module for ibus
 License:LGPL-2.1 or CDDL-1.0
 Group:  System/I18n/Chinese
-Url:http://code.google.com/p/sunpinyin/
+Url:https://github.com/sunpinyin/sunpinyin
+Source: 
https://github.com/sunpinyin/sunpinyin/archive/v3.0.0-rc1/sunpinyin-3.0.0-rc1.tar.gz
 BuildRequires:  gcc-c++
-BuildRequires:  ibus-devel
 BuildRequires:  intltool
-BuildRequires:  libsunpinyin-devel
-BuildRequires:  python-devel
 BuildRequires:  scons >= 1.2.0
-%if 0%{?suse_version}
-BuildRequires:  sqlite3-devel
-%else
-BuildRequires:  sqlite-devel
-%endif
-Source: 
http://sunpinyin.googlecode.com/files/ibus-sunpinyin-%{version}.tar.gz
+BuildRequires:  pkgconfig(ibus-1.0)
+BuildRequires:  pkgconfig(python2)
+BuildRequires:  pkgconfig(sqlite3)
+BuildRequires:  pkgconfig(sunpinyin-2.0)
 %if 0%{?is_opensuse}
 Provides:   locale(ibus:zh_CN;zh_SG)
 %endif
@@ -47,22 +43,32 @@
 SunPinyin with IBus framework.
 
 %prep
-%setup -q 
+%setup -q -n sunpinyin-3.0.0-rc1
 sed -i "s/LIBEXECDIR'\].*ibus-sunpinyin.*/LIBEXECDIR'\]/" SConstruct
 
 %build
-scons --prefix=%{_prefix} --libdir=%{_libdir} --libexecdir=%{_libdir}/ibus
+cd wrapper/ibus/
+scons --prefix=%{_prefix} \
+  --libdir=%{_libdir} \
+  --libexecdir=%{_libdir}
 
 %install
-scons install --prefix=%{_prefix} --libdir=%{_libdir} 
--libexecdir=%{_libdir}/ibus --install-sandbox=%{buildroot}
+pushd wrapper/ibus/
+scons install --prefix=%{_prefix} \
+  --libdir=%{_libdir} \
+  --libexecdir=%{_libdir} \
+  --install-sandbox=%{buildroot}
+popd
 
 %find_lang %{name}
 
 %files -f %{name}.lang
 %defattr(-,root,root)
-%doc README COPYING
-%{_libdir}/ibus/ibus-engine-sunpinyin
-%{_libdir}/ibus/ibus-setup-sunpinyin
+%doc wrapper/ibus/README wrapper/ibus/COPYING 
+%doc wrapper/ibus/LGPL.LICENSE wrapper/ibus/OPENSOLARIS.LICENSE
+%dir %{_libdir}/%{name}
+%{_libdir}/%{name}/ibus-engine-sunpinyin
+%{_libdir}/%{name}/ibus-setup-sunpinyin
 %{_datadir}/%{name}
 %{_datadir}/ibus/component/sunpinyin.xml
 




commit sunpinyin for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package sunpinyin for openSUSE:Factory 
checked in at 2017-09-13 22:33:54

Comparing /work/SRC/openSUSE:Factory/sunpinyin (Old)
 and  /work/SRC/openSUSE:Factory/.sunpinyin.new (New)


Package is "sunpinyin"

Wed Sep 13 22:33:54 2017 rev:13 rq:523487 version:2.0.99

Changes:

--- /work/SRC/openSUSE:Factory/sunpinyin/sunpinyin.changes  2017-05-03 
15:58:28.621325448 +0200
+++ /work/SRC/openSUSE:Factory/.sunpinyin.new/sunpinyin.changes 2017-09-13 
22:35:18.561591704 +0200
@@ -1,0 +2,23 @@
+Tue Sep 12 02:19:43 UTC 2017 - hillw...@opensuse.org
+
+- Update to 3.0.0rc1
+  * fix the pod2man invocations: 63ef4bb
+  * Add support for DESTDIR: 9232a1e
+  * add travis-ci integration: f01c99e
+  * fixed the FTBFS on gcc6: 844ad0f
+  * handle AArch64 architecture: 96b3342
+  * hacks to support ve/ue: cf3fe3d
+  * shuangpin related fixes: 33091ba, 4c1acf5
+  * Support 'ng', 'hm' and 'rua': 3bbbf8f
+  * Use lve/nve instead of lue/nue: 4f9745c
+  * fix invalid 'yai' case: d6e9f34
+  * fixed the userdict saving issue: 7d8b8b1
+  * expose userdict to public, easier to import user dict.: a4bfe22
+  * fix crashes, merge the duplicate sentences: fa7ec5f
+  * optimized the add operation from O(n) to O(log n): 08f5da8
+  * fixed crash in preeditstring when partial commit with empty pinyin: b728af3
+  * add Python plugin support. refact uiobjects: CCandidateList and 
CPreeditString: 57370b8
+- Fix doc filelist.
+- Remove useless %post and %postun.
+
+---

Old:

  _service
  _servicedata
  sunpinyin-2.0.4+git20160225.844ad0f.tar.xz

New:

  sunpinyin-3.0.0-rc1.tar.gz



Other differences:
--
++ sunpinyin.spec ++
--- /var/tmp/diff_new_pack.rf7HMc/_old  2017-09-13 22:35:19.861408691 +0200
+++ /var/tmp/diff_new_pack.rf7HMc/_new  2017-09-13 22:35:19.861408691 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   sunpinyin
-Version:2.0.4+git20160225.844ad0f
+Version:2.0.99
 Release:0
 Summary:A Statistical Language Model Based Chinese Input Method
 License:LGPL-2.1+
 Group:  System/I18n/Chinese
 Url:https://github.com/sunpinyin/sunpinyin
-Source: %{name}-%{version}.tar.xz
+Source: 
https://github.com/sunpinyin/sunpinyin/archive/v3.0.0-rc1/%{name}-3.0.0-rc1.tar.gz
 # https://sourceforge.net/projects/open-gram
 Source1:
http://jaist.dl.sourceforge.net/project/open-gram/lm_sc.3gm.arpa-20140820.tar.bz2
 Source2:
http://jaist.dl.sourceforge.net/project/open-gram/dict.utf8-20131214.tar.bz2
@@ -34,12 +34,11 @@
 #PATCH-FIX-UPSTREAM bmwiedem...@opensuse.org make build reproducible
 Patch2: reproducible.patch
 BuildRequires:  gcc-c++
-BuildRequires:  gtk2-devel
 BuildRequires:  pkg-config
-BuildRequires:  python-devel
 BuildRequires:  scons
-BuildRequires:  sqlite3-devel
-BuildRequires:  xz
+BuildRequires:  pkgconfig(gtk+-2.0)
+BuildRequires:  pkgconfig(python2)
+BuildRequires:  pkgconfig(sqlite3)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -85,7 +84,7 @@
 This package provides development headers for it.
 
 %prep
-%setup -q
+%setup -q -n %{name}-3.0.0-rc1
 %patch0 -p1
 %patch1 -p1
 %patch2 -p1
@@ -98,7 +97,10 @@
 scons --prefix=%{_prefix}
 
 %install
-scons --prefix=%{_prefix} --libdir=%{_libdir} --install-sandbox=%{buildroot} 
install
+scons --prefix=%{_prefix} \
+  --libdir=%{_libdir} \
+  --install-sandbox=%{buildroot} \
+  install
 
 # make dicts
 src/sunpinyin-dictgen-local
@@ -113,13 +115,9 @@
 
 %postun -n lib%{name}3 -p /sbin/ldconfig
 
-%post -n %{name}-tools -p /sbin/ldconfig
-
-%postun -n %{name}-tools -p /sbin/ldconfig
-
 %files -n lib%{name}3
 %defattr(-,root,root)
-%doc AUTHORS NEWS LGPL.LICENSE doc/README doc/SLM-inst.mk doc/SLM-train.mk
+%doc AUTHORS NEWS COPYING LGPL.LICENSE OPENSOLARIS.LICENSE README.md TODO
 %{_libdir}/lib%{name}.so.*
 
 %files data




commit rubygem-actionpack-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-actionpack-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:34:11

Comparing /work/SRC/openSUSE:Factory/rubygem-actionpack-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actionpack-5_1.new (New)


Package is "rubygem-actionpack-5_1"

Wed Sep 13 22:34:11 2017 rev:2 rq:523491 version:5.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actionpack-5_1/rubygem-actionpack-5_1.changes
2017-09-04 12:38:59.101036442 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actionpack-5_1.new/rubygem-actionpack-5_1.changes
   2017-09-13 22:35:27.056395642 +0200
@@ -1,0 +2,6 @@
+Fri Sep  8 13:37:12 UTC 2017 - enava...@suse.com
+
+- Update to version 5.1.4
+ see installed CHANGELOG.md
+
+---

Old:

  actionpack-5.1.3.gem

New:

  actionpack-5.1.4.gem



Other differences:
--
++ rubygem-actionpack-5_1.spec ++
--- /var/tmp/diff_new_pack.SQZNy3/_old  2017-09-13 22:35:27.712303291 +0200
+++ /var/tmp/diff_new_pack.SQZNy3/_new  2017-09-13 22:35:27.712303291 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actionpack-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name actionpack
 %define mod_full_name %{mod_name}-%{version}

++ actionpack-5.1.3.gem -> actionpack-5.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-03 21:13:04.0 +0200
+++ new/CHANGELOG.md2017-09-08 02:49:01.0 +0200
@@ -1,3 +1,16 @@
+## Rails 5.1.4 (September 07, 2017) ##
+
+*   Make `take_failed_screenshot` work within engine.
+
+Fixes #30405.
+
+*Yuji Yaginuma*
+
+## Rails 5.1.4.rc1 (August 24, 2017) ##
+
+*   No changes.
+
+
 ## Rails 5.1.3 (August 03, 2017) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_controller/railtie.rb 
new/lib/action_controller/railtie.rb
--- old/lib/action_controller/railtie.rb2017-08-03 21:13:04.0 
+0200
+++ new/lib/action_controller/railtie.rb2017-09-08 02:49:02.0 
+0200
@@ -22,17 +22,19 @@
 initializer "action_controller.parameters_config" do |app|
   options = app.config.action_controller
 
-  if options.delete(:raise_on_unfiltered_parameters)
-ActiveSupport::Deprecation.warn("raise_on_unfiltered_parameters is 
deprecated and has no effect in Rails 5.1.")
-  end
+  ActiveSupport.on_load(:action_controller, run_once: true) do
+if options.delete(:raise_on_unfiltered_parameters)
+  ActiveSupport::Deprecation.warn("raise_on_unfiltered_parameters is 
deprecated and has no effect in Rails 5.1.")
+end
 
-  ActionController::Parameters.permit_all_parameters = 
options.delete(:permit_all_parameters) { false }
-  if app.config.action_controller[:always_permitted_parameters]
-ActionController::Parameters.always_permitted_parameters =
-  app.config.action_controller.delete(:always_permitted_parameters)
-  end
-  ActionController::Parameters.action_on_unpermitted_parameters = 
options.delete(:action_on_unpermitted_parameters) do
-(Rails.env.test? || Rails.env.development?) ? :log : false
+ActionController::Parameters.permit_all_parameters = 
options.delete(:permit_all_parameters) { false }
+if app.config.action_controller[:always_permitted_parameters]
+  ActionController::Parameters.always_permitted_parameters =
+app.config.action_controller.delete(:always_permitted_parameters)
+end
+ActionController::Parameters.action_on_unpermitted_parameters = 
options.delete(:action_on_unpermitted_parameters) do
+  (Rails.env.test? || Rails.env.development?) ? :log : false
+end
   end
 end
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_dispatch/http/parameters.rb 
new/lib/action_dispatch/http/parameters.rb
--- old/lib/action_dispatch/http/parameters.rb  2017-08-03 21:13:04.0 
+0200
+++ new/lib/action_dispatch/http/parameters.rb  2017-09-08 02:49:02.0 
+0200
@@ -55,7 +55,7 @@
query_parameters.dup
  end
 params.merge!(path_parameters)
-params = set_binary_encoding(params)
+params = set_binary_encoding(params, params[:controller], 
params[:action])
 set_header("action_dispatch.request.parameters", params)
 params
   end
@@ -64,6 +64,7 @@
   def 

commit rubygem-actionmailer-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-actionmailer-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:34:09

Comparing /work/SRC/openSUSE:Factory/rubygem-actionmailer-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actionmailer-5_1.new (New)


Package is "rubygem-actionmailer-5_1"

Wed Sep 13 22:34:09 2017 rev:2 rq:523490 version:5.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actionmailer-5_1/rubygem-actionmailer-5_1.changes
2017-09-04 12:38:44.379107683 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actionmailer-5_1.new/rubygem-actionmailer-5_1.changes
   2017-09-13 22:35:20.897262844 +0200
@@ -1,0 +2,6 @@
+Fri Sep  8 13:33:22 UTC 2017 - enava...@suse.com
+
+- update to version 5.1.4
+  see installed CHANGELOG.md
+
+---

Old:

  actionmailer-5.1.3.gem

New:

  actionmailer-5.1.4.gem



Other differences:
--
++ rubygem-actionmailer-5_1.spec ++
--- /var/tmp/diff_new_pack.OtXO1r/_old  2017-09-13 22:35:21.341200337 +0200
+++ /var/tmp/diff_new_pack.OtXO1r/_new  2017-09-13 22:35:21.345199774 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actionmailer-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name actionmailer
 %define mod_full_name %{mod_name}-%{version}

++ actionmailer-5.1.3.gem -> actionmailer-5.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-03 21:13:06.0 +0200
+++ new/CHANGELOG.md2017-09-08 02:49:04.0 +0200
@@ -1,3 +1,13 @@
+## Rails 5.1.4 (September 07, 2017) ##
+
+*   No changes.
+
+
+## Rails 5.1.4.rc1 (August 24, 2017) ##
+
+*   No changes.
+
+
 ## Rails 5.1.3 (August 03, 2017) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_mailer/gem_version.rb 
new/lib/action_mailer/gem_version.rb
--- old/lib/action_mailer/gem_version.rb2017-08-03 21:13:06.0 
+0200
+++ new/lib/action_mailer/gem_version.rb2017-09-08 02:49:04.0 
+0200
@@ -7,7 +7,7 @@
   module VERSION
 MAJOR = 5
 MINOR = 1
-TINY  = 3
+TINY  = 4
 PRE   = nil
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2017-08-03 21:13:06.0 +0200
+++ new/metadata2017-09-08 02:49:04.0 +0200
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: actionmailer
 version: !ruby/object:Gem::Version
-  version: 5.1.3
+  version: 5.1.4
 platform: ruby
 authors:
 - David Heinemeier Hansson
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2017-08-03 00:00:00.0 Z
+date: 2017-09-08 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: actionpack
@@ -16,42 +16,42 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: actionview
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: activejob
   requirement: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: mail
   requirement: !ruby/object:Gem::Requirement
@@ -138,7 +138,7 @@
 requirements:
 - none
 rubyforge_project: 
-rubygems_version: 2.6.12
+rubygems_version: 2.6.13
 signing_key: 
 specification_version: 4
 summary: Email composition, delivery, and receiving framework (part of Rails).




commit rubygem-actioncable-5_1 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package rubygem-actioncable-5_1 for 
openSUSE:Factory checked in at 2017-09-13 22:34:00

Comparing /work/SRC/openSUSE:Factory/rubygem-actioncable-5_1 (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-actioncable-5_1.new (New)


Package is "rubygem-actioncable-5_1"

Wed Sep 13 22:34:00 2017 rev:2 rq:523489 version:5.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/rubygem-actioncable-5_1/rubygem-actioncable-5_1.changes
  2017-09-04 12:38:51.050169125 +0200
+++ 
/work/SRC/openSUSE:Factory/.rubygem-actioncable-5_1.new/rubygem-actioncable-5_1.changes
 2017-09-13 22:35:20.137369836 +0200
@@ -1,0 +2,6 @@
+Fri Sep  8 13:19:48 UTC 2017 - enava...@suse.com
+
+- update to version 5.1.4
+  see installed CHANGELOG.md
+
+---

Old:

  actioncable-5.1.3.gem

New:

  actioncable-5.1.4.gem



Other differences:
--
++ rubygem-actioncable-5_1.spec ++
--- /var/tmp/diff_new_pack.Qg27MM/_old  2017-09-13 22:35:20.705289873 +0200
+++ /var/tmp/diff_new_pack.Qg27MM/_new  2017-09-13 22:35:20.705289873 +0200
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-actioncable-5_1
-Version:5.1.3
+Version:5.1.4
 Release:0
 %define mod_name actioncable
 %define mod_full_name %{mod_name}-%{version}

++ actioncable-5.1.3.gem -> actioncable-5.1.4.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CHANGELOG.md new/CHANGELOG.md
--- old/CHANGELOG.md2017-08-03 21:13:08.0 +0200
+++ new/CHANGELOG.md2017-09-08 02:49:07.0 +0200
@@ -1,3 +1,13 @@
+## Rails 5.1.4 (September 07, 2017) ##
+
+*   No changes.
+
+
+## Rails 5.1.4.rc1 (August 24, 2017) ##
+
+*   No changes.
+
+
 ## Rails 5.1.3 (August 03, 2017) ##
 
 *   No changes.
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/action_cable/gem_version.rb 
new/lib/action_cable/gem_version.rb
--- old/lib/action_cable/gem_version.rb 2017-08-03 21:13:08.0 +0200
+++ new/lib/action_cable/gem_version.rb 2017-09-08 02:49:07.0 +0200
@@ -7,7 +7,7 @@
   module VERSION
 MAJOR = 5
 MINOR = 1
-TINY  = 3
+TINY  = 4
 PRE   = nil
 
 STRING = [MAJOR, MINOR, TINY, PRE].compact.join(".")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/assets/compiled/action_cable.js 
new/lib/assets/compiled/action_cable.js
--- old/lib/assets/compiled/action_cable.js 2017-08-03 21:13:08.0 
+0200
+++ new/lib/assets/compiled/action_cable.js 2017-09-08 02:49:07.0 
+0200
@@ -1,4 +1,6 @@
 (function() {
+  var context = this;
+
   (function() {
 (function() {
   var slice = [].slice;
@@ -57,9 +59,9 @@
   };
 
 }).call(this);
-  }).call(this);
+  }).call(context);
 
-  var ActionCable = this.ActionCable;
+  var ActionCable = context.ActionCable;
 
   (function() {
 (function() {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2017-08-03 21:13:08.0 +0200
+++ new/metadata2017-09-08 02:49:07.0 +0200
@@ -1,7 +1,7 @@
 --- !ruby/object:Gem::Specification
 name: actioncable
 version: !ruby/object:Gem::Version
-  version: 5.1.3
+  version: 5.1.4
 platform: ruby
 authors:
 - Pratik Naik
@@ -9,7 +9,7 @@
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2017-08-03 00:00:00.0 Z
+date: 2017-09-08 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: actionpack
@@ -17,14 +17,14 @@
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
   type: :runtime
   prerelease: false
   version_requirements: !ruby/object:Gem::Requirement
 requirements:
 - - '='
   - !ruby/object:Gem::Version
-version: 5.1.3
+version: 5.1.4
 - !ruby/object:Gem::Dependency
   name: nio4r
   requirement: !ruby/object:Gem::Requirement
@@ -135,7 +135,7 @@
   version: '0'
 requirements: []
 rubyforge_project: 
-rubygems_version: 2.6.12
+rubygems_version: 2.6.13
 signing_key: 
 specification_version: 4
 summary: WebSocket framework for Rails.




commit wyrmsun for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package wyrmsun for openSUSE:Factory checked 
in at 2017-09-13 22:33:28

Comparing /work/SRC/openSUSE:Factory/wyrmsun (Old)
 and  /work/SRC/openSUSE:Factory/.wyrmsun.new (New)


Package is "wyrmsun"

Wed Sep 13 22:33:28 2017 rev:3 rq:523373 version:2.8.1

Changes:

--- /work/SRC/openSUSE:Factory/wyrmsun/wyrmsun.changes  2017-05-06 
18:27:49.366709447 +0200
+++ /work/SRC/openSUSE:Factory/.wyrmsun.new/wyrmsun.changes 2017-09-13 
22:34:39.367110268 +0200
@@ -1,0 +2,14 @@
+Sun Sep 10 12:24:42 UTC 2017 - r...@fthiessen.de
+
+- Update to 2.8.1
+ * Minor update to terrain features
+ * Fixed a bug which caused a crash when trying to create
+   a human custom hero
+ * Slight update to scenario hints
+ * Added an option to re-generate the custom hero name in the
+   custom hero creation menu
+ * Units are now categorized by civilization in the encyclopedia
+ * Added next/previous buttons for the building menu
+ * Fix to the Northwards to the Sea quest
+
+---

Old:

  v2.5.3.tar.gz

New:

  Wyrmsun-2.8.1.tar.gz



Other differences:
--
++ wyrmsun.spec ++
--- /var/tmp/diff_new_pack.O87VdD/_old  2017-09-13 22:34:47.469969388 +0200
+++ /var/tmp/diff_new_pack.O87VdD/_new  2017-09-13 22:34:47.473968825 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   wyrmsun
-Version:2.5.3
+Version:2.8.1
 Release:0
 Summary:Strategy game based on history, mythology and fiction
 License:GPL-2.0 and CC-BY-SA-3.0
 Group:  Amusements/Games/Strategy/Real Time
 Url:https://andrettin.github.io/
-Source: https://github.com/Andrettin/Wyrmsun/archive/v%{version}.tar.gz
+Source: 
https://github.com/Andrettin/Wyrmsun/archive/v%{version}/Wyrmsun-%{version}.tar.gz
 BuildRequires:  fdupes
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  update-desktop-files




commit wyrmgus for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package wyrmgus for openSUSE:Factory checked 
in at 2017-09-13 22:33:26

Comparing /work/SRC/openSUSE:Factory/wyrmgus (Old)
 and  /work/SRC/openSUSE:Factory/.wyrmgus.new (New)


Package is "wyrmgus"

Wed Sep 13 22:33:26 2017 rev:2 rq:523372 version:2.8.1

Changes:

--- /work/SRC/openSUSE:Factory/wyrmgus/wyrmgus.changes  2017-05-08 
19:02:23.781379758 +0200
+++ /work/SRC/openSUSE:Factory/.wyrmgus.new/wyrmgus.changes 2017-09-13 
22:33:27.549221298 +0200
@@ -1,0 +2,17 @@
+Sun Sep 10 12:15:24 UTC 2017 - r...@fthiessen.de
+
+- Update to 2.8.1:
+ * Added code for terrain features
+ * Terrain features are groups of tiles which have their name
+   displayed when one of the tiles is hovered over
+ * Update to supply display
+ * Fixed issue with the AI not building town halls close
+   to silver and gold deposits
+ * Ai force update
+ * Added support for variation weight
+ * Update to character code to make heroes be more dynamically
+   applied to the scenario mode
+ * Fixed issue with minecart stone right-click crash
+ * Fixed issue with genversion
+
+---

Old:

  v2.5.3.tar.gz

New:

  Wyrmgus-2.8.1.tar.gz



Other differences:
--
++ wyrmgus.spec ++
--- /var/tmp/diff_new_pack.WEsQPO/_old  2017-09-13 22:33:28.113141911 +0200
+++ /var/tmp/diff_new_pack.WEsQPO/_new  2017-09-13 22:33:28.117141348 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   wyrmgus
-Version:2.5.3
+Version:2.8.1
 Release:0
 Summary:Game engine for Wyrmsun
 License:GPL-2.0
 Group:  Amusements/Games/Strategy/Real Time
 Url:https://andrettin.github.io/
-Source: https://github.com/Andrettin/Wyrmgus/archive/v%{version}.tar.gz
+Source: 
https://github.com/Andrettin/Wyrmgus/archive/v%{version}/Wyrmgus-%{version}.tar.gz
 BuildRequires:  SDL-devel
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
@@ -39,10 +39,10 @@
 BuildRequires:  oaml-devel
 BuildRequires:  sqlite3-devel
 BuildRequires:  zlib-devel
-%if 0%{?suse_version} > 1320
+%if 0%{?suse_version} <= 1320
 BuildRequires:  pkgconfig(tolua++)
 %else
-BuildRequires:  tolua++
+BuildRequires:  libtolua++-5_1-devel
 %endif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 




commit 3omns for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package 3omns for openSUSE:Factory checked 
in at 2017-09-13 22:33:19

Comparing /work/SRC/openSUSE:Factory/3omns (Old)
 and  /work/SRC/openSUSE:Factory/.3omns.new (New)


Package is "3omns"

Wed Sep 13 22:33:19 2017 rev:7 rq:523360 version:0.2

Changes:

--- /work/SRC/openSUSE:Factory/3omns/3omns.changes  2017-01-10 
10:48:03.308689721 +0100
+++ /work/SRC/openSUSE:Factory/.3omns.new/3omns.changes 2017-09-13 
22:33:26.449376130 +0200
@@ -1,0 +2,6 @@
+Mon Sep 11 12:01:30 UTC 2017 - jmate...@suse.com
+
+- lua53.patch : add support for Lua 5.3 (upstream commit 1524b7c)
+- change requirement to lua53
+
+---

New:

  lua53.patch



Other differences:
--
++ 3omns.spec ++
--- /var/tmp/diff_new_pack.NvHwBt/_old  2017-09-13 22:33:26.985300684 +0200
+++ /var/tmp/diff_new_pack.NvHwBt/_new  2017-09-13 22:33:26.985300684 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package 3omns
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,6 +16,12 @@
 #
 
 
+%if 0%{?suse_version} > 1320
+%bcond_without lua53
+%else
+%bcond_with lua53
+%endif
+
 Name:   3omns
 Version:0.2
 Release:0
@@ -26,6 +32,8 @@
 Source: 
https://github.com/chazomaticus/3omns/releases/download/%{version}/3omns-%{version}.tar.xz
 # PATCH-FEATURE-UPSTREAM https://github.com/chazomaticus/3omns/pull/4
 Patch0: appdata.patch
+# PATCH-FEATURE-UPSTREAM upgrade to Lua 5.3 
https://github.com/chazomaticus/3omns/commit/1524b7c
+Patch1: lua53.patch
 %if 0%{?suse_version}
 BuildRequires:  fdupes
 BuildRequires:  hicolor-icon-theme
@@ -42,8 +50,8 @@
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  update-desktop-files
 BuildRequires:  xz
-%if 0%{?suse_version} > 1320
-BuildRequires:  lua52-devel
+%if %{with lua53}
+BuildRequires:  lua53-devel
 %else
 BuildRequires:  lua-devel  < 5.3
 BuildRequires:  lua-devel >= 5.2
@@ -61,6 +69,9 @@
 %prep
 %setup -q
 %patch0 -p1
+%if %{with lua53}
+%patch1 -p1
+%endif
 
 %build
 autoreconf -fi

++ lua53.patch ++
>From 1524b7cc7b8e6e18cc1575118e87ea464d6ae494 Mon Sep 17 00:00:00 2001
From: Charles Lindsay 
Date: Fri, 8 Jul 2016 21:38:59 -0700
Subject: [PATCH] Upgrade to Lua 5.3

It's been out for a while, might as well keep current.

The C code is pretty easy--unsigneds just become integers, no big whoop.
The lua code is a little trickier since every math operation has to
(gets to?) take the new integer type into account.  I think I got it all
ok, might've even gotten a little pedantic in there... but if this isn't
the place for pedantry, what is?
---
 configure.ac   |  6 +++---
 l3/l3.c|  2 +-
 l3/level.c | 18 +-
 l3/sync.c  |  2 +-
 res/base/bot.lua   |  8 
 res/base/entities/bomn.lua |  4 ++--
 res/base/entities/dude.lua |  8 
 res/base/generate.lua  | 22 +++---
 res/base/sprites/blast.lua |  4 ++--
 9 files changed, 37 insertions(+), 37 deletions(-)

diff --git a/configure.ac b/configure.ac
index 1833c5b..941d132 100644
--- a/configure.ac
+++ b/configure.ac
@@ -18,9 +18,9 @@ PKG_CHECK_MODULES([SDL], [
SDL2_image >= 2.0.0
SDL2_ttf >= 2.0.12
 ])
-PKG_CHECK_MODULES([LUA], [lua5.2 >= 5.2.0], [], dnl Linux package name
-   [PKG_CHECK_MODULES([LUA], [lua-5.2 >= 5.2.0], [], dnl BSD
-   [PKG_CHECK_MODULES([LUA], [lua >= 5.2.0])] dnl OpenSUSE (et al.?)
+PKG_CHECK_MODULES([LUA], [lua5.3 >= 5.3.0], [], dnl Linux package name
+   [PKG_CHECK_MODULES([LUA], [lua-5.3 >= 5.3.0], [], dnl BSD
+   [PKG_CHECK_MODULES([LUA], [lua >= 5.3.0])] dnl OpenSUSE (et al.?)
 )])
 AC_CHECK_HEADERS([argp.h], [],
[AC_MSG_ERROR([cannot find required header argp.h])]
diff --git a/l3/l3.c b/l3/l3.c
index e540f09..9392b48 100644
--- a/l3/l3.c
+++ b/l3/l3.c
@@ -128,7 +128,7 @@ static void set_tile_images(lua_State *restrict l) {
 b3_fatal("Missing global table %s", L3_TILE_IMAGES_NAME);
 
 for(int i = 0; i < B3_TILE_COUNT; i++) {
-lua_pushunsigned(l, (lua_Unsigned)i);
+lua_pushinteger(l, (lua_Integer)i);
 lua_gettable(l, -2);
 
 b3_image **p_image = luaL_testudata(l, -1, IMAGE_METATABLE);
diff --git a/l3/level.c b/l3/level.c
index f566237..4f0ae97 100644
--- a/l3/level.c
+++ b/l3/level.c
@@ -40,7 +40,7 @@ l3_level *push_new_level(lua_State *restrict l) {
 
 static int level_new(lua_State 

commit openwsman for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package openwsman for openSUSE:Factory 
checked in at 2017-09-13 22:32:56

Comparing /work/SRC/openSUSE:Factory/openwsman (Old)
 and  /work/SRC/openSUSE:Factory/.openwsman.new (New)


Package is "openwsman"

Wed Sep 13 22:32:56 2017 rev:62 rq:522878 version:2.6.3

Changes:

--- /work/SRC/openSUSE:Factory/openwsman/openwsman.changes  2017-05-03 
15:56:43.800123427 +0200
+++ /work/SRC/openSUSE:Factory/.openwsman.new/openwsman.changes 2017-09-13 
22:32:58.209351668 +0200
@@ -1,0 +2,6 @@
+Sat Sep  9 11:38:42 UTC 2017 - kgronl...@suse.com
+
+- Package for python 3
+- Add openwsman-2.6.2-python3.patch 
+
+---

New:

  openwsman-2.6.2-python3.patch



Other differences:
--
++ openwsman.spec ++
--- /var/tmp/diff_new_pack.Ex9J6k/_old  2017-09-13 22:32:59.725138280 +0200
+++ /var/tmp/diff_new_pack.Ex9J6k/_new  2017-09-13 22:32:59.729137717 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package openwsman
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -27,11 +27,23 @@
 BuildRequires:  gcc-c++
 BuildRequires:  libxml2-devel
 BuildRequires:  pam-devel
+%if 0%{?suse_version} > 1320
+BuildRequires:  python2
+BuildRequires:  python2-devel
+%else
+BuildRequires:  python
+BuildRequires:  python-devel
+%endif
+%if 0%{?suse_version}
+%if 0%{?suse_version} != 1010
+BuildRequires:  python3
+BuildRequires:  python3-devel
+%endif
+%endif
 BuildRequires:  sblim-sfcc-devel
 BuildRequires:  swig >= 2.0.5
 
 BuildRequires:  perl
-BuildRequires:  python-devel
 %if 0%{?suse_version} > 1320
 BuildRequires:  strip-nondeterminism
 %endif
@@ -141,6 +153,7 @@
 %else
 Source2:%{name}.pam
 %endif
+Patch2: openwsman-2.6.2-python3.patch
 Source3:%{name}.SuSEfirewall2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source4:%{name}.service
@@ -219,18 +232,37 @@
 WS-Management resource handler in Ruby
 
 
-%package python
+%package -n python2-openwsman
+Provides:   openwsman-python = %{version}
+Provides:   openwsman-python2 = %{version}
 Summary:Python bindings for openwsman client API
 Group:  Development/Libraries/Python
+%if 0%{?suse_version} > 1320
+Requires:   python2
+%else
 %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib()")}
 %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
 %{!?py_requires: %define py_requires Requires: python}
 %{py_requires}
+%endif
 
-%description python
+%description -n python2-openwsman
 This package provides Python bindings to access the openwsman client
 API.
 
+%if 0%{?suse_version}
+%if 0%{?suse_version} != 1010
+%package -n python3-openwsman
+Provides:   openwsman-python3 = %{version}
+Summary:Python bindings for openwsman client API
+Group:  Development/Libraries/Python
+Requires:   python3
+
+%description -n python3-openwsman
+This package provides Python bindings to access the openwsman client
+API.
+%endif
+%endif
 
 %package ruby
 Requires:   ruby
@@ -324,9 +356,24 @@
 
 %prep
 %setup -q
+
+%if 0%{?suse_version}
+%if 0%{?suse_version} != 1010
+# support python3
+pushd bindings
+cp -r python python3
+popd
+%endif
+%endif
+
 %if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 
0%{?fedora} || 0%{?rhel}
 %patch1 -p1
 %endif
+%if 0%{?suse_version}
+%if 0%{?suse_version} != 1010
+%patch2 -p1 -b .python3
+%endif
+%endif
 
 %build
 rm -rf build
@@ -466,10 +513,30 @@
 %exclude %{_includedir}/openwsman/cpp/*.h
 %exclude %{_libdir}/libwsman_clientpp.so
 
-%files python
+%files -n python2-openwsman
 %defattr(-,root,root)
+%if 0%{?suse_version} > 1320
+%{python2_sitearch}/*.so
+%{python2_sitearch}/*.py
+%else
 %{python_sitearch}/*.so
-%{python_sitearch}/*.py*
+%{python_sitearch}/*.py
+%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} 
+%{python_sitearch}/*.pyc
+%{python_sitearch}/*.pyo
+%endif
+%endif
+%doc AUTHORS COPYING ChangeLog README.md
+
+%if 0%{?suse_version}
+%if 0%{?suse_version} != 1010
+%files -n python3-openwsman
+%defattr(-,root,root)
+%{python3_sitearch}/*.so
+%{python3_sitearch}/*.py
+%doc AUTHORS COPYING ChangeLog README.md
+%endif
+%endif
 
 %files ruby
 %defattr(-,root,root)

++ openwsman-2.6.2-python3.patch ++
diff -up 
openwsman-4391e5c68d99c6239e1672d1c8a5a16d7d8c4c2b/bindings/CMakeLists.txt.orig 

commit squidview for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package squidview for openSUSE:Factory 
checked in at 2017-09-13 22:32:59

Comparing /work/SRC/openSUSE:Factory/squidview (Old)
 and  /work/SRC/openSUSE:Factory/.squidview.new (New)


Package is "squidview"

Wed Sep 13 22:32:59 2017 rev:13 rq:523003 version:0.86

Changes:

--- /work/SRC/openSUSE:Factory/squidview/squidview.changes  2015-01-05 
04:43:17.0 +0100
+++ /work/SRC/openSUSE:Factory/.squidview.new/squidview.changes 2017-09-13 
22:33:00.325053825 +0200
@@ -1,0 +2,22 @@
+Mon Sep 11 08:49:39 UTC 2017 - br...@ioda-net.ch
+
+- New upstream bugfix release 0.86
+  + 0.86 February 2017
+  + fix clang compiler warning, thanks 
+http://people.freebsd.org/~danilo/
+  + 0.85 Janurary 2017
+  + another result code, thanks Yuri Voinov
+  + 0.84 December 2016
+  + INM result code as 'U' - unmodified thanks Yuri Voinov
+  + 0.82-0.83: May 2016
+  + add more squid result codes
+  thanks to Yuri Voinov for the suggestions, corrections
+
+- Packaging
+  + Fix boo#1057981 : don't remove file under /usr/share/squidview
+  + spec_cleaner
+  + Use URL as source now
+  + Refresh patch ac_new-autoconf.patch for version 0.86
+  + Remove _service file, no need
+
+---

Old:

  _service
  squidview-0.81.tar.gz

New:

  squidview-0.86.tar.gz



Other differences:
--
++ squidview.spec ++
--- /var/tmp/diff_new_pack.Fjaw7Q/_old  2017-09-13 22:33:00.980961489 +0200
+++ /var/tmp/diff_new_pack.Fjaw7Q/_new  2017-09-13 22:33:00.980961489 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package squidview
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,24 +17,21 @@
 
 
 Name:   squidview
-Version:0.81
+Version:0.86
 Release:0
-Source: %{name}/%{name}-%{version}.tar.gz
-# to be used one day with _service ...
-#Source: http://www.rillion.net/%%{name}/%%{name}-%%{version}.tar.gz
-Url:http://www.rillion.net/%{name}/index.html
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  autoconf
-BuildRequires:  automake
-BuildRequires:  gcc
-BuildRequires:  gcc-c++
-BuildRequires:  ncurses-devel
 Summary:Interactive console program which monitors squid logs access
 License:GPL-2.0
 Group:  Productivity/Networking/Web/Proxy
+Url:http://www.rillion.net/%{name}/index.html
+Source: http://www.rillion.net/%{name}/%{name}-%{version}.tar.gz
 Patch0: COPYING.patch
 Patch1: ltinfo-obs.patch
 Patch2: ac_new-autoconf.patch
+BuildRequires:  autoconf
+BuildRequires:  automake
+BuildRequires:  gcc
+BuildRequires:  gcc-c++
+BuildRequires:  ncurses-devel
 
 %description
 Squidview is an interactive console program which monitors 
@@ -49,7 +46,7 @@
 It does not generate its own database for tasks
  
 %prep
-%setup -q -n %{name}-%{version}
+%setup -q
 %patch0 
 %patch1
 %patch2
@@ -58,23 +55,20 @@
 
 %build
 %configure
-%__make %{?_smp_mflags};
+make VERBOSE=1 %{?_smp_mflags}
 
 %install
-%makeinstall 
-# Remove stupid content in /usr/share/squidview
-%__rm -rf %{buildroot}%{_datadir}/squidview
-
-# Not used anymore, but doesn't eat bread
-
-%clean
-%__rm -rf %{buildroot}
+make DESTDIR=%{buildroot} install %{?_smp_mflags}
+# Remove stuff that are docs
+rm -fv %{buildroot}%{_datadir}/%{name}/BUGS 
%{buildroot}%{_datadir}/%{name}/example.log
 
 %files
 %defattr(-, root, root, 0755)
 # Upstream Author doesn't want to be spammed!
 # AUTHORS NEWS are empty 
-%doc BUGS ChangeLog COPYING example.log HOWTO README
+%doc BUGS ChangeLog COPYING example.log README
+%dir %{_datadir}/squidview
+%{_datadir}/squidview/*
 %{_mandir}/man1/squidview*
 %{_bindir}/squidview
 

++ ac_new-autoconf.patch ++
--- /var/tmp/diff_new_pack.Fjaw7Q/_old  2017-09-13 22:33:01.008957548 +0200
+++ /var/tmp/diff_new_pack.Fjaw7Q/_new  2017-09-13 22:33:01.012956985 +0200
@@ -6,9 +6,9 @@
  ])
  
 -AC_INIT(squidview.cpp)
-+AC_INIT([squidview], [0.81])
++AC_INIT([squidview], [0.86])
  AM_CONFIG_HEADER(config.h)
--AM_INIT_AUTOMAKE(squidview,0.81)
+-AM_INIT_AUTOMAKE(squidview,0.86)
 +AM_INIT_AUTOMAKE
  AC_PROG_CXX
  AC_PROG_INSTALL

++ squidview-0.81.tar.gz -> squidview-0.86.tar.gz ++
 2701 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' 

commit keybinder for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package keybinder for openSUSE:Factory 
checked in at 2017-09-13 22:32:39

Comparing /work/SRC/openSUSE:Factory/keybinder (Old)
 and  /work/SRC/openSUSE:Factory/.keybinder.new (New)


Package is "keybinder"

Wed Sep 13 22:32:39 2017 rev:19 rq:522804 version:0.3.1

Changes:

--- /work/SRC/openSUSE:Factory/keybinder/keybinder.changes  2013-02-25 
20:35:48.0 +0100
+++ /work/SRC/openSUSE:Factory/.keybinder.new/keybinder.changes 2017-09-13 
22:32:40.747809848 +0200
@@ -1,0 +2,13 @@
+Sat Aug 19 10:33:02 UTC 2017 - seife+...@b1-systems.com
+
+- add specfile hack so that lua.h is still found in tumbleweed
+- remove specfile conditions for old distributions
+
+---
+Sun Dec 25 13:59:46 UTC 2016 - seife+...@b1-systems.com
+
+- update to version 0.3.1:
+  * Use ``XkbFreeKeyboard`` to fix memory leak
+  * Fix deprecated directives in build system
+
+---

Old:

  keybinder-0.3.0.tar.gz

New:

  keybinder-0.3.1.tar.gz



Other differences:
--
++ keybinder.spec ++
--- /var/tmp/diff_new_pack.QJVnPK/_old  2017-09-13 22:32:41.327728209 +0200
+++ /var/tmp/diff_new_pack.QJVnPK/_new  2017-09-13 22:32:41.327728209 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package keybinder
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,29 +19,26 @@
 %define libname libkeybinder0
 
 Name:   keybinder
-Version:0.3.0
+Version:0.3.1
 Release:0
 Summary:A Library for Registering Global Keyboard Shortcuts
 License:GPL-2.0+ and MIT
 Group:  Development/Libraries/Other
 Url:http://kaizer.se/wiki/keybinder/
-Source: 
http://kaizer.se/publicfiles/keybinder/%{name}-%{version}.tar.gz
+Source: 
https://github.com/engla/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
 BuildRequires:  ed
 BuildRequires:  fdupes
 # For Documentation Directory Ownership
 BuildRequires:  glib2-devel
+BuildRequires:  gnome-common
 BuildRequires:  gobject-introspection-devel
+BuildRequires:  libtool
 BuildRequires:  python-devel
 BuildRequires:  python-gobject2-devel
 BuildRequires:  python-gtk-devel
-%if 0%{suse_version} > 1210
 BuildRequires:  lua51-devel
 BuildRequires:  pkgconfig(xext)
 BuildRequires:  pkgconfig(xkbcommon)
-%else
-BuildRequires:  lua-devel
-BuildRequires:  xorg-x11-devel
-%endif
 BuildRequires:  pkgconfig(gtk+-2.0)
 BuildRequires:  pkgconfig(x11)
 BuildRequires:  pkgconfig(xext)
@@ -119,9 +116,13 @@
 w
 EOF
 ' {} {} \;
+rm examples/.gitignore
 
 %build
+NOCONFIGURE=1 ./autogen.sh
+export CPPFLAGS="`pkg-config --cflags lua5.1`"
 %{configure}\
+   --enable-gtk-doc \
--disable-static
 make %{?_smp_mflags} V=1
 
@@ -155,7 +156,6 @@
 %{_datadir}/gtk-doc/html/%{name}/
 %{_datadir}/gir-1.0/Keybinder-0.0.gir
 
-
 %files lua
 %defattr(-,root,root)
 %{_libdir}/lua/*/keybinder.so

++ keybinder-0.3.0.tar.gz -> keybinder-0.3.1.tar.gz ++
 46651 lines of diff (skipped)




commit givaro for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package givaro for openSUSE:Factory checked 
in at 2017-09-13 22:32:52

Comparing /work/SRC/openSUSE:Factory/givaro (Old)
 and  /work/SRC/openSUSE:Factory/.givaro.new (New)


Package is "givaro"

Wed Sep 13 22:32:52 2017 rev:5 rq:522838 version:4.0.2

Changes:

--- /work/SRC/openSUSE:Factory/givaro/givaro.changes2016-10-28 
10:46:21.0 +0200
+++ /work/SRC/openSUSE:Factory/.givaro.new/givaro.changes   2017-09-13 
22:32:56.297620794 +0200
@@ -1,0 +2,6 @@
+Sat Sep  9 21:59:22 UTC 2017 - jeng...@inai.de
+
+- Add 0001-pkgconfig-file-must-not-have-non-I-flags.patch.
+- Build with --disable-simd to get host-agnostic build results.
+
+---

New:

  0001-pkgconfig-file-must-not-have-non-I-flags.patch



Other differences:
--
++ givaro.spec ++
--- /var/tmp/diff_new_pack.4gFiuC/_old  2017-09-13 22:32:56.909534652 +0200
+++ /var/tmp/diff_new_pack.4gFiuC/_new  2017-09-13 22:32:56.909534652 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package givaro
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -28,6 +28,7 @@
 #Git-Clone:https://github.com/linbox-team/givaro
 Source: https://github.com/linbox-team/givaro/archive/v%version.tar.gz
 Patch1: givaro-doc-no-build-time.patch
+Patch2: 0001-pkgconfig-file-must-not-have-non-I-flags.patch
 # Old doxygen does not properly handle symlink recursion
 BuildRequires:  doxygen >= 1.5.7.1
 BuildRequires:  fdupes
@@ -105,12 +106,12 @@
 
 %prep
 %setup -q
-%patch -P 1 -p1
+%patch -P 1 -P 2 -p1
 
 %build
 autoreconf -fi
 %configure --disable-static --enable-doc --with-docdir="%_docdir/%name" \
-   --enable-silent-rules
+   --enable-silent-rules --disable-simd
 chmod a+x givaro-config
 make %{?_smp_mflags}
 

++ 0001-pkgconfig-file-must-not-have-non-I-flags.patch ++
>From 4775e15fe538e49237d267c677be1fe68929ab9d Mon Sep 17 00:00:00 2001
From: Jan Engelhardt 
Date: Sun, 10 Sep 2017 00:03:02 +0200
Subject: [PATCH] pkgconfig file must not have non -I flags

The Cflags directive in .pc files is really meant for the
preprocessor, not for the compiler. It must only contain -D and -I
flags. Otherwise, it forces flags on downstream programs that may not
want them.

In case of the build.opensuse.org build farm, it has even led to
crashes as the machine that was randomly selected to build givaro had
SSE4, emitting -msse4.1 into Cflags, while the machine randomly
selected to build fflas-ffpack had only SSE2. That cannot work.

"Cflags: -I/usr/include  -fmessage-length=0 -grecord-gcc-switches -O2
-Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables
-fasynchronous-unwind-tables  -mmmx -mpopcnt -msse -msse2 -msse3
-msse4.1 -msse4.2 -msse4a -mavx -mfma -mfma4 -mbmi -mfpmath=sse
-fabi-version=6"
---
 givaro.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/givaro.pc.in b/givaro.pc.in
index 274d87e..6e837ff 100644
--- a/givaro.pc.in
+++ b/givaro.pc.in
@@ -10,5 +10,5 @@ URL: http://givaro.forge.imag.fr
 Version: @VERSION@
 Requires:
 Libs: -L@libdir@ -lgivaro @LIBS@
-Cflags: -I@includedir@ @CXXFLAGS@
+Cflags: -I@includedir@
 \---
\ No newline at end of file
-- 
2.14.1




commit iml for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package iml for openSUSE:Factory checked in 
at 2017-09-13 22:32:44

Comparing /work/SRC/openSUSE:Factory/iml (Old)
 and  /work/SRC/openSUSE:Factory/.iml.new (New)


Package is "iml"

Wed Sep 13 22:32:44 2017 rev:2 rq:522836 version:1.0.5

Changes:

--- /work/SRC/openSUSE:Factory/iml/iml.changes  2016-06-02 09:38:34.0 
+0200
+++ /work/SRC/openSUSE:Factory/.iml.new/iml.changes 2017-09-13 
22:32:48.274750229 +0200
@@ -1,0 +2,5 @@
+Sat Sep  9 21:42:47 UTC 2017 - jeng...@inai.de
+
+- For the BLAS implementation, switch from cblas to openblas.
+
+---



Other differences:
--
++ iml.spec ++
--- /var/tmp/diff_new_pack.wZxeXk/_old  2017-09-13 22:32:48.902661834 +0200
+++ /var/tmp/diff_new_pack.wZxeXk/_new  2017-09-13 22:32:48.906661270 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package iml
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,9 +26,8 @@
 Url:https://cs.uwaterloo.ca/~astorjoh/iml.html
 
 Source: http://www.cs.uwaterloo.ca/~astorjoh/%name-%version.tar.bz2
-BuildRequires:  blas-devel
-BuildRequires:  cblas-devel
 BuildRequires:  gmp-devel >= 3.1.1
+BuildRequires:  openblas-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -69,7 +68,7 @@
 %setup -q
 
 %build
-%configure --enable-shared --disable-static --with-cblas="-lcblas -lblas"
+%configure --enable-shared --disable-static --with-cblas="-lopenblas"
 make %{?_smp_mflags}
 
 %check




commit ntl for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package ntl for openSUSE:Factory checked in 
at 2017-09-13 22:32:48

Comparing /work/SRC/openSUSE:Factory/ntl (Old)
 and  /work/SRC/openSUSE:Factory/.ntl.new (New)


Package is "ntl"

Wed Sep 13 22:32:48 2017 rev:18 rq:522837 version:10.5.0

Changes:

--- /work/SRC/openSUSE:Factory/ntl/ntl.changes  2017-04-30 21:24:55.456016634 
+0200
+++ /work/SRC/openSUSE:Factory/.ntl.new/ntl.changes 2017-09-13 
22:32:52.946092612 +0200
@@ -1,0 +2,10 @@
+Sat Sep  9 21:09:02 UTC 2017 - jeng...@inai.de
+
+- Update to new upstream release 10.5.0
+  * Faster linear algebra over ZZ_p. Rewrote mat_ZZ_p routines
+inv, solve, determinant, gauss, and kernel to be
+thread boosted.
+  * C++11 support / "move" semantics. Iterators and support for
+"range based for loops".
+
+---

Old:

  ntl-10.3.0.tar.gz

New:

  ntl-10.5.0.tar.gz



Other differences:
--
++ ntl.spec ++
--- /var/tmp/diff_new_pack.v4H4Xc/_old  2017-09-13 22:32:53.594001401 +0200
+++ /var/tmp/diff_new_pack.v4H4Xc/_new  2017-09-13 22:32:53.598000839 +0200
@@ -18,7 +18,7 @@
 
 Name:   ntl
 %define lname  libntl33
-Version:10.3.0
+Version:10.5.0
 Release:0
 Summary:Library for Number Theory
 License:LGPL-2.1+

++ ntl-10.3.0.tar.gz -> ntl-10.5.0.tar.gz ++
 12277 lines of diff (skipped)




commit mbox-importer for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package mbox-importer for openSUSE:Factory 
checked in at 2017-09-13 22:32:27

Comparing /work/SRC/openSUSE:Factory/mbox-importer (Old)
 and  /work/SRC/openSUSE:Factory/.mbox-importer.new (New)


Package is "mbox-importer"

Wed Sep 13 22:32:27 2017 rev:10 rq:522656 version:17.08.1

Changes:

--- /work/SRC/openSUSE:Factory/mbox-importer/mbox-importer.changes  
2017-08-28 15:09:23.874251409 +0200
+++ /work/SRC/openSUSE:Factory/.mbox-importer.new/mbox-importer.changes 
2017-09-13 22:32:28.541528212 +0200
@@ -1,0 +2,10 @@
+Thu Sep 07 07:02:37 CEST 2017 - lbeltr...@kde.org
+
+- Update to 17.08.1
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-17.08.1.php
+- Changes since 17.08.0:
+  * None
+
+---

Old:

  mbox-importer-17.08.0.tar.xz

New:

  mbox-importer-17.08.1.tar.xz



Other differences:
--
++ mbox-importer.spec ++
--- /var/tmp/diff_new_pack.Ty4Vyv/_old  2017-09-13 22:32:29.025460085 +0200
+++ /var/tmp/diff_new_pack.Ty4Vyv/_new  2017-09-13 22:32:29.029459522 +0200
@@ -19,7 +19,7 @@
 %bcond_without lang
 
 Name:   mbox-importer
-Version:17.08.0
+Version:17.08.1
 Release:0
 %define kf5_version 5.26.0
 # Latest stable Applications (e.g. 16.08 in KA, but 16.11.90 in KUA)

++ mbox-importer-17.08.0.tar.xz -> mbox-importer-17.08.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mbox-importer-17.08.0/CMakeLists.txt 
new/mbox-importer-17.08.1/CMakeLists.txt
--- old/mbox-importer-17.08.0/CMakeLists.txt2017-08-11 02:53:27.0 
+0200
+++ new/mbox-importer-17.08.1/CMakeLists.txt2017-09-05 02:40:19.0 
+0200
@@ -33,20 +33,20 @@
 endif()
 
 
-set(KDEPIM_VERSION_NUMBER "5.6.0")
+set(KDEPIM_VERSION_NUMBER "5.6.1")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
 
-set(AKONADI_VERSION "5.6.0")
+set(AKONADI_VERSION "5.6.1")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
 
 set(QT_REQUIRED_VERSION "5.7.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Widgets)
-set(LIBMAILIMPORTER_VERSION_LIB "5.6.0")
-set(MAILCOMMON_LIB_VERSION_LIB "5.6.0")
-set(PIMCOMMON_LIB_VERSION "5.6.0")
+set(LIBMAILIMPORTER_VERSION_LIB "5.6.1")
+set(MAILCOMMON_LIB_VERSION_LIB "5.6.1")
+set(PIMCOMMON_LIB_VERSION "5.6.1")
 
 # Find KF5 package
 find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mbox-importer-17.08.0/po/zh_CN/mboximporter.po 
new/mbox-importer-17.08.1/po/zh_CN/mboximporter.po
--- old/mbox-importer-17.08.0/po/zh_CN/mboximporter.po  2017-08-11 
02:53:27.0 +0200
+++ new/mbox-importer-17.08.1/po/zh_CN/mboximporter.po  2017-09-05 
02:40:19.0 +0200
@@ -3,7 +3,7 @@
 "Project-Id-Version: kdeorg\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n;
 "POT-Creation-Date: 2017-06-15 03:05+0200\n"
-"PO-Revision-Date: 2017-08-05 09:34-0400\n"
+"PO-Revision-Date: 2017-08-31 05:16-0400\n"
 "Last-Translator: guoyunhebrave \n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"




commit akonadiconsole for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package akonadiconsole for openSUSE:Factory 
checked in at 2017-09-13 22:32:23

Comparing /work/SRC/openSUSE:Factory/akonadiconsole (Old)
 and  /work/SRC/openSUSE:Factory/.akonadiconsole.new (New)


Package is "akonadiconsole"

Wed Sep 13 22:32:23 2017 rev:11 rq:522457 version:17.08.1

Changes:

--- /work/SRC/openSUSE:Factory/akonadiconsole/akonadiconsole.changes
2017-08-28 15:05:00.927238575 +0200
+++ /work/SRC/openSUSE:Factory/.akonadiconsole.new/akonadiconsole.changes   
2017-09-13 22:32:24.610081669 +0200
@@ -1,0 +2,10 @@
+Thu Sep 07 07:01:05 CEST 2017 - lbeltr...@kde.org
+
+- Update to 17.08.1
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-17.08.1.php
+- Changes since 17.08.0:
+  * Fix a switch case fallthrough
+
+---

Old:

  akonadiconsole-17.08.0.tar.xz

New:

  akonadiconsole-17.08.1.tar.xz



Other differences:
--
++ akonadiconsole.spec ++
--- /var/tmp/diff_new_pack.gIqHiM/_old  2017-09-13 22:32:25.174002282 +0200
+++ /var/tmp/diff_new_pack.gIqHiM/_new  2017-09-13 22:32:25.178001718 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   akonadiconsole
-Version:17.08.0
+Version:17.08.1
 Release:0
 %define kf5_version 5.28.0
 # Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)

++ akonadiconsole-17.08.0.tar.xz -> akonadiconsole-17.08.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/akonadiconsole-17.08.0/CMakeLists.txt 
new/akonadiconsole-17.08.1/CMakeLists.txt
--- old/akonadiconsole-17.08.0/CMakeLists.txt   2017-08-07 11:57:13.0 
+0200
+++ new/akonadiconsole-17.08.1/CMakeLists.txt   2017-08-26 08:09:41.0 
+0200
@@ -33,7 +33,7 @@
 endif()
 
 
-set(KDEPIM_VERSION_NUMBER "5.6.0")
+set(KDEPIM_VERSION_NUMBER "5.6.1")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
@@ -41,11 +41,11 @@
 
 
 
-set(AKONADI_MIMELIB_VERSION "5.6.0")
-set(AKONADI_CONTACT_VERSION "5.6.0")
-set(CALENDARSUPPORT_LIB_VERSION_LIB "5.6.0")
-set(KPIMTEXTEDIT_LIB_VERSION "5.6.0")
-set(AKONADI_VERSION "5.6.0")
+set(AKONADI_MIMELIB_VERSION "5.6.1")
+set(AKONADI_CONTACT_VERSION "5.6.1")
+set(CALENDARSUPPORT_LIB_VERSION_LIB "5.6.1")
+set(KPIMTEXTEDIT_LIB_VERSION "5.6.1")
+set(AKONADI_VERSION "5.6.1")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
@@ -53,13 +53,13 @@
 
 set(QT_REQUIRED_VERSION "5.7.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Sql Test)
-set(MESSAGELIB_LIB_VERSION_LIB "5.6.0")
-set(LIBKLEO_LIB_VERSION_LIB "5.6.0")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.6.0")
-set(KCALENDARCORE_LIB_VERSION "5.6.0")
-set(KCONTACTS_LIB_VERSION "5.6.0")
-set(KMIME_LIB_VERSION "5.6.0")
-set(KIMAP_LIB_VERSION "5.6.0")
+set(MESSAGELIB_LIB_VERSION_LIB "5.6.1")
+set(LIBKLEO_LIB_VERSION_LIB "5.6.1")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.6.1")
+set(KCALENDARCORE_LIB_VERSION "5.6.1")
+set(KCONTACTS_LIB_VERSION "5.6.1")
+set(KMIME_LIB_VERSION "5.6.1")
+set(KIMAP_LIB_VERSION "5.6.1")
 
 # Find KF5 package
 find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/akonadiconsole-17.08.0/src/querydebugger.cpp 
new/akonadiconsole-17.08.1/src/querydebugger.cpp
--- old/akonadiconsole-17.08.0/src/querydebugger.cpp2017-08-07 
11:57:13.0 +0200
+++ new/akonadiconsole-17.08.1/src/querydebugger.cpp2017-08-26 
08:09:41.0 +0200
@@ -477,9 +477,15 @@
 if (role == Qt::DisplayRole && column == 0) {
 QString mode;
 switch (transaction->transactionType) {
-case TransactionNode::Begin: mode = QStringLiteral("BEGIN");
-case TransactionNode::Commit: mode = QStringLiteral("COMMIT");
-case TransactionNode::Rollback: mode = QStringLiteral("ROLLBACK");
+case TransactionNode::Begin:
+mode = QStringLiteral("BEGIN");
+break;
+case TransactionNode::Commit:
+mode = QStringLiteral("COMMIT");
+break;
+case TransactionNode::Rollback:
+mode = QStringLiteral("ROLLBACK");
+break;
 }
 return QStringLiteral("%1 %2").arg(mode, transaction->query);
 } else {




commit kalarm for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package kalarm for openSUSE:Factory checked 
in at 2017-09-13 22:32:25

Comparing /work/SRC/openSUSE:Factory/kalarm (Old)
 and  /work/SRC/openSUSE:Factory/.kalarm.new (New)


Package is "kalarm"

Wed Sep 13 22:32:25 2017 rev:10 rq:522495 version:17.08.1

Changes:

--- /work/SRC/openSUSE:Factory/kalarm/kalarm.changes2017-08-28 
15:10:06.220294509 +0200
+++ /work/SRC/openSUSE:Factory/.kalarm.new/kalarm.changes   2017-09-13 
22:32:26.189859272 +0200
@@ -1,0 +2,10 @@
+Thu Sep 07 07:01:29 CEST 2017 - lbeltr...@kde.org
+
+- Update to 17.08.1
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-17.08.1.php
+- Changes since 17.08.0:
+  * None
+
+---

Old:

  kalarm-17.08.0.tar.xz

New:

  kalarm-17.08.1.tar.xz



Other differences:
--
++ kalarm.spec ++
--- /var/tmp/diff_new_pack.uWqGqQ/_old  2017-09-13 22:32:27.321699935 +0200
+++ /var/tmp/diff_new_pack.uWqGqQ/_new  2017-09-13 22:32:27.325699372 +0200
@@ -19,7 +19,7 @@
 %bcond_without lang
 
 Name:   kalarm
-Version:17.08.0
+Version:17.08.1
 Release:0
 %define kf5_version 5.26.0
 # Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)

++ kalarm-17.08.0.tar.xz -> kalarm-17.08.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kalarm-17.08.0/CMakeLists.txt 
new/kalarm-17.08.1/CMakeLists.txt
--- old/kalarm-17.08.0/CMakeLists.txt   2017-08-11 02:52:08.0 +0200
+++ new/kalarm-17.08.1/CMakeLists.txt   2017-09-05 02:39:33.0 +0200
@@ -32,19 +32,19 @@
 endif()
 
 
-set(KDEPIM_VERSION_NUMBER "5.6.0")
+set(KDEPIM_VERSION_NUMBER "5.6.1")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
-set(KIMAP_LIB_VERSION "5.6.0")
-set(AKONADI_MIMELIB_VERSION "5.6.0")
-set(AKONADI_CONTACT_VERSION "5.6.0")
-set(KHOLIDAYS_LIB_VERSION "5.6.0")
-set(KMAILTRANSPORT_LIB_VERSION "5.6.0")
-set(KPIMTEXTEDIT_LIB_VERSION "5.6.0")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.6.0")
-set(AKONADI_VERSION "5.6.0")
-set(KMIME_LIB_VERSION "5.6.0")
-set(AKONADIKALARM_LIB_VERSION "5.6.0")
-set(PIMCOMMON_LIB_VERSION_LIB "5.6.0")
+set(KIMAP_LIB_VERSION "5.6.1")
+set(AKONADI_MIMELIB_VERSION "5.6.1")
+set(AKONADI_CONTACT_VERSION "5.6.1")
+set(KHOLIDAYS_LIB_VERSION "5.6.1")
+set(KMAILTRANSPORT_LIB_VERSION "5.6.1")
+set(KPIMTEXTEDIT_LIB_VERSION "5.6.1")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.6.1")
+set(AKONADI_VERSION "5.6.1")
+set(KMIME_LIB_VERSION "5.6.1")
+set(AKONADIKALARM_LIB_VERSION "5.6.1")
+set(PIMCOMMON_LIB_VERSION_LIB "5.6.1")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
@@ -52,11 +52,11 @@
 set(QT_REQUIRED_VERSION "5.7.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network 
Widgets)
 find_package(Qt5X11Extras NO_MODULE)
-set(MAILCOMMON_LIB_VERSION_LIB "5.6.0")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.6.0")
-set(KCALENDARCORE_LIB_VERSION "5.6.0")
-set(CALENDARUTILS_LIB_VERSION "5.6.0")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.6.0")
+set(MAILCOMMON_LIB_VERSION_LIB "5.6.1")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.6.1")
+set(KCALENDARCORE_LIB_VERSION "5.6.1")
+set(CALENDARUTILS_LIB_VERSION "5.6.1")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.6.1")
 
 # Find KF5 package
 find_package(KF5Auth ${KF5_VERSION} CONFIG REQUIRED)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kalarm-17.08.0/po/uk/kalarm.po 
new/kalarm-17.08.1/po/uk/kalarm.po
--- old/kalarm-17.08.0/po/uk/kalarm.po  2017-08-11 02:52:08.0 +0200
+++ new/kalarm-17.08.1/po/uk/kalarm.po  2017-09-05 02:39:32.0 +0200
@@ -12,14 +12,14 @@
 "Project-Id-Version: kalarm\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n;
 "POT-Creation-Date: 2017-06-15 03:04+0200\n"
-"PO-Revision-Date: 2017-04-15 11:58+0300\n"
+"PO-Revision-Date: 2017-08-30 20:09+0200\n"
 "Last-Translator: Yuri Chornoivan \n"
 "Language-Team: Ukrainian \n"
 "Language: uk\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 1.5\n"
+"X-Generator: Lokalize 2.0\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
 
@@ -1865,7 +1865,7 @@
 #, kde-format
 msgctxt "@info:whatsthis"
 msgid "Remove the highlighted attachment from the email."
-msgstr "Вилучити виділені долучення з електронної пошти."
+msgstr "Вилучити позначені долучення з електронної пошти."
 
 #: editdlgtypes.cpp:1175
 #, kde-format
diff -urN '--exclude=CVS' 

commit pim-sieve-editor for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package pim-sieve-editor for 
openSUSE:Factory checked in at 2017-09-13 22:32:28

Comparing /work/SRC/openSUSE:Factory/pim-sieve-editor (Old)
 and  /work/SRC/openSUSE:Factory/.pim-sieve-editor.new (New)


Package is "pim-sieve-editor"

Wed Sep 13 22:32:28 2017 rev:9 rq:522667 version:17.08.1

Changes:

--- /work/SRC/openSUSE:Factory/pim-sieve-editor/pim-sieve-editor.changes
2017-08-28 15:09:41.083830515 +0200
+++ /work/SRC/openSUSE:Factory/.pim-sieve-editor.new/pim-sieve-editor.changes   
2017-09-13 22:32:29.677368311 +0200
@@ -1,0 +2,10 @@
+Thu Sep 07 07:02:42 CEST 2017 - lbeltr...@kde.org
+
+- Update to 17.08.1
+  * New bugfix release
+  * For more details please see:
+  * https://www.kde.org/announcements/announce-applications-17.08.1.php
+- Changes since 17.08.0:
+  * add summary for appstream happyness 
http://metadata.neon.kde.org/appstream/html/xenial/main/issues/pim-sieve-editor.html
+
+---

Old:

  pim-sieve-editor-17.08.0.tar.xz

New:

  pim-sieve-editor-17.08.1.tar.xz



Other differences:
--
++ pim-sieve-editor.spec ++
--- /var/tmp/diff_new_pack.y7V4QP/_old  2017-09-13 22:32:30.201294555 +0200
+++ /var/tmp/diff_new_pack.y7V4QP/_new  2017-09-13 22:32:30.205293992 +0200
@@ -19,7 +19,7 @@
 %bcond_without lang
 
 Name:   pim-sieve-editor
-Version:17.08.0
+Version:17.08.1
 Release:0
 %define kf5_version 5.26.0
 # Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)

++ pim-sieve-editor-17.08.0.tar.xz -> pim-sieve-editor-17.08.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pim-sieve-editor-17.08.0/CMakeLists.txt 
new/pim-sieve-editor-17.08.1/CMakeLists.txt
--- old/pim-sieve-editor-17.08.0/CMakeLists.txt 2017-08-11 02:53:38.0 
+0200
+++ new/pim-sieve-editor-17.08.1/CMakeLists.txt 2017-09-05 02:40:24.0 
+0200
@@ -35,18 +35,18 @@
 endif()
 
 
-set(KDEPIM_VERSION_NUMBER "5.6.0")
+set(KDEPIM_VERSION_NUMBER "5.6.1")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
-set(KMAILTRANSPORT_LIB_VERSION "5.5.90")
-set(KPIMTEXTEDIT_LIB_VERSION "5.5.90")
+set(KMAILTRANSPORT_LIB_VERSION "5.6.1")
+set(KPIMTEXTEDIT_LIB_VERSION "5.6.1")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
 
-set(LIBKSIEVE_LIB_VERSION_LIB "5.5.90")
-set(PIMCOMMON_LIB_VERSION_LIB "5.5.90")
-set(KIMAP_LIB_VERSION "5.5.90")
+set(LIBKSIEVE_LIB_VERSION_LIB "5.6.1")
+set(PIMCOMMON_LIB_VERSION_LIB "5.6.1")
+set(KIMAP_LIB_VERSION "5.6.1")
 
 
 set(QT_REQUIRED_VERSION "5.7.0")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pim-sieve-editor-17.08.0/po/pl/sieveeditor.po 
new/pim-sieve-editor-17.08.1/po/pl/sieveeditor.po
--- old/pim-sieve-editor-17.08.0/po/pl/sieveeditor.po   2017-08-11 
02:53:37.0 +0200
+++ new/pim-sieve-editor-17.08.1/po/pl/sieveeditor.po   2017-09-05 
02:40:24.0 +0200
@@ -7,7 +7,7 @@
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n;
 "POT-Creation-Date: 2017-07-07 03:15+0200\n"
-"PO-Revision-Date: 2017-04-15 08:37+0100\n"
+"PO-Revision-Date: 2017-08-12 07:59+0100\n"
 "Last-Translator: Łukasz Wojniłowicz \n"
 "Language-Team: Polish \n"
 "Language: pl\n"
@@ -54,16 +54,14 @@
 msgstr "Nie znaleziono ustawień."
 
 #: importwizard/importimapsettingprogresspage.cpp:86
-#, fuzzy, kde-format
-#| msgid "Import settings %1"
+#, kde-format
 msgid "Import settings from %1..."
-msgstr "Importuj ustawienia %1"
+msgstr "Importowanie ustawień z %1 ..."
 
 #: importwizard/importimapsettingprogresspage.cpp:90
-#, fuzzy, kde-format
-#| msgid "Import settings %1"
+#, kde-format
 msgid "Import settings from %1 done"
-msgstr "Importuj ustawienia %1"
+msgstr "Ukończono importowanie ustawień z %1"
 
 #: importwizard/importimapsettingsearchpage.cpp:33
 #, kde-format
@@ -143,13 +141,12 @@
 #: serversievesettings.cpp:277
 #, kde-format
 msgid "Server is not defined"
-msgstr ""
+msgstr "Serwer nie został określony"
 
 #: serversievesettings.cpp:277
-#, fuzzy, kde-format
-#| msgid "Sieve Server"
+#, kde-format
 msgid "Check Server"
-msgstr "Serwer Sieve"
+msgstr "Sprawdź serwer"
 
 #: serversievesettings.cpp:320
 #, kde-format
@@ -265,17 +262,15 @@
 msgstr "Narzędzia > Diagnozuj skrypt Sieve"
 
 #: sieveeditoremptytabwidgetlabel.cpp:42
-#, fuzzy, kde-format
-#| msgid "Import Sieve Settings..."
+#, kde-format
 msgid "Import Sieve Settings"
-msgstr "Importowanie ustawień Sieve..."
+msgstr "Importuj ustawienia Sieve"
 
 #: sieveeditoremptytabwidgetlabel.cpp:42
-#, 

commit Rivet for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package Rivet for openSUSE:Factory checked 
in at 2017-09-13 22:31:48

Comparing /work/SRC/openSUSE:Factory/Rivet (Old)
 and  /work/SRC/openSUSE:Factory/.Rivet.new (New)


Package is "Rivet"

Wed Sep 13 22:31:48 2017 rev:12 rq:522240 version:2.5.4

Changes:

--- /work/SRC/openSUSE:Factory/Rivet/Rivet.changes  2017-06-26 
15:56:41.702165080 +0200
+++ /work/SRC/openSUSE:Factory/.Rivet.new/Rivet.changes 2017-09-13 
22:31:52.162649525 +0200
@@ -1,0 +2,6 @@
+Thu Aug 31 22:19:11 UTC 2017 - badshah...@gmail.com
+
+- Build with HepMC2-devel, since Rivet does not compile with
+  HepMC-devel >= 3 yet.
+
+---



Other differences:
--
++ Rivet.spec ++
--- /var/tmp/diff_new_pack.bX0TnA/_old  2017-09-13 22:31:52.758565633 +0200
+++ /var/tmp/diff_new_pack.bX0TnA/_new  2017-09-13 22:31:52.762565070 +0200
@@ -27,7 +27,7 @@
 Url:http://rivet.hepforge.org/
 Source: 
http://www.hepforge.org/archive/rivet/%{name}-%{version}.tar.bz2
 Patch1: sover.diff
-BuildRequires:  HepMC-devel
+BuildRequires:  HepMC2-devel
 BuildRequires:  YODA-devel >= 1.0.6
 BuildRequires:  autoconf
 BuildRequires:  automake




commit python-python3-openid for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package python-python3-openid for 
openSUSE:Factory checked in at 2017-09-13 22:32:06

Comparing /work/SRC/openSUSE:Factory/python-python3-openid (Old)
 and  /work/SRC/openSUSE:Factory/.python-python3-openid.new (New)


Package is "python-python3-openid"

Wed Sep 13 22:32:06 2017 rev:1 rq:522417 version:3.1.0

Changes:

New Changes file:

--- /dev/null   2017-07-20 07:30:00.335470106 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-python3-openid.new/python-python3-openid.changes
 2017-09-13 22:32:16.339246013 +0200
@@ -0,0 +1,4 @@
+---
+Thu Sep  7 22:42:10 UTC 2017 - toddrme2...@gmail.com
+
+- initial version

New:

  python-python3-openid.changes
  python-python3-openid.spec
  python3-openid-3.1.0.tar.gz



Other differences:
--
++ python-python3-openid.spec ++
#
# spec file for package python-python3-openid
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
# tests are partly broken
%bcond_with tests
Name:   python-python3-openid
Version:3.1.0
Release:0
License:Apache-2.0
Summary:OpenID support for modern servers and consumers
Url:http://github.com/necaris/python3-openid
Group:  Development/Languages/Python
Source: 
https://files.pythonhosted.org/packages/source/p/python3-openid/python3-openid-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module defusedxml}
BuildRequires:  %{python_module nose}
%endif
Requires:   python-defusedxml
BuildArch:  noarch

%python_subpackages

%description
This is a set of Python packages to support use of
the OpenID decentralized identity system in your application, update to Python
3.  Want to enable single sign-on for your web site?  Use the openid.consumer
package.  Want to run your own OpenID server? Check out openid.server.
Includes example code and support for a variety of storage back-ends.

%prep
%setup -q -n python3-openid-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_expand nosetests-%{$python_bin_suffix} --where=openid/test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE NEWS.md
%{python_sitelib}/*

%changelog



commit pythia for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package pythia for openSUSE:Factory checked 
in at 2017-09-13 22:31:46

Comparing /work/SRC/openSUSE:Factory/pythia (Old)
 and  /work/SRC/openSUSE:Factory/.pythia.new (New)


Package is "pythia"

Wed Sep 13 22:31:46 2017 rev:18 rq:522239 version:8.226

Changes:

--- /work/SRC/openSUSE:Factory/pythia/pythia.changes2017-08-24 
18:44:24.392941689 +0200
+++ /work/SRC/openSUSE:Factory/.pythia.new/pythia.changes   2017-09-13 
22:31:48.459170890 +0200
@@ -1,0 +2,6 @@
+Thu Aug 31 22:16:11 UTC 2017 - badshah...@gmail.com
+
+- Build with HepMC2-devel < 3, since pythia tests fail when built
+  against HepMC-devel >= 3. 
+
+---



Other differences:
--
++ pythia.spec ++
--- /var/tmp/diff_new_pack.kPnzNV/_old  2017-09-13 22:31:49.323049276 +0200
+++ /var/tmp/diff_new_pack.kPnzNV/_new  2017-09-13 22:31:49.327048713 +0200
@@ -35,7 +35,7 @@
 Patch2: pythia-remove-rpaths.patch
 # PATCH-FIX-UPSTREAM python-dont-force-std-cxx98.patch badshah...@gmail.com -- 
Dependencies such as fastjet already use std=c++14 where available, so forcing 
std=c++98 makes pythia incompatible when used with such system libraries
 Patch3: python-dont-force-std-cxx98.patch
-BuildRequires:  HepMC-devel
+BuildRequires:  HepMC2-devel
 BuildRequires:  LHAPDF-devel
 %if 0%{?suse_version} > 1325
 BuildRequires:  libboost_headers-devel




commit dpdk for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package dpdk for openSUSE:Factory checked in 
at 2017-09-13 22:30:16

Comparing /work/SRC/openSUSE:Factory/dpdk (Old)
 and  /work/SRC/openSUSE:Factory/.dpdk.new (New)


Package is "dpdk"

Wed Sep 13 22:30:16 2017 rev:19 rq:522138 version:17.08

Changes:

--- /work/SRC/openSUSE:Factory/dpdk/dpdk-thunderx.changes   2017-07-21 
22:49:15.005990683 +0200
+++ /work/SRC/openSUSE:Factory/.dpdk.new/dpdk-thunderx.changes  2017-09-13 
22:30:35.757405663 +0200
@@ -1,0 +2,62 @@
+Mon Sep  4 11:18:19 CEST 2017 - n...@suse.de
+
+- Updated to 17.08(bsc#1050250, bsc#1046598, fate#322913, fate#322608)
+  Some of the new features are listed below:
+   * Increase minimum x86 ISA version to SSE4.2
+   * Added Fail-Safe PMD
+   * Added support for generic flow API (rte_flow) on igb NICs
+   * Added support for generic flow API (rte_flow) on enic
+   * Added support for Chelsio T6 family of adapters
+   * Added latency and performance improvements for cxgbe
+   * Updated mlx5 driver
+   * Added NXP DPAA2 Eventdev PMD
+   * Added dpdk-test-eventdev test application
+   * from 17.05:
+  * Added mbuf raw free API
+  * Added free Tx mbuf on demand API
+  * Added VFIO hotplug support
+  * Added PowerPC support for i40e and its vector PMD
+  * Added VF max bandwidth setting in i40e
+  * Added LiquidIO network PMD
+  * Added support for NXP DPAA2 Network PMD
+  * Added support for NXP DPAA2 - FSLMC bus
+  * Added support for the Wind River Systems AVP PMD
+  * Added vmxnet3 version 3 support
+  * Added MTU feature support to Virtio and Vhost
+  * Added event driven programming model library (rte_eventdev)
+  * Added Software Eventdev PMD
+  * Added Cavium OCTEONTX Eventdev PMD
+  * Added NXP DPAA2 SEC crypto PMD
+   * from 17.02:
+  * Added generic EAL API for I/O device memory read/write operations
+  * Added VF Daemon (VFD) for i40e. - EXPERIMENTAL
+  * Added generic flow API (rte_flow)
+  * Added APIs for MACsec offload support to the ixgbe PMD
+  * Added Solarflare libefx-based network PMD.
+  * Added support for Mellanox ConnectX-5 adapters (mlx5)
+  * Added ARMv8 crypto PMD
+  * Added crypto performance test application
+   * more details can be found in
+ http://dpdk.org/doc/guides/rel_notes/release_17_08.html
+ http://dpdk.org/doc/guides/rel_notes/release_17_05.html
+ http://dpdk.org/doc/guides/rel_notes/release_17_02.html
+[-0002-kni-define-HAVE_VF_VLAN_PROTO-for-SLES12SP3.patch   

 
+-0003-kni-define-HAVE_TRANS_START_HELPER-for-SLES12SP3.patch   


+-0004-net-thunderx-sync-mailbox-definitions-with-Linux-PF-.patch   


+-0005-kni-fix-build-with-gcc-7.1.patch 


+-0006-kni-fix-ethtool-build-with-kernel-4.11.patch 


+-0007-igb_uio-switch-to-new-irq-function-for-MSI-X.patch]
+- Use updated patch to enable HAVE_TRANS_START_HELPER for 
SLE12SP3(bsc#1031705).
+  [+ 0002-kni-fix-build-on-SLE12-SP3.patch]
+
+---
+Fri Aug 25 12:09:57 UTC 2017 - marco.varl...@suse.com
+
+- Enabled CONFIG_RTE_MAJOR_ABI: libs SONAME equal the DPDK release version
+
+---
+Fri Aug 18 14:44:37 UTC 2017 - marco.varl...@suse.com
+
+- Split libs into a subpackage to provide multiple installable versions on 
same sytem
+
+---
dpdk.changes: same change

Old:

  0002-kni-define-HAVE_VF_VLAN_PROTO-for-SLES12SP3.patch
  0003-kni-define-HAVE_TRANS_START_HELPER-for-SLES12SP3.patch
  0004-net-thunderx-sync-mailbox-definitions-with-Linux-PF-.patch
  0005-kni-fix-build-with-gcc-7.1.patch
  0006-kni-fix-ethtool-build-with-kernel-4.11.patch
  0007-igb_uio-switch-to-new-irq-function-for-MSI-X.patch
  dpdk-16.11.2.tar.xz

New:

  0002-kni-fix-build-on-SLE12-SP3.patch
  dpdk-17.08.tar.xz



Other differences:
--
++ dpdk-thunderx.spec ++
--- 

commit ThePEG for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package ThePEG for openSUSE:Factory checked 
in at 2017-09-13 22:31:30

Comparing /work/SRC/openSUSE:Factory/ThePEG (Old)
 and  /work/SRC/openSUSE:Factory/.ThePEG.new (New)


Package is "ThePEG"

Wed Sep 13 22:31:30 2017 rev:9 rq:522237 version:2.1.1

Changes:

--- /work/SRC/openSUSE:Factory/ThePEG/ThePEG.changes2017-08-24 
18:45:12.210208932 +0200
+++ /work/SRC/openSUSE:Factory/.ThePEG.new/ThePEG.changes   2017-09-13 
22:31:32.425428078 +0200
@@ -1,0 +2,6 @@
+Sat Sep  2 12:18:54 UTC 2017 - badshah...@gmail.com
+
+- Build with HepMC2-devel, since Rivet does not compile with
+  HepMC-devel >= 3 yet. 
+
+---



Other differences:
--
++ ThePEG.spec ++
--- /var/tmp/diff_new_pack.wDmpKa/_old  2017-09-13 22:31:33.089334615 +0200
+++ /var/tmp/diff_new_pack.wDmpKa/_new  2017-09-13 22:31:33.093334051 +0200
@@ -25,7 +25,7 @@
 Url:http://home.thep.lu.se/~leif/ThePEG/
 Source: 
http://www.hepforge.org/archive/thepeg/%{name}-%{version}.tar.bz2
 Patch1: ThePEG_gcc6_failed.patch
-BuildRequires:  HepMC-devel
+BuildRequires:  HepMC2-devel
 BuildRequires:  LHAPDF-devel
 BuildRequires:  Rivet-devel
 BuildRequires:  YODA-devel




commit kdevelop5-plugin-python3 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package kdevelop5-plugin-python3 for 
openSUSE:Factory checked in at 2017-09-13 22:28:59

Comparing /work/SRC/openSUSE:Factory/kdevelop5-plugin-python3 (Old)
 and  /work/SRC/openSUSE:Factory/.kdevelop5-plugin-python3.new (New)


Package is "kdevelop5-plugin-python3"

Wed Sep 13 22:28:59 2017 rev:9 rq:519559 version:5.1.2

Changes:

--- 
/work/SRC/openSUSE:Factory/kdevelop5-plugin-python3/kdevelop5-plugin-python3.changes
2017-06-02 10:33:45.636274249 +0200
+++ 
/work/SRC/openSUSE:Factory/.kdevelop5-plugin-python3.new/kdevelop5-plugin-python3.changes
   2017-09-13 22:30:07.061445418 +0200
@@ -1,0 +2,6 @@
+Tue Aug 29 07:23:46 UTC 2017 - wba...@tmo.at
+
+- New upstream release 5.1.2
+  * no code changes
+
+---

Old:

  kdev-python-5.1.1.tar.xz

New:

  kdev-python-5.1.2.tar.xz



Other differences:
--
++ kdevelop5-plugin-python3.spec ++
--- /var/tmp/diff_new_pack.1gWtAq/_old  2017-09-13 22:30:08.029309164 +0200
+++ /var/tmp/diff_new_pack.1gWtAq/_new  2017-09-13 22:30:08.029309164 +0200
@@ -19,7 +19,7 @@
 %define rname kdev-python
 %define rversion 5.1
 Name:   kdevelop5-plugin-python3
-Version:5.1.1
+Version:5.1.2
 Release:0
 Summary:Python support for KDevelop
 License:GPL-2.0+

++ kdev-python-5.1.1.tar.xz -> kdev-python-5.1.2.tar.xz ++
 2807 lines of diff (skipped)




commit openvswitch for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package openvswitch for openSUSE:Factory 
checked in at 2017-09-13 22:29:53

Comparing /work/SRC/openSUSE:Factory/openvswitch (Old)
 and  /work/SRC/openSUSE:Factory/.openvswitch.new (New)


Package is "openvswitch"

Wed Sep 13 22:29:53 2017 rev:16 rq:522131 version:2.8.0

Changes:

--- /work/SRC/openSUSE:Factory/openvswitch/openvswitch.changes  2017-08-24 
18:43:07.407786337 +0200
+++ /work/SRC/openSUSE:Factory/.openvswitch.new/openvswitch.changes 
2017-09-13 22:30:25.542843646 +0200
@@ -1,0 +2,66 @@
+Mon Sep  4 07:22:47 UTC 2017 - mchand...@suse.de
+
+- Version bump to 2.8.0 (fate#323334, bsc#1050700). Some of the changes are:
+  * ovs-ofctl can now accept and display port names in place of numbers.  By
+default it always accepts names and in interactive use it displays them;
+use --names or --no-names to override.  See ovs-ofctl(8) for details.
+  * "ovs-ofctl dump-flows" now accepts --no-stats to omit flow statistics.
+  * New ovs-dpctl command "ct-stats-show" to show connection tracking stats.
+  * DPDK log messages redirected to OVS logging subsystem.
+Log level can be changed in a usual OVS way using
+'ovs-appctl vlog' commands for 'dpdk' module. Lower bound
+still can be configured via extra arguments for DPDK EAL.
+  * dpdkvhostuser ports are marked as deprecated.  They will be removed
+in an upcoming release.
+  * Support for DPDK v17.05.1.
+  * New support for multiple VLANs (802.1ad or "QinQ"), including a new
+"dot1q-tunnel" port VLAN mode.
+  * Added NAT support for userspace datapath.
+  * Added FTP and TFTP support with NAT for userspace datapath.
+  * Experimental NSH (Network Service Header) support in userspace datapath.
+  * Tracing with ofproto/trace now traces through recirculation.
+  * New support for role-based access control (see ovsdb-server(1)).
+  * New commands 'stp/show' and 'rstp/show' (see ovs-vswitchd(8)).
+  * All features required by OpenFlow 1.4 are now implemented, so
+ovs-vswitchd now enables OpenFlow 1.4 by default (in addition to
+OpenFlow 1.0 to 1.3).
+  * Increased support for OpenFlow 1.6 (draft).
+  * Bundles now support hashing by just nw_src or nw_dst.
+  * The "learn" action now supports a "limit" option (see ovs-ofctl(8)).
+  * The port status bit OFPPS_LIVE now reflects link aliveness.
+  * OpenFlow 1.5 packet-out is now supported.
+  * Support for OpenFlow 1.5 field packet_type and packet-type-aware
+pipeline (PTAP).
+  * Added generic encap and decap actions (EXT-382).
+First supported use case is encap/decap for Ethernet.
+  * Added NSH (Network Service Header) support in userspace
+Used generic encap and decap actions to implement encapsulation and
+decapsulation of NSH header.
+IETF NSH draft - https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh/
+  * ovs-vswitchd and ovsdb-server run as non-root users by default.
+  * Add --cleanup option to command 'ovs-appctl exit' (see ovs-vswitchd(8)).
+  * Use new tunnel port option "packet_type" to configure L2 vs. L3.
+  * In conjunction with PTAP tunnel ports can handle a mix of L2 and L3
+payload.
+  * New vxlan tunnel extension "gpe" to support VXLAN-GPE tunnels.
+  * New support for non-Ethernet (L3) payloads in GRE and VXLAN-GPE.
+  * Add experimental support for hardware offloading
+  * HW offloading is disabled by default.
+  * HW offloading is done through the TC interface.
+  * The next major version of OVS will introduce a change in the
+conntrack API.  Conntrack state is only available to the processing
+path that follows the "recirc_table" argument of the ct() action.
+Starting in OVS 2.9, this state will be cleared for the current
+processing path whenever ct() is called.
+- Create new openvswitch-doc subpackage for the Open vSwitch documentation
+- Fix filename for logrotate configuration (bsc#1057357)
+- Fix constrains with Provides/Obsoletes tags (bsc#1057357)
+- Misc cleanups from spec-cleaner
+
+---
+Thu Aug 10 15:12:23 UTC 2017 - o...@aepfle.de
+
+- Update filename in /var/adm/update-messages to match documentation,
+  and build-compare pattern
+
+---

Old:

  openvswitch-2.7.2.tar.gz

New:

  openvswitch-2.8.0.tar.gz



Other differences:
--
++ openvswitch.spec ++
--- /var/tmp/diff_new_pack.5yqw9t/_old  2017-09-13 22:30:26.606693879 +0200
+++ /var/tmp/diff_new_pack.5yqw9t/_new  2017-09-13 22:30:26.610693317 +0200
@@ -17,8 +17,7 @@
 # needssslcertforbuild
 
 
-# Disable building the external kernel datapath by default
-%bcond_with kmp
+%define lname libopenvswitch-2_8-0
 %ifarch 

commit kdevelop5-plugin-php for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package kdevelop5-plugin-php for 
openSUSE:Factory checked in at 2017-09-13 22:28:58

Comparing /work/SRC/openSUSE:Factory/kdevelop5-plugin-php (Old)
 and  /work/SRC/openSUSE:Factory/.kdevelop5-plugin-php.new (New)


Package is "kdevelop5-plugin-php"

Wed Sep 13 22:28:58 2017 rev:8 rq:519558 version:5.1.2

Changes:

--- 
/work/SRC/openSUSE:Factory/kdevelop5-plugin-php/kdevelop5-plugin-php.changes
2017-06-02 10:33:46.804109240 +0200
+++ 
/work/SRC/openSUSE:Factory/.kdevelop5-plugin-php.new/kdevelop5-plugin-php.changes
   2017-09-13 22:30:05.609649799 +0200
@@ -1,0 +2,6 @@
+Tue Aug 29 07:01:44 UTC 2017 - wba...@tmo.at
+
+- New upstream release 5.1.2
+  * Fix a possible crash while parsing PHP code (kde#381123)
+
+---

Old:

  kdev-php-5.1.1.tar.xz

New:

  kdev-php-5.1.2.tar.xz



Other differences:
--
++ kdevelop5-plugin-php.spec ++
--- /var/tmp/diff_new_pack.DQD0M4/_old  2017-09-13 22:30:06.457530436 +0200
+++ /var/tmp/diff_new_pack.DQD0M4/_new  2017-09-13 22:30:06.461529873 +0200
@@ -19,7 +19,7 @@
 %define rname   kdev-php
 %define rversion 5.1
 Name:   kdevelop5-plugin-php
-Version:5.1.1
+Version:5.1.2
 Release:0
 Summary:PHP plugin for Kdevelop5 Integrated Development Environment
 License:GPL-2.0+

++ kdev-php-5.1.1.tar.xz -> kdev-php-5.1.2.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdev-php-5.1.1/CMakeLists.txt 
new/kdev-php-5.1.2/CMakeLists.txt
--- old/kdev-php-5.1.1/CMakeLists.txt   2017-05-13 12:11:45.0 +0200
+++ new/kdev-php-5.1.2/CMakeLists.txt   2017-08-15 11:28:49.0 +0200
@@ -4,7 +4,7 @@
 
 set(KDEVPHP_VERSION_MAJOR 5)
 set(KDEVPHP_VERSION_MINOR 1)
-set(KDEVPHP_VERSION_PATCH 1)
+set(KDEVPHP_VERSION_PATCH 2)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION 
"${KDEVPHP_VERSION_MAJOR}.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdev-php-5.1.1/completion/CMakeLists.txt 
new/kdev-php-5.1.2/completion/CMakeLists.txt
--- old/kdev-php-5.1.1/completion/CMakeLists.txt2017-05-13 
12:11:29.0 +0200
+++ new/kdev-php-5.1.2/completion/CMakeLists.txt2017-08-15 
11:28:35.0 +0200
@@ -1,4 +1,6 @@
-add_subdirectory(tests)
+if(BUILD_TESTING)
+add_subdirectory(tests)
+endif()
 
 set(completion_SRCS
 worker.cpp
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdev-php-5.1.1/docs/kcm_kdevphpdocs.desktop.cmake 
new/kdev-php-5.1.2/docs/kcm_kdevphpdocs.desktop.cmake
--- old/kdev-php-5.1.1/docs/kcm_kdevphpdocs.desktop.cmake   2017-05-13 
12:11:29.0 +0200
+++ new/kdev-php-5.1.2/docs/kcm_kdevphpdocs.desktop.cmake   2017-08-15 
11:28:35.0 +0200
@@ -32,6 +32,7 @@
 Name[sk]=Dokumentácia PHP
 Name[sl]=Dokumentacija za PHP
 Name[sv]=PHP-dokumentation
+Name[tr]=PHP Belgelendirmesi
 Name[uk]=Документація з PHP
 Name[x-test]=xxPHP Documentationxx
 Name[zh_CN]=PHP 文档
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdev-php-5.1.1/duchain/CMakeLists.txt 
new/kdev-php-5.1.2/duchain/CMakeLists.txt
--- old/kdev-php-5.1.1/duchain/CMakeLists.txt   2017-05-13 12:11:29.0 
+0200
+++ new/kdev-php-5.1.2/duchain/CMakeLists.txt   2017-08-15 11:28:35.0 
+0200
@@ -1,5 +1,8 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
-add_subdirectory(tests)
+
+if(BUILD_TESTING)
+add_subdirectory(tests)
+endif()
 
 set(duchain_SRCS
 types/integraltypeextended.cpp
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdev-php-5.1.1/duchain/builders/typebuilder.cpp 
new/kdev-php-5.1.2/duchain/builders/typebuilder.cpp
--- old/kdev-php-5.1.1/duchain/builders/typebuilder.cpp 2017-05-13 
12:11:29.0 +0200
+++ new/kdev-php-5.1.2/duchain/builders/typebuilder.cpp 2017-08-15 
11:28:35.0 +0200
@@ -540,12 +540,15 @@
 if (classDec->isPublicBaseClass(iteratorDecl, 
currentContext()->topContext())) {
 /// Qualified identifier for 'current'
 static const QualifiedIdentifier 
currentQId(QStringLiteral("current"));
-foreach (Declaration *d, 
classDec->internalContext()->findDeclarations(currentQId)) {
-if (!dynamic_cast(d)) 
continue;
-Q_ASSERT(d->type());
-injectType(d->type()->returnType());
-foundType = true;
- 

commit kdevelop5 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package kdevelop5 for openSUSE:Factory 
checked in at 2017-09-13 22:28:56

Comparing /work/SRC/openSUSE:Factory/kdevelop5 (Old)
 and  /work/SRC/openSUSE:Factory/.kdevelop5.new (New)


Package is "kdevelop5"

Wed Sep 13 22:28:56 2017 rev:9 rq:519557 version:5.1.2

Changes:

--- /work/SRC/openSUSE:Factory/kdevelop5/kdevelop5.changes  2017-06-12 
15:33:23.432247044 +0200
+++ /work/SRC/openSUSE:Factory/.kdevelop5.new/kdevelop5.changes 2017-09-13 
22:30:02.402101351 +0200
@@ -1,0 +2,10 @@
+Tue Aug 29 06:50:48 UTC 2017 - wba...@tmo.at
+
+- New upstream release 5.1.2
+  * Fixed a crash in the cmake lexer (kde#363269)
+  * Various small improvements in cmake and C++ code completion
+  * Fix placement of C++ #include completions
+  * Fix a crash with JS projects on remote directories (kde#369573)
+  * Source formatting preview is back
+  
+---

Old:

  kdevelop-5.1.1.tar.xz

New:

  kdevelop-5.1.2.tar.xz



Other differences:
--
++ kdevelop5.spec ++
--- /var/tmp/diff_new_pack.ID5eTw/_old  2017-09-13 22:30:03.481949332 +0200
+++ /var/tmp/diff_new_pack.ID5eTw/_new  2017-09-13 22:30:03.485948769 +0200
@@ -19,7 +19,7 @@
 %define rname   kdevelop
 %define rversion 5.1
 Name:   kdevelop5
-Version:5.1.1
+Version:5.1.2
 Release:0
 Summary:Plugin-extensible IDE for C/C++ and other programming languages
 License:GPL-2.0+

++ kdevelop-5.1.1.tar.xz -> kdevelop-5.1.2.tar.xz ++
 35813 lines of diff (skipped)




commit libreoffice for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package libreoffice for openSUSE:Factory 
checked in at 2017-09-13 22:28:29

Comparing /work/SRC/openSUSE:Factory/libreoffice (Old)
 and  /work/SRC/openSUSE:Factory/.libreoffice.new (New)


Package is "libreoffice"

Wed Sep 13 22:28:29 2017 rev:137 rq:524053 version:5.4.1.2

Changes:

--- /work/SRC/openSUSE:Factory/libreoffice/libreoffice.changes  2017-08-12 
19:42:28.596097416 +0200
+++ /work/SRC/openSUSE:Factory/.libreoffice.new/libreoffice.changes 
2017-09-13 22:29:42.648882170 +0200
@@ -1,0 +2,32 @@
+Tue Sep 12 08:41:51 UTC 2017 - fst...@suse.com
+
+- Added patches:
+  * 0001-This-hunk-breaks-jdk9-build.patch
++ Remove a patch hunk that breaks rhino build
+  * 0002-Detect-libjawt-automatically-on-java9-too.patch
++ Fix detection of JDK9's libjawt.so
+  * 0001-Adapt-getcompver.awk-to-Java-9.patch
++ Adapt getcompver.awk to Java 9 where the version might be
+  single digit
+  * 0001-tdf-100501-Adapt-to-Java-9-at-least-on-Linux-x86-64.patch
++ Make LibreOffice find Java 9 JVM at runtime
+  * java-encoding.patch
++ Replace one unnecessary UTF-8 character by an ASCII one
+
+---
+Mon Aug 28 08:11:19 UTC 2017 - tchva...@suse.com
+
+- Version update to 5.4.1.2:
+  * Various bugfixes on 5.4 branch
+
+---
+Thu Aug 24 07:46:20 UTC 2017 - tchva...@suse.com
+
+- Fix fail to build with kde integration disabled wrt bsc#1055393
+
+---
+Fri Aug 11 09:24:28 UTC 2017 - tchva...@suse.com
+
+- Parse over with spec-cleaner to remove few obsolete declarations
+
+---

Old:

  libreoffice-5.4.0.3.tar.xz
  libreoffice-help-5.4.0.3.tar.xz
  libreoffice-translations-5.4.0.3.tar.xz

New:

  0001-Adapt-getcompver.awk-to-Java-9.patch
  0001-This-hunk-breaks-jdk9-build.patch
  0001-tdf-100501-Adapt-to-Java-9-at-least-on-Linux-x86-64.patch
  0002-Detect-libjawt-automatically-on-java9-too.patch
  java-encoding.patch
  libreoffice-5.4.1.2.tar.xz
  libreoffice-help-5.4.1.2.tar.xz
  libreoffice-translations-5.4.1.2.tar.xz



Other differences:
--
++ libreoffice.spec ++
--- /var/tmp/diff_new_pack.iCV7HM/_old  2017-09-13 22:29:52.027561858 +0200
+++ /var/tmp/diff_new_pack.iCV7HM/_new  2017-09-13 22:29:52.031561295 +0200
@@ -22,8 +22,8 @@
 %define numbertext_version 0.9.5
 # Urls
 %define external_url   http://dev-www.libreoffice.org/src/
-#%define tarball_url
http://download.documentfoundation.org/libreoffice/src/5.4.0
-%define tarball_url
http://dev-builds.libreoffice.org/pre-releases/src/
+%define tarball_url  
http://download.documentfoundation.org/libreoffice/src/5.4.1
+#%define tarball_url  http://dev-builds.libreoffice.org/pre-releases/src/
 # Wether to enable the kde integration
 %if 0%{?is_opensuse}
 %bcond_without kdeintegration
@@ -36,10 +36,10 @@
 %bcond_with firebird
 %endif
 Name:   libreoffice
-Version:5.4.0.3
+Version:5.4.1.2
 Release:0
 Summary:A Free Office Suite (Framework)
-License:LGPL-3.0+ and MPL-2.0+
+License:LGPL-3.0+ AND MPL-2.0+
 Group:  Productivity/Office/Suite
 Url:http://www.documentfoundation.org/
 Source0:%{tarball_url}/libreoffice-%{version}.tar.xz
@@ -82,20 +82,22 @@
 # PATCH-HOTFIX-UPSTREAM: disable test that rounds wrongly on most archs
 Patch16:libreoffice-hotfix-disablebrokenshapetest.patch
 Patch17:gnome-documents-check-ntimeoutid.patch
+# PATCH-FIX-UPSTREAM: remove a patch hunk that breaks rhino build
+Patch100:   0001-This-hunk-breaks-jdk9-build.patch
+# PATCH-FIX-UPSTREAM: fix detection of JDK9's libjawt.so
+Patch101:   0002-Detect-libjawt-automatically-on-java9-too.patch
+# PATCH-FIX-UPSTREAM: addapt getcompver.awk to java 9
+Patch102:   0001-Adapt-getcompver.awk-to-Java-9.patch
+# PATCH-FIX-UPSTREAM: Make LibreOffice find Java 9 JVM at runtime
+Patch103:   0001-tdf-100501-Adapt-to-Java-9-at-least-on-Linux-x86-64.patch
+Patch104:   java-encoding.patch
 # try to save space by using hardlinks
 Patch990:   install-with-hardlinks.diff
 BuildRequires:  %{name}-share-linker
 BuildRequires:  ant
 BuildRequires:  autoconf
+BuildRequires:  awk
 BuildRequires:  bison
-%if 0%{?suse_version} > 1325
-BuildRequires:  libboost_date_time-devel
-BuildRequires:  libboost_filesystem-devel
-BuildRequires:  libboost_iostreams-devel
-BuildRequires:  libboost_system-devel
-%else
-BuildRequires:  boost-devel
-%endif
 BuildRequires:  bsh2
 BuildRequires:  

commit log4j for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package log4j for openSUSE:Factory checked 
in at 2017-09-13 22:28:23

Comparing /work/SRC/openSUSE:Factory/log4j (Old)
 and  /work/SRC/openSUSE:Factory/.log4j.new (New)


Package is "log4j"

Wed Sep 13 22:28:23 2017 rev:20 rq:523684 version:1.2.17

Changes:

--- /work/SRC/openSUSE:Factory/log4j/log4j-mini.changes 2015-03-05 
18:14:59.0 +0100
+++ /work/SRC/openSUSE:Factory/.log4j.new/log4j-mini.changes2017-09-13 
22:28:24.795842194 +0200
@@ -1,0 +2,6 @@
+Tue Sep 12 07:10:10 UTC 2017 - fst...@suse.com
+
+- Specify java source and target level 1.6 to allow building with
+  jdk9
+
+---
log4j.changes: same change



Other differences:
--
++ log4j-mini.spec ++
--- /var/tmp/diff_new_pack.r7tSwd/_old  2017-09-13 22:28:25.935681729 +0200
+++ /var/tmp/diff_new_pack.r7tSwd/_new  2017-09-13 22:28:25.939681166 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package log4j-mini
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -53,19 +53,18 @@
 Requires:   jaxp_parser_impl
 Requires:   xml-commons-apis
 Requires(pre):  coreutils
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-
-Provides:   %{real} = %{version}-%{release}
-
 BuildArch:  noarch
+%if %{bootstrap}
+Provides:   %{real} = %{version}-%{release}
+%endif
 %if ! %{bootstrap}
 BuildRequires:  classpathx-mail
 BuildRequires:  geronimo-jaf-1_0_2-api
 BuildRequires:  geronimo-jms-1_1-api
 BuildRequires:  mx4j
-#!BuildIgnore:  axis
-#!BuildIgnore:  apache-commons-logging
 #!BuildIgnore:  apache-commons-discovery
+#!BuildIgnore:  apache-commons-logging
+#!BuildIgnore:  axis
 %endif
 %if %{bootstrap}
 Conflicts:  log4j
@@ -120,7 +119,7 @@
 -Djmx.jar=$(build-classpath mx4j/mx4j) \
 -Djmx-extra.jar=$(build-classpath mx4j/mx4j-tools) \
 -Djndi.jar=$(build-classpath jndi) \
--Djavac.source=1.2 \
+-Djavac.source=1.6 -Djavac.target=1.6 \
 -Djdk.javadoc=%{_javadocdir}/java \
 jar \
 %if ! %{bootstrap}
@@ -195,7 +194,6 @@
 fi
 
 %files
-%defattr(-,root,root,-)
 %doc LICENSE
 %doc NOTICE
 %{_bindir}/*
@@ -206,11 +204,9 @@
 
 %if ! %{bootstrap}
 %files manual
-%defattr(0644,root,root,0755)
 %doc docs/* contribs
 
 %files javadoc
-%defattr(0644,root,root,0755)
 %dir %{_javadocdir}/%{name}
 %{_javadocdir}/%{name}/*
 %endif

++ log4j.spec ++
--- /var/tmp/diff_new_pack.r7tSwd/_old  2017-09-13 22:28:25.967677225 +0200
+++ /var/tmp/diff_new_pack.r7tSwd/_new  2017-09-13 22:28:25.971676661 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package log4j
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -52,16 +52,18 @@
 Requires:   jaxp_parser_impl
 Requires:   xml-commons-apis
 Requires(pre):  coreutils
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
+%if %{bootstrap}
+Provides:   %{real} = %{version}-%{release}
+%endif
 %if ! %{bootstrap}
 BuildRequires:  classpathx-mail
 BuildRequires:  geronimo-jaf-1_0_2-api
 BuildRequires:  geronimo-jms-1_1-api
 BuildRequires:  mx4j
-#!BuildIgnore:  axis
-#!BuildIgnore:  apache-commons-logging
 #!BuildIgnore:  apache-commons-discovery
+#!BuildIgnore:  apache-commons-logging
+#!BuildIgnore:  axis
 %endif
 %if %{bootstrap}
 Conflicts:  log4j
@@ -116,7 +118,7 @@
 -Djmx.jar=$(build-classpath mx4j/mx4j) \
 -Djmx-extra.jar=$(build-classpath mx4j/mx4j-tools) \
 -Djndi.jar=$(build-classpath jndi) \
--Djavac.source=1.2 \
+-Djavac.source=1.6 -Djavac.target=1.6 \
 -Djdk.javadoc=%{_javadocdir}/java \
 jar \
 %if ! %{bootstrap}
@@ -191,7 +193,6 @@
 fi
 
 %files
-%defattr(-,root,root,-)
 %doc LICENSE
 %doc NOTICE
 %{_bindir}/*
@@ -202,11 +203,9 @@
 
 %if ! %{bootstrap}
 %files manual
-%defattr(0644,root,root,0755)
 %doc docs/* contribs
 
 %files javadoc
-%defattr(0644,root,root,0755)
 %dir %{_javadocdir}/%{name}
 %{_javadocdir}/%{name}/*
 %endif






commit mx4j for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package mx4j for openSUSE:Factory checked in 
at 2017-09-13 22:28:13

Comparing /work/SRC/openSUSE:Factory/mx4j (Old)
 and  /work/SRC/openSUSE:Factory/.mx4j.new (New)


Package is "mx4j"

Wed Sep 13 22:28:13 2017 rev:26 rq:523678 version:3.0.2

Changes:

--- /work/SRC/openSUSE:Factory/mx4j/mx4j.changes2017-05-27 
13:12:39.247948559 +0200
+++ /work/SRC/openSUSE:Factory/.mx4j.new/mx4j.changes   2017-09-13 
22:28:18.492729538 +0200
@@ -1,0 +2,9 @@
+Tue Sep 12 06:55:55 UTC 2017 - fst...@suse.com
+
+- BuildConflict with java-devel >= 1.9, since this package cannot
+  be built with jdk9
+- Removed patch:
+  * mx4j-3.0.2-use-external-rmic.patch
++ building with JDK's rmic work
+
+---

Old:

  mx4j-3.0.2-use-external-rmic.patch



Other differences:
--
++ mx4j.spec ++
--- /var/tmp/diff_new_pack.ttnDt6/_old  2017-09-13 22:28:20.084505450 +0200
+++ /var/tmp/diff_new_pack.ttnDt6/_new  2017-09-13 22:28:20.092504323 +0200
@@ -30,7 +30,6 @@
 Patch2: mx4j-build.patch
 Patch3: mx4j-docbook.patch
 Patch5: mx4j-caucho-build.patch
-Patch6: mx4j-3.0.2-use-external-rmic.patch
 Patch7: mx4j-3.0.2-docbook-stylesheet-location.patch
 BuildRequires:  ant
 BuildRequires:  ant-junit
@@ -41,7 +40,6 @@
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  docbook_3
 BuildRequires:  jaf
-BuildRequires:  java-1_5_0-gcj-compat-devel
 BuildRequires:  java-devel >= 1.6.0
 BuildRequires:  javamail
 BuildRequires:  javapackages-tools
@@ -71,6 +69,7 @@
 Provides:   jmxri
 Provides:   openjmx = %{version}
 BuildArch:  noarch
+BuildConflicts: java-devel >= 1.9
 
 %description
 OpenJMX is an open source implementation of the Java(TM) Management
@@ -82,7 +81,6 @@
 %patch2 -p1
 %patch3 -p1
 %patch5 -p1
-%patch6 -p1
 %patch7 -p1
 cp %{SOURCE1} build
 cp %{SOURCE2} build
@@ -158,7 +156,6 @@
 fi
 
 %files
-%defattr(-,root,root)
 %dir %{_javadir}/%{name}
 %{_javadir}/%{name}/*.jar
 %dir %{_javadir}/%{name}/boa




commit ws-jaxme for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package ws-jaxme for openSUSE:Factory 
checked in at 2017-09-13 22:28:04

Comparing /work/SRC/openSUSE:Factory/ws-jaxme (Old)
 and  /work/SRC/openSUSE:Factory/.ws-jaxme.new (New)


Package is "ws-jaxme"

Wed Sep 13 22:28:04 2017 rev:16 rq:523594 version:0.5.2

Changes:

--- /work/SRC/openSUSE:Factory/ws-jaxme/ws-jaxme.changes2014-08-01 
19:26:46.0 +0200
+++ /work/SRC/openSUSE:Factory/.ws-jaxme.new/ws-jaxme.changes   2017-09-13 
22:28:10.225893332 +0200
@@ -1,0 +2,18 @@
+Tue Sep 12 06:58:17 UTC 2017 - fst...@suse.com
+
+- Upgrade to 0.5.2
+- BuildConflict with java-devel >= 1.9, since this package cannot
+  be built with jdk9
+- BuildRequire java-devel >= 1.6
+- Specify java source and target level 1.6
+- Modified patch:
+  * ws-jaxme-java6.patch
+- Adapt to the new context
+- Added patches:
+  * ws-jaxme-sourcetarget.patch
+- Build with java source and target level 1.6
+  * ws-jaxme-use-commons-codec.patch
+- Use apache-commons-codec for base64 functionality instead
+  or private APIs that can disapear any time
+
+---

Old:

  ws-jaxme-0.5.1-src.tar.bz2

New:

  ws-jaxme-0.5.2-src.tar.bz2
  ws-jaxme-sourcetarget.patch
  ws-jaxme-use-commons-codec.patch



Other differences:
--
++ ws-jaxme.spec ++
--- /var/tmp/diff_new_pack.IDxOJo/_old  2017-09-13 22:28:10.997784666 +0200
+++ /var/tmp/diff_new_pack.IDxOJo/_new  2017-09-13 22:28:10.997784666 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package ws-jaxme
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %define base_name jaxme
 Name:   ws-jaxme
-Version:0.5.1
+Version:0.5.2
 Release:0
 Summary:Open source implementation of JAXB
 License:Apache-2.0
@@ -28,11 +28,15 @@
 Patch0: ws-jaxme-docs_xml.patch
 Patch1: ws-jaxme-catalog.patch
 Patch2: ws-jaxme-java6.patch
+Patch3: ws-jaxme-sourcetarget.patch
+Patch4: ws-jaxme-use-commons-codec.patch
 BuildRequires:  ant >= 1.6
 BuildRequires:  ant-apache-resolver
 BuildRequires:  antlr
+BuildRequires:  apache-commons-codec
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  hsqldb
+BuildRequires:  java-devel >= 1.6
 BuildRequires:  javapackages-tools
 BuildRequires:  jaxp_transform_impl
 BuildRequires:  junit >= 3.8.1
@@ -42,8 +46,8 @@
 BuildRequires:  xml-commons-apis
 BuildRequires:  xml-commons-resolver
 BuildRequires:  xmldb-api
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
+BuildConflicts: java-devel >= 1.9
 
 %description
 A Java/XML binding compiler takes as input a schema description (in
@@ -96,16 +100,19 @@
 document.
 
 %prep
-%setup -q -n %{name}
+%setup -q
 find . -name "*.jar" | xargs rm
 %patch0 -b .sav
 %patch1 -b .sav
 %patch2 -b .java6
+%patch3 -p1
+%patch4 -p1
 
 %build
 export OPT_JAR_LIST="ant/ant-trax jaxp_transform_impl ant/ant-apache-resolver"
 export CLASSPATH=$(build-classpath \
 antlr \
+apache-commons-codec \
 hsqldb \
 log4j \
 xalan-j2 \
@@ -116,7 +123,7 @@
 xml-commons-resolver \
 junit)
 ant all Docs.all \
--Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 \
+-Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 \
 -Dbuild.sysclasspath=first \
 -Ddocbook.home=%{_datadir}/xml/docbook \
 -Ddocbookxsl.home=%{_datadir}/xml/docbook/stylesheet/nwalsh/current
@@ -139,16 +146,13 @@
 cp -pr build/docs/src/documentation/content/manual 
%{buildroot}%{_docdir}/%{name}-%{version}
 
 %files
-%defattr(0644,root,root,0755)
 %doc LICENSE
 %{_javadir}/%{base_name}
 
 %files javadoc
-%defattr(0644,root,root,0755)
 %{_javadocdir}/%{name}
 
 %files manual
-%defattr(0644,root,root,0755)
 %doc %{_docdir}/%{name}-%{version}
 
 %changelog

++ ws-jaxme-0.5.1-src.tar.bz2 -> ws-jaxme-0.5.2-src.tar.bz2 ++
 41413 lines of diff (skipped)

++ ws-jaxme-java6.patch ++
--- /var/tmp/diff_new_pack.IDxOJo/_old  2017-09-13 22:28:12.929512720 +0200
+++ /var/tmp/diff_new_pack.IDxOJo/_new  2017-09-13 22:28:12.929512720 +0200
@@ -1,158 +1,176 @@
 ant/jm.xml
-+++ ant/jm.xml
-@@ -127,7 +127,6 @@
- 
- 
- 
- 
-@@ -184,7 +183,6 @@
- 
- 
- 
- 
 --- src/jaxme/org/apache/ws/jaxme/impl/JMMarshallerImpl.java
 +++ src/jaxme/org/apache/ws/jaxme/impl/JMMarshallerImpl.java
-@@ -428,6 +428,55 @@
-   }
+@@ -21,16 

commit xmlbeans for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package xmlbeans for openSUSE:Factory 
checked in at 2017-09-13 22:27:53

Comparing /work/SRC/openSUSE:Factory/xmlbeans (Old)
 and  /work/SRC/openSUSE:Factory/.xmlbeans.new (New)


Package is "xmlbeans"

Wed Sep 13 22:27:53 2017 rev:30 rq:523590 version:2.6.0

Changes:

--- /work/SRC/openSUSE:Factory/xmlbeans/xmlbeans-mini.changes   2015-08-10 
09:10:20.0 +0200
+++ /work/SRC/openSUSE:Factory/.xmlbeans.new/xmlbeans-mini.changes  
2017-09-13 22:27:59.095460261 +0200
@@ -1,0 +2,5 @@
+Mon Sep 11 20:06:31 UTC 2017 - jeng...@inai.de
+
+- Trim description for size.
+
+---
--- /work/SRC/openSUSE:Factory/xmlbeans/xmlbeans.changes2017-05-04 
08:51:25.226217967 +0200
+++ /work/SRC/openSUSE:Factory/.xmlbeans.new/xmlbeans.changes   2017-09-13 
22:27:59.991334141 +0200
@@ -1,0 +2,13 @@
+Mon Sep 11 20:06:31 UTC 2017 - jeng...@inai.de
+
+- Trim description for size.
+
+---
+Mon Sep 11 14:21:30 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * xmlbeans-2.6.0-jdk9.patch
++ Specify java source and target level 1.6 and java file
+  encoding in order to allow building with jdk9
+
+---

New:

  xmlbeans-2.6.0-jdk9.patch



Other differences:
--
++ xmlbeans-mini.spec ++
--- /var/tmp/diff_new_pack.wDMnZt/_old  2017-09-13 22:28:01.091179306 +0200
+++ /var/tmp/diff_new_pack.wDMnZt/_new  2017-09-13 22:28:01.095178742 +0200
@@ -33,6 +33,7 @@
 Patch1: xmlbeans-saxon-virtualnode.patch
 #PATCH-FIX-UPSTREAM xmlbeans-2.6.0-java8.patch -- Fix build with Java 8
 Patch2: xmlbeans-2.6.0-java8.patch
+Patch3: xmlbeans-2.6.0-jdk9.patch
 BuildRequires:  ant >= 1.6
 BuildRequires:  bea-stax-api
 BuildRequires:  javapackages-tools
@@ -61,19 +62,15 @@
 %endif
 
 %description
-XMLBeans is a tool that allows you to access the full power of XML in a
-Java friendly way. It is an XML-Java binding tool. The idea is that you
-can take advantage the richness and features of XML and XML Schema and
-have these features mapped as naturally as possible to the equivalent
-Java language and typing constructs. XMLBeans uses XML Schema to
-compile Java interfaces and classes that you can then use to access and
-modify XML instance data. Using XMLBeans is similar to using any other
-Java interface/class, you will see things like getFoo or setFoo just as
-you would expect when working with Java. While a major use of XMLBeans
-is to access your XML instance data with strongly typed Java classes
-there are also API's that allow you access to the full XML infoset
-(XMLBeans keeps full XML Infoset fidelity) as well as to allow you to
-reflect into the XML schema itself through an XML Schema Object model.
+XMLBeans is an XML-Java binding tool that allows accessing XML in a
+Java-typical way. The features of XML and XML Schema are mapped to
+the equivalent Java language and typing constructs. XMLBeans uses XML
+Schema to compile Java interfaces and classes that can then be used
+to access and modify XML instance data. XMLBeans is similar to other
+Java interface/class, with a number of getFoo or setFoo methods.
+There are also APIs that allow you access to the full XML infoset as
+well so as to allow you to reflect into the XML schema itself through
+an XML Schema Object model.
 
 %package scripts
 Summary:XML-Java binding tool
@@ -81,25 +78,20 @@
 Requires:   %{name} = %{version}
 
 %description scripts
-XMLBeans is a tool that allows you to access the full power of XML in a
-Java friendly way. It is an XML-Java binding tool. The idea is that you
-can take advantage the richness and features of XML and XML Schema and
-have these features mapped as naturally as possible to the equivalent
-Java language and typing constructs. XMLBeans uses XML Schema to
-compile Java interfaces and classes that you can then use to access and
-modify XML instance data. Using XMLBeans is similar to using any other
-Java interface/class, you will see things like getFoo or setFoo just as
-you would expect when working with Java. While a major use of XMLBeans
-is to access your XML instance data with strongly typed Java classes
-there are also API's that allow you access to the full XML infoset
-(XMLBeans keeps full XML Infoset fidelity) as well as to allow you to
-reflect into the XML schema itself through an XML Schema Object model.
+XMLBeans is an XML-Java binding tool that allows accessing XML in a
+Java-typical way. The features of XML and XML Schema are mapped to
+the equivalent Java language and typing constructs.
+
+This package 

commit xmldb-api for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package xmldb-api for openSUSE:Factory 
checked in at 2017-09-13 22:27:45

Comparing /work/SRC/openSUSE:Factory/xmldb-api (Old)
 and  /work/SRC/openSUSE:Factory/.xmldb-api.new (New)


Package is "xmldb-api"

Wed Sep 13 22:27:45 2017 rev:16 rq:523589 version:0.1

Changes:

--- /work/SRC/openSUSE:Factory/xmldb-api/xmldb-api.changes  2014-07-21 
10:35:07.0 +0200
+++ /work/SRC/openSUSE:Factory/.xmldb-api.new/xmldb-api.changes 2017-09-13 
22:27:47.421103763 +0200
@@ -1,0 +2,11 @@
+Mon Sep 11 20:09:31 UTC 2017 - jeng...@inai.de
+
+- Fix grammar problems in descriptions.
+
+---
+Mon Sep 11 17:03:15 UTC 2017 - fst...@suse.com
+
+- Specify java source and target level 1.6 in order to allow
+  building with jdk9
+
+---



Other differences:
--
++ xmldb-api.spec ++
--- /var/tmp/diff_new_pack.JP36JM/_old  2017-09-13 22:27:49.756774950 +0200
+++ /var/tmp/diff_new_pack.JP36JM/_new  2017-09-13 22:27:49.760774387 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package xmldb-api
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -39,9 +39,9 @@
 
 %description
 The API interfaces are what driver developers must implement when
-creating a new driver and are the interfaces that applications are
-developed against. Along with the interfaces a concrete DriverManager
-implementation is also provides.
+creating a new driver, and are the interfaces that applications are
+developed against. Along with the interfaces, a concrete DriverManager
+implementation is also provided.
 
 %package sdk
 Summary:SDK for XML:DB API
@@ -51,17 +51,17 @@
 %description sdk
 The reference implementation provides a very simple file system based
 implementation of the XML:DB API. This provides what is basically a
-very simple native XML database that uses directories to represent
-collections and just stores the XML in files.
+native XML database that uses directories to represent
+collections, and just stores the XML in files.
 
 The driver development kit provides a set of base classes that can be
 extended to simplify and speed the development of XML:DB API drivers.
 These classes are used to provide the basis for the reference
-implementation and therefore a simple example of how a driver can be
+implementation, and therefore a simple example of how a driver can be
 implemented. Using the SDK classes significantly reduces the amount of
 code that must be written to create a new driver.
 
-Along with the SDK base classes the SDK also contains a set of jUnit
+Along with the SDK base classes, the SDK also contains a set of jUnit
 test cases that can be used to help validate the driver while it is
 being developed. The test cases are still in development but there are
 enough tests currently to be useful.
@@ -73,19 +73,19 @@
 
 %description -n xmldb-common
 The API interfaces are what driver developers must implement when
-creating a new driver and are the interfaces that applications are
-developed against. Along with the interfaces a concrete DriverManager
-implementation is also provides.
+creating a new driver, and are the interfaces that applications are
+developed against. Along with the interfaces, a concrete DriverManager
+implementation is also provided.
 
 %package javadoc
-Summary:XML:DB API for Java
-Group:  Development/Libraries/Java
+Summary:Documentation for XML:DB API for Java
+Group:  Documentation/HTML
 
 %description javadoc
 The API interfaces are what driver developers must implement when
-creating a new driver and are the interfaces that applications are
-developed against. Along with the interfaces a concrete DriverManager
-implementation is also provides.
+creating a new driver, and are the interfaces that applications are
+developed against. Along with the interfaces, a concrete DriverManager
+implementation is also provided.
 
 %prep
 %setup -q -n xapi
@@ -102,7 +102,7 @@
 export CLASSPATH=$(build-classpath junit xalan-j2)
 export OPT_JAR_LIST=:
 ant \
--Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 \
+-Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 \
 -Djarname=%{name} -Dsdk.jarname=%{name}-sdk \
 dist
 




commit xpp3 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package xpp3 for openSUSE:Factory checked in 
at 2017-09-13 22:26:54

Comparing /work/SRC/openSUSE:Factory/xpp3 (Old)
 and  /work/SRC/openSUSE:Factory/.xpp3.new (New)


Package is "xpp3"

Wed Sep 13 22:26:54 2017 rev:18 rq:523329 version:1.1.4c

Changes:

--- /work/SRC/openSUSE:Factory/xpp3/xpp3.changes2017-05-31 
13:30:21.459155672 +0200
+++ /work/SRC/openSUSE:Factory/.xpp3.new/xpp3.changes   2017-09-13 
22:27:02.323452568 +0200
@@ -1,0 +2,10 @@
+Mon Sep 11 16:58:24 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * xpp3-sourcetarget.patch
++ Specify java soirce and target level 1.6 in order to allow
+  building with jdk9
++ Specify encoding ISO-8859-1 for files with non-ASCII
+  characters
+
+---

New:

  xpp3-sourcetarget.patch



Other differences:
--
++ xpp3.spec ++
--- /var/tmp/diff_new_pack.BH8Peu/_old  2017-09-13 22:27:03.915228479 +0200
+++ /var/tmp/diff_new_pack.BH8Peu/_new  2017-09-13 22:27:03.919227916 +0200
@@ -24,6 +24,7 @@
 Group:  Development/Libraries/Java
 Url:http://www.extreme.indiana.edu/xgws/xsoap/xpp/mxp1/index.html
 Source0:
http://www.extreme.indiana.edu/dist/java-repository/xpp3/distributions/xpp3-%{version}_src.tgz
+Patch0: xpp3-sourcetarget.patch
 BuildRequires:  ant >= 1.6
 BuildRequires:  javapackages-tools
 BuildRequires:  junit
@@ -61,6 +62,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 # remove all binary libs
 find . -name "*.jar" -exec rm -f {} \;
 # "src/java/addons_tests" does not exist

++ xpp3-sourcetarget.patch ++
--- xpp3-1.1.4c/build.xml   2006-11-11 02:41:08.0 +0100
+++ xpp3-1.1.4c/build.xml   2017-09-11 18:57:52.820569880 +0200
@@ -220,20 +220,20 @@
 
   
 
-
   
 
   
 
 
-



 
-
 
 
@@ -249,12 +249,12 @@
   
 
   
-
   
 
   
-
   
 
@@ -267,20 +267,20 @@
 
   
 
-
   
 
   
 
-
   
 
   
-
-
 
 
@@ -298,7 +298,7 @@
 
   
 
-
   
 
@@ -312,7 +312,7 @@
 
   
 
-
   
 
@@ -328,7 +328,7 @@
 
   
 
-
   
 
@@ -344,7 +344,7 @@
 
   
 
-
   
 
@@ -358,7 +358,7 @@
 
   
 
-
   
 
@@ -389,7 +389,7 @@
 
   
 
-
   
 
@@ -424,7 +424,7 @@
 
   
-
@@ -433,8 +433,8 @@
   
 
-
 
   



commit tigervnc for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package tigervnc for openSUSE:Factory 
checked in at 2017-09-13 22:27:16

Comparing /work/SRC/openSUSE:Factory/tigervnc (Old)
 and  /work/SRC/openSUSE:Factory/.tigervnc.new (New)


Package is "tigervnc"

Wed Sep 13 22:27:16 2017 rev:44 rq:523519 version:1.8.0

Changes:

--- /work/SRC/openSUSE:Factory/tigervnc/tigervnc.changes2017-08-23 
11:52:32.280939219 +0200
+++ /work/SRC/openSUSE:Factory/.tigervnc.new/tigervnc.changes   2017-09-13 
22:27:17.773277555 +0200
@@ -1,0 +2,6 @@
+Mon Sep 11 14:12:30 UTC 2017 - fst...@suse.com
+
+- Specify java source and target level 1.6 in order to be able to
+  build with jdk9
+
+---



Other differences:
--
++ tigervnc.spec ++
--- /var/tmp/diff_new_pack.uUjHL9/_old  2017-09-13 22:27:18.913117089 +0200
+++ /var/tmp/diff_new_pack.uUjHL9/_new  2017-09-13 22:27:18.917116526 +0200
@@ -222,7 +222,7 @@
 
 # Build java client
 pushd java
-cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DJAVACFLAGS="-encoding utf8"
+cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DJAVACFLAGS="-encoding utf8 
-source 1.6 -target 1.6"
 make %{?_smp_mflags}
 popd
 




commit wsdl4j for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package wsdl4j for openSUSE:Factory checked 
in at 2017-09-13 22:27:07

Comparing /work/SRC/openSUSE:Factory/wsdl4j (Old)
 and  /work/SRC/openSUSE:Factory/.wsdl4j.new (New)


Package is "wsdl4j"

Wed Sep 13 22:27:07 2017 rev:22 rq:523415 version:1.6.3

Changes:

--- /work/SRC/openSUSE:Factory/wsdl4j/wsdl4j.changes2017-05-31 
13:30:00.222149099 +0200
+++ /work/SRC/openSUSE:Factory/.wsdl4j.new/wsdl4j.changes   2017-09-13 
22:27:09.506441353 +0200
@@ -1,0 +2,6 @@
+Mon Sep 11 20:09:45 UTC 2017 - fst...@suse.com
+
+- Specify java source and target level 1.6 in order to allow
+  building with jdk9
+
+---



Other differences:
--
++ wsdl4j.spec ++
--- /var/tmp/diff_new_pack.KPktst/_old  2017-09-13 22:27:10.146351267 +0200
+++ /var/tmp/diff_new_pack.KPktst/_new  2017-09-13 22:27:10.150350704 +0200
@@ -60,7 +60,7 @@
 %setup -q -n %{name}-1_6_3
 
 %build
-ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 compile javadocs
+ant -Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 compile javadocs
 
 %install
 # inject OSGi manifests





commit libserializer for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package libserializer for openSUSE:Factory 
checked in at 2017-09-13 22:26:25

Comparing /work/SRC/openSUSE:Factory/libserializer (Old)
 and  /work/SRC/openSUSE:Factory/.libserializer.new (New)


Package is "libserializer"

Wed Sep 13 22:26:25 2017 rev:4 rq:523314 version:1.1.2

Changes:

--- /work/SRC/openSUSE:Factory/libserializer/libserializer.changes  
2014-07-19 11:05:21.0 +0200
+++ /work/SRC/openSUSE:Factory/.libserializer.new/libserializer.changes 
2017-09-13 22:26:26.212536239 +0200
@@ -1,0 +2,8 @@
+Mon Sep 11 16:35:03 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * libserializer-1.1.2-sourcetarget.patch
+- Specify java sourec and target level 1.6 in order to allow
+  building with jdk9
+
+---

New:

  libserializer-1.1.2-sourcetarget.patch



Other differences:
--
++ libserializer.spec ++
--- /var/tmp/diff_new_pack.pMUGte/_old  2017-09-13 22:26:26.808452347 +0200
+++ /var/tmp/diff_new_pack.pMUGte/_new  2017-09-13 22:26:26.812451783 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libserializer
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -29,6 +29,7 @@
 Source: libserializer-%{version}-jarsdeleted.zip
 Source99:   %{name}-rpmlintrc
 Patch0: libserializer-1.1.2.build.patch
+Patch1: libserializer-1.1.2-sourcetarget.patch
 BuildRequires:  ant
 BuildRequires:  ant-contrib
 BuildRequires:  java-devel
@@ -55,6 +56,7 @@
 %prep
 %setup -q -c
 %patch0 -p1 -b .build
+%patch1 -p1
 find . -name "*.jar" -exec rm -f {} \;
 mkdir -p lib
 build-jar-repository -s -p lib libbase commons-logging-api


++ libserializer-1.1.2-sourcetarget.patch ++
--- libserializer-1.1.2/common_build.xml2009-09-25 18:11:02.0 
+0200
+++ libserializer-1.1.2/common_build.xml2017-09-11 18:34:36.338508681 
+0200
@@ -136,8 +136,8 @@
   
-  
-  
+  
+  
 
   
   
 

commit libformula for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package libformula for openSUSE:Factory 
checked in at 2017-09-13 22:25:46

Comparing /work/SRC/openSUSE:Factory/libformula (Old)
 and  /work/SRC/openSUSE:Factory/.libformula.new (New)


Package is "libformula"

Wed Sep 13 22:25:46 2017 rev:4 rq:523238 version:1.1.3

Changes:

--- /work/SRC/openSUSE:Factory/libformula/libformula.changes2014-07-19 
11:05:16.0 +0200
+++ /work/SRC/openSUSE:Factory/.libformula.new/libformula.changes   
2017-09-13 22:25:53.845092915 +0200
@@ -1,0 +2,8 @@
+Fri Sep  8 11:44:14 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * libformula-1.1.3-sourcetarget.patch
++ Specify java source and target 1.6 in order to allow building
+  with jdk9
+
+---

New:

  libformula-1.1.3-sourcetarget.patch



Other differences:
--
++ libformula.spec ++
--- /var/tmp/diff_new_pack.Mtmzjh/_old  2017-09-13 22:25:54.461006207 +0200
+++ /var/tmp/diff_new_pack.Mtmzjh/_new  2017-09-13 22:25:54.465005644 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libformula
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -30,6 +30,7 @@
 Source99:   %{name}-rpmlintrc
 #PATCH-FIX-UPSTREAM, fix some properties for build
 Patch0: libformula-1.1.2.build.patch
+Patch1: libformula-1.1.3-sourcetarget.patch
 BuildRequires:  ant
 BuildRequires:  ant-contrib
 BuildRequires:  apache-commons-logging
@@ -59,6 +60,7 @@
 %prep
 %setup -q -c
 %patch0 -p1 -b .build
+%patch1 -p1
 find . -name "*.jar" -exec rm -f {} \;
 mkdir -p lib
 build-jar-repository -s -p lib commons-logging-api libbase


++ libformula-1.1.3-sourcetarget.patch ++
--- libformula-1.1.3/common_build.xml   2017-09-08 13:40:14.118840217 +0200
+++ libformula-1.1.3/common_build.xml   2017-09-08 13:41:14.814841253 +0200
@@ -136,8 +136,8 @@
   
-  
-  
+  
+  
 
   
   

commit libloader for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package libloader for openSUSE:Factory 
checked in at 2017-09-13 22:25:56

Comparing /work/SRC/openSUSE:Factory/libloader (Old)
 and  /work/SRC/openSUSE:Factory/.libloader.new (New)


Package is "libloader"

Wed Sep 13 22:25:56 2017 rev:4 rq:523302 version:1.1.3

Changes:

--- /work/SRC/openSUSE:Factory/libloader/libloader.changes  2014-07-19 
11:05:19.0 +0200
+++ /work/SRC/openSUSE:Factory/.libloader.new/libloader.changes 2017-09-13 
22:26:07.879117209 +0200
@@ -1,0 +2,11 @@
+Mon Sep 11 16:16:19 UTC 2017 - fst...@suse.com
+
+- Added patches:
+  * libloader-1.1.3-sourcetarget.patch
++ Specify java source and target level 1.6 in order to allow
+  building with jdk9
+  * libloader-1.1.3-javadoc.patch
++ Exclude from the javadocs generation packages that create
+  errors of unresolved symbols
+
+---

New:

  libloader-1.1.3-javadoc.patch
  libloader-1.1.3-sourcetarget.patch



Other differences:
--
++ libloader.spec ++
--- /var/tmp/diff_new_pack.WSKCE3/_old  2017-09-13 22:26:11.622590205 +0200
+++ /var/tmp/diff_new_pack.WSKCE3/_new  2017-09-13 22:26:11.626589642 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libloader
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -30,6 +30,8 @@
 Source99:   %{name}-rpmlintrc
 #PATCH-FIX-UPSTREAM, fix some properties for build
 Patch0: libloader-1.1.2.build.patch
+Patch1: libloader-1.1.3-sourcetarget.patch
+Patch2: libloader-1.1.3-javadoc.patch
 BuildRequires:  ant
 BuildRequires:  ant-contrib
 BuildRequires:  java-devel
@@ -58,6 +60,8 @@
 %prep
 %setup -q -c
 %patch0 -p1 -b .build
+%patch1 -p1
+%patch2 -p1
 find . -name "*.jar" -exec rm -f {} \;
 mkdir -p lib
 build-jar-repository -s -p lib libbase commons-logging-api


++ libloader-1.1.3-javadoc.patch ++
--- libloader-1.1.3/common_build.xml2009-11-16 11:25:34.0 +0100
+++ libloader-1.1.3/common_build.xml2017-09-11 17:54:15.582181335 +0200
@@ -1352,6 +1352,7 @@
  nodeprecatedlist="false"
  nodeprecated="false"
  packagenames="${javadoc.packagenames}"
+
excludepackagenames="org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache,org.pentaho.reporting.libraries.resourceloader.modules.factory.svg,org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf"
  sourcepath="${src.dir}"
  doctitle="${impl.title} documentation">
   http://java.sun.com/j2se/${javac.source}.0/docs/api/; />
++ libloader-1.1.3-sourcetarget.patch ++
--- libloader-1.1.3/common_build.xml2009-11-16 11:25:34.0 +0100
+++ libloader-1.1.3/common_build.xml2017-09-11 17:54:15.582181335 +0200
@@ -136,8 +136,8 @@
   
-  
-  
+  
+  
 
   
   

commit xpp2 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package xpp2 for openSUSE:Factory checked in 
at 2017-09-13 22:26:35

Comparing /work/SRC/openSUSE:Factory/xpp2 (Old)
 and  /work/SRC/openSUSE:Factory/.xpp2.new (New)


Package is "xpp2"

Wed Sep 13 22:26:35 2017 rev:17 rq:523325 version:2.1.10

Changes:

--- /work/SRC/openSUSE:Factory/xpp2/xpp2.changes2014-07-21 
10:35:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.xpp2.new/xpp2.changes   2017-09-13 
22:26:39.450672582 +0200
@@ -1,0 +2,11 @@
+Mon Sep 11 16:45:34 UTC 2017 - fst...@suse.com
+
+- Modified patch:
+  * xpp2-build_xml.patch
++ Specify java source and target level 1.6 in order to allow
+  building with jdk9
+  * xpp2-enum.patch
++ Rename variables "enum" to "emun" in order to avoid clash
+  with a reserved word in java >= 1.5
+
+---

New:

  xpp2-enum.patch



Other differences:
--
++ xpp2.spec ++
--- /var/tmp/diff_new_pack.kP7rtq/_old  2017-09-13 22:26:40.158572924 +0200
+++ /var/tmp/diff_new_pack.kP7rtq/_new  2017-09-13 22:26:40.162572362 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package xpp2
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,6 +26,7 @@
 Url:http://www.extreme.indiana.edu/xgws/xsoap/xpp/
 Source0:
http://www.extreme.indiana.edu/xgws/xsoap/xpp/download/PullParser2/PullParser2.1.10.tar.bz2
 Patch0: xpp2-build_xml.patch
+Patch1: xpp2-enum.patch
 BuildRequires:  ant >= 1.6
 BuildRequires:  ant-junit >= 1.6
 BuildRequires:  fdupes
@@ -74,6 +75,7 @@
 # remove all binary libs
 find . -name "*.jar" -exec rm -f {} \;
 %patch0 -b .sav
+%patch1 -p1
 
 %build
 export OPT_JAR_LIST="ant/ant-junit junit"

++ xpp2-build_xml.patch ++
--- /var/tmp/diff_new_pack.kP7rtq/_old  2017-09-13 22:26:40.186568983 +0200
+++ /var/tmp/diff_new_pack.kP7rtq/_new  2017-09-13 22:26:40.186568983 +0200
@@ -5,8 +5,8 @@
  
  
 -  
-+  
-+  
++  
++  

  

@@ -185,7 +185,7 @@
   0) {
-Enumeration enum = children.elements();
-while (enum.hasMoreElements()) {
-Object child = enum.nextElement();
+Enumeration emun = children.elements();
+while (emun.hasMoreElements()) {
+Object child = emun.nextElement();
 if(child instanceof XmlNode) {
 ((XmlNode)child).setParentNode(null);
 }
@@ -373,11 +373,11 @@
 if(declaredNs != null) {
 System.arraycopy(declaredNs, 0, uris, off, len);
 }
-//Enumeration enum = prefix2Ns.keys();
+//Enumeration emun = prefix2Ns.keys();
 //int i = off;
-//while (enum.hasMoreElements() && i < off + len)
+//while (emun.hasMoreElements() && i < off + len)
 //{
-//uris[i++] = (String) prefix2Ns.get( enum.nextElement() );
+//uris[i++] = (String) prefix2Ns.get( emun.nextElement() );
 //}
 }
 
@@ -512,10 +512,10 @@
 buf.append(declaredNs[i]);
 buf.append("'");
 }
-//Enumeration enum = prefix2Ns.keys();
-//while (enum.hasMoreElements())
+//Enumeration emun = prefix2Ns.keys();
+//while (emun.hasMoreElements())
 //{
-//  Object key = enum.nextElement();
+//  Object key = emun.nextElement();
 //  buf.append("xmlns:");
 //  buf.append(key);
 //  buf.append("='");
--- PullParser2.1.10/src/java/tests/node/NodeTest.java  2017-09-11 
18:39:27.109544537 +0200
+++ PullParser2.1.10/src/java/tests/node/NodeTest.java  2017-09-11 
18:43:53.211362957 +0200
@@ -386,20 +386,20 @@
 assertEquals("", t1.getDefaultNamespaceUri());
 
 // check enumeration stuff...
-Enumeration enum = t1.children();
+Enumeration emun = t1.children();
 assertEquals(0, t1.getChildrenCountSoFar());
 //child1, child2...
-assertTrue(enum.hasMoreElements());
-child1 = (XmlPullNode) enum.nextElement();
+assertTrue(emun.hasMoreElements());
+child1 = (XmlPullNode) emun.nextElement();
 assertEquals("child1", child1.getLocalName());
-assertNotNull(enum.nextElement());
-child3 = (XmlPullNode) enum.nextElement();
+

commit libfonts for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package libfonts for openSUSE:Factory 
checked in at 2017-09-13 22:25:38

Comparing /work/SRC/openSUSE:Factory/libfonts (Old)
 and  /work/SRC/openSUSE:Factory/.libfonts.new (New)


Package is "libfonts"

Wed Sep 13 22:25:38 2017 rev:4 rq:523237 version:1.1.3

Changes:

--- /work/SRC/openSUSE:Factory/libfonts/libfonts.changes2014-07-19 
11:05:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.libfonts.new/libfonts.changes   2017-09-13 
22:25:42.774651409 +0200
@@ -1,0 +2,8 @@
+Fri Sep  8 11:37:49 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * libfonts-1.1.3-sourcetarget.patch
++ Specify java source and target 1.6 in order to allow building
+  with jdk9
+
+---

New:

  libfonts-1.1.3-sourcetarget.patch



Other differences:
--
++ libfonts.spec ++
--- /var/tmp/diff_new_pack.8iP4mh/_old  2017-09-13 22:25:43.874496573 +0200
+++ /var/tmp/diff_new_pack.8iP4mh/_new  2017-09-13 22:25:43.878496009 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libfonts
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -30,6 +30,7 @@
 Source99:   libfonts-rpmlintrc
 #PATCH-FIX-UPSTREAM, fix some properties for build
 Patch0: libfonts-1.1.2.build.patch
+Patch1: libfonts-1.1.3-sourcetarget.patch
 BuildRequires:  ant
 BuildRequires:  ant-contrib
 BuildRequires:  java-devel
@@ -57,6 +58,7 @@
 %prep
 %setup -q -c
 %patch0 -p1 -b .build
+%patch1 -p1
 find . -name "*.jar" -exec rm -f {} \;
 rm -r source/org/pentaho/reporting/libraries/fonts/itext
 mkdir -p lib


++ libfonts-1.1.3-sourcetarget.patch ++
--- libfonts-1.1.3/common_build.xml 2017-09-08 13:33:45.855806822 +0200
+++ libfonts-1.1.3/common_build.xml 2017-09-08 13:34:24.395807480 +0200
@@ -136,8 +136,8 @@
   
-  
-  
+  
+  
 
   
   

commit librepository for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package librepository for openSUSE:Factory 
checked in at 2017-09-13 22:26:16

Comparing /work/SRC/openSUSE:Factory/librepository (Old)
 and  /work/SRC/openSUSE:Factory/.librepository.new (New)


Package is "librepository"

Wed Sep 13 22:26:16 2017 rev:4 rq:523304 version:1.1.3

Changes:

--- /work/SRC/openSUSE:Factory/librepository/librepository.changes  
2014-07-19 11:05:20.0 +0200
+++ /work/SRC/openSUSE:Factory/.librepository.new/librepository.changes 
2017-09-13 22:26:19.369499599 +0200
@@ -1,0 +2,12 @@
+Mon Sep 11 16:26:56 UTC 2017 - fst...@suse.com
+
+- Added patches:
+  * librepository-1.1.3-sourcetarget.patch
++ Specify java source and target 1.6 in order to allow building
+ with jdk9
+  * librepository-1.1.3-javadoc.patch
++ Exclude from javadoc generation the package
+  org.pentaho.reporting.libraries.repository.email, which
+  causes unresolved symbols from absent javax.mail.internet
+
+---

New:

  librepository-1.1.3-javadoc.patch
  librepository-1.1.3-sourcetarget.patch



Other differences:
--
++ librepository.spec ++
--- /var/tmp/diff_new_pack.0ETdCl/_old  2017-09-13 22:26:19.953417395 +0200
+++ /var/tmp/diff_new_pack.0ETdCl/_new  2017-09-13 22:26:19.953417395 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package librepository
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -30,6 +30,8 @@
 Source99:   %{name}-rpmlintrc
 #PATCH-FIX-UPSTREAM, fix some properties for build
 Patch0: librepository-1.1.2.build.patch
+Patch1: librepository-1.1.3-sourcetarget.patch
+Patch2: librepository-1.1.3-javadoc.patch
 BuildRequires:  ant
 BuildRequires:  ant-contrib
 BuildRequires:  java-devel
@@ -56,6 +58,8 @@
 %prep
 %setup -q -c
 %patch0 -p1 -b .build
+%patch1 -p1
+%patch2 -p1
 find . -name "*.jar" -exec rm -f {} \;
 mkdir -p lib
 build-jar-repository -s -p lib commons-logging-api libbase


++ librepository-1.1.3-javadoc.patch ++
--- librepository-1.1.3/common_build.xml2009-11-16 11:24:36.0 
+0100
+++ librepository-1.1.3/common_build.xml2017-09-11 18:25:14.528557214 
+0200
@@ -1352,6 +1352,7 @@
  nodeprecatedlist="false"
  nodeprecated="false"
  packagenames="${javadoc.packagenames}"
+
excludepackagenames="org.pentaho.reporting.libraries.repository.email"
  sourcepath="${src.dir}"
  doctitle="${impl.title} documentation">
   http://java.sun.com/j2se/${javac.source}.0/docs/api/; />
++ librepository-1.1.3-sourcetarget.patch ++
--- librepository-1.1.3/common_build.xml2017-09-08 13:40:14.118840217 
+0200
+++ librepository-1.1.3/common_build.xml2017-09-08 13:41:14.814841253 
+0200
@@ -136,8 +136,8 @@
   
-  
-  
+  
+  
 
   
   

commit apache-ivy for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package apache-ivy for openSUSE:Factory 
checked in at 2017-09-13 22:25:02

Comparing /work/SRC/openSUSE:Factory/apache-ivy (Old)
 and  /work/SRC/openSUSE:Factory/.apache-ivy.new (New)


Package is "apache-ivy"

Wed Sep 13 22:25:02 2017 rev:12 rq:523091 version:2.3.0

Changes:

--- /work/SRC/openSUSE:Factory/apache-ivy/apache-ivy.changes2017-05-31 
13:32:13.927302738 +0200
+++ /work/SRC/openSUSE:Factory/.apache-ivy.new/apache-ivy.changes   
2017-09-13 22:25:07.551610106 +0200
@@ -1,0 +2,7 @@
+Thu Sep  7 17:10:15 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * apache-ivy-2.3.0-jdk9.patch
++ Use source and target version 1.6 to enable build with jdk9
+
+---

New:

  apache-ivy-2.3.0-jdk9.patch



Other differences:
--
++ apache-ivy.spec ++
--- /var/tmp/diff_new_pack.scQiod/_old  2017-09-13 22:25:08.231514389 +0200
+++ /var/tmp/diff_new_pack.scQiod/_new  2017-09-13 22:25:08.231514389 +0200
@@ -26,10 +26,12 @@
 Source0:%{name}-%{version}-src.tar.gz
 Source1:ivy.1
 Source2:
http://repo1.maven.org/maven2/org/apache/ivy/ivy/2.3.0/ivy-2.3.0.pom
+Patch0: apache-ivy-2.3.0-jdk9.patch
 BuildRequires:  ant
 BuildRequires:  bouncycastle
 BuildRequires:  commons-httpclient
 BuildRequires:  dos2unix
+BuildRequires:  java-devel >= 1.6
 BuildRequires:  javapackages-local
 BuildRequires:  javapackages-tools
 BuildRequires:  jsch
@@ -56,6 +58,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 # Fix messed-up encodings
 dos2unix README LICENSE NOTICE RELEASE_NOTES CHANGES.txt
@@ -79,6 +82,7 @@
 build-jar-repository lib ant ant/ant-nodeps oro jsch commons-httpclient
 
 # Build
+export CLASSPATH=$(build-classpath ant ant/ant-nodeps oro jsch 
commons-httpclient)
 ant -Dtarget.ivy.version=%{version} /localivy /offline jar javadoc
 
 %install

++ apache-ivy-2.3.0-jdk9.patch ++
--- apache-ivy-2.3.0/build.properties   2012-04-02 23:11:30.0 +0200
+++ apache-ivy-2.3.0/build.properties   2017-09-07 14:13:28.647597540 +0200
@@ -42,7 +42,7 @@
 checkstyle.src.dir=${basedir}/src/etc/checkstyle
 rat.report.dir=${reports.dir}/rat
 
-ivy.minimum.javaversion=1.4
+ivy.minimum.javaversion=1.6
 debug.mode=on
 ivy.install.version=1.4.1
 
--- apache-ivy-2.3.0/build.xml  2012-04-09 08:58:36.0 +0200
+++ apache-ivy-2.3.0/build.xml  2017-09-07 14:46:13.128164218 +0200
@@ -517,7 +517,7 @@

 
 
-
+
 
 
 



commit libbluray for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package libbluray for openSUSE:Factory 
checked in at 2017-09-13 22:24:49

Comparing /work/SRC/openSUSE:Factory/libbluray (Old)
 and  /work/SRC/openSUSE:Factory/.libbluray.new (New)


Package is "libbluray"

Wed Sep 13 22:24:49 2017 rev:32 rq:523089 version:1.0.1

Changes:

--- /work/SRC/openSUSE:Factory/libbluray/libbluray.changes  2017-06-18 
13:48:43.596866265 +0200
+++ /work/SRC/openSUSE:Factory/.libbluray.new/libbluray.changes 2017-09-13 
22:24:55.677281774 +0200
@@ -1,0 +2,6 @@
+Sun Sep 10 14:02:16 UTC 2017 - dims...@opensuse.org
+
+- BuildConflict with java-devel >= 1.9. Java 8 is the last to
+  support source_version 1.5.
+
+---



Other differences:
--
++ libbluray.spec ++
--- /var/tmp/diff_new_pack.W9lhQC/_old  2017-09-13 22:24:58.436893276 +0200
+++ /var/tmp/diff_new_pack.W9lhQC/_new  2017-09-13 22:24:58.436893276 +0200
@@ -31,11 +31,11 @@
 BuildRequires:  ant
 BuildRequires:  java-devel >= 1.6
 BuildRequires:  libtool
-BuildRequires:  pkg-config
+BuildRequires:  pkgconfig
 BuildRequires:  pkgconfig(fontconfig)
 BuildRequires:  pkgconfig(freetype2)
 BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildConflicts: java-devel >= 1.9
 
 %description
 This library is written for the purpose of playing Blu-ray movies. It is




commit bsf for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package bsf for openSUSE:Factory checked in 
at 2017-09-13 22:25:19

Comparing /work/SRC/openSUSE:Factory/bsf (Old)
 and  /work/SRC/openSUSE:Factory/.bsf.new (New)


Package is "bsf"

Wed Sep 13 22:25:19 2017 rev:24 rq:523232 version:2.4.0

Changes:

--- /work/SRC/openSUSE:Factory/bsf/bsf.changes  2017-05-31 13:31:59.965270771 
+0200
+++ /work/SRC/openSUSE:Factory/.bsf.new/bsf.changes 2017-09-13 
22:25:24.509222813 +0200
@@ -1,0 +2,8 @@
+Thu Sep  7 17:18:12 UTC 2017 - fst...@suse.com
+
+- Force java source and target levels to 1.6 in order to allow
+  building with jdk9
+- Force using of java-1_8_0-openjdk-devel, since javadoc errors are
+  fatal in jdk9
+
+---



Other differences:
--
++ bsf.spec ++
--- /var/tmp/diff_new_pack.RrFY7i/_old  2017-09-13 22:25:26.252977328 +0200
+++ /var/tmp/diff_new_pack.RrFY7i/_new  2017-09-13 22:25:26.256976764 +0200
@@ -31,14 +31,14 @@
 Patch1: build.properties.patch
 BuildRequires:  ant
 BuildRequires:  apache-commons-logging
-BuildRequires:  java-devel
+BuildRequires:  java-devel >= 1.6
 BuildRequires:  javapackages-local
 BuildRequires:  javapackages-tools
 BuildRequires:  rhino
 BuildRequires:  xalan-j2
 BuildRequires:  xml-commons-apis
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
+BuildConflicts: java-devel >= 1.9
 
 %description
 Bean Scripting Framework (BSF) is a set of Java classes that provides
@@ -112,14 +112,12 @@
 cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/%{name}
 
 %files
-%defattr(-,root,root)
 %doc LICENSE.txt AUTHORS.txt CHANGES.txt NOTICE.txt README.txt TODO.txt 
RELEASE-NOTE.txt
 %{_javadir}/*
 %{_mavenpomdir}/JPP-%{name}.pom
 %{_datadir}/maven-metadata/%{name}.xml
 
 %files javadoc
-%defattr(-,root,root)
 %dir %{_javadocdir}/%{name}
 %{_javadocdir}/%{name}
 


++ build.properties.patch ++
--- /var/tmp/diff_new_pack.RrFY7i/_old  2017-09-13 22:25:26.312968882 +0200
+++ /var/tmp/diff_new_pack.RrFY7i/_new  2017-09-13 22:25:26.312968882 +0200
@@ -35,7 +35,7 @@
 +
 +
 +
-+
++
 +
 +
 +




commit jakarta-commons-net for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package jakarta-commons-net for 
openSUSE:Factory checked in at 2017-09-13 22:25:10

Comparing /work/SRC/openSUSE:Factory/jakarta-commons-net (Old)
 and  /work/SRC/openSUSE:Factory/.jakarta-commons-net.new (New)


Package is "jakarta-commons-net"

Wed Sep 13 22:25:10 2017 rev:23 rq:523229 version:1.4.1

Changes:

--- /work/SRC/openSUSE:Factory/jakarta-commons-net/jakarta-commons-net.changes  
2017-06-10 18:33:25.532259410 +0200
+++ 
/work/SRC/openSUSE:Factory/.jakarta-commons-net.new/jakarta-commons-net.changes 
2017-09-13 22:25:15.190534698 +0200
@@ -1,0 +2,6 @@
+Fri Sep  8 11:16:44 UTC 2017 - fst...@suse.com
+
+- Specify java source and target 1.6 in order to allow building
+  with jdk9
+
+---



Other differences:
--
++ jakarta-commons-net.spec ++
--- /var/tmp/diff_new_pack.y11C5I/_old  2017-09-13 22:25:16.842302162 +0200
+++ /var/tmp/diff_new_pack.y11C5I/_new  2017-09-13 22:25:16.842302162 +0200
@@ -81,7 +81,7 @@
 ln -s %{_javadir}/oro.jar target/lib
 ln -s %{_javadir}/junit.jar target/lib
 ant \
--Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 \
+-Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 \
 -Dnoget=true -Dfinal.name=commons-net-%{version} 
-Dj2se.api=%{_javadocdir}/java \
 jar javadoc
 




commit libbase for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package libbase for openSUSE:Factory checked 
in at 2017-09-13 22:25:28

Comparing /work/SRC/openSUSE:Factory/libbase (Old)
 and  /work/SRC/openSUSE:Factory/.libbase.new (New)


Package is "libbase"

Wed Sep 13 22:25:28 2017 rev:4 rq:523234 version:1.1.3

Changes:

--- /work/SRC/openSUSE:Factory/libbase/libbase.changes  2014-07-15 
16:25:44.0 +0200
+++ /work/SRC/openSUSE:Factory/.libbase.new/libbase.changes 2017-09-13 
22:25:33.427967233 +0200
@@ -1,0 +2,8 @@
+Fri Sep  8 11:28:47 UTC 2017 - fst...@suse.com
+
+- Added patche:
+  * libbase-1.1.3-sourcetarget.patch
++ Specify java source and target 1.6 in order to allow building
+  with jdk9
+
+---

New:

  libbase-1.1.3-sourcetarget.patch



Other differences:
--
++ libbase.spec ++
--- /var/tmp/diff_new_pack.sFcQ41/_old  2017-09-13 22:25:35.151724563 +0200
+++ /var/tmp/diff_new_pack.sFcQ41/_new  2017-09-13 22:25:35.155724000 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libbase
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -30,6 +30,7 @@
 Source99:   libbase-rpmlintrc
 #PATCH-FIX-UPSTREAM, fix some properties for build
 Patch0: libbase-1.1.2.build.patch
+Patch1: libbase-1.1.3-sourcetarget.patch
 BuildRequires:  ant
 BuildRequires:  ant-contrib >= 1.0b3
 BuildRequires:  apache-commons-logging
@@ -57,6 +58,7 @@
 %prep
 %setup -q -c
 %patch0 -p1 -b .build
+%patch1 -p1
 mkdir -p lib
 find . -name "*.jar" -exec rm -f {} \;
 build-jar-repository -s -p lib commons-logging-api


++ libbase-1.1.3-sourcetarget.patch ++
--- libbase-1.1.3/common_build.xml  2017-09-08 13:22:37.354835655 +0200
+++ libbase-1.1.3/common_build.xml  2017-09-08 13:23:39.750836720 +0200
@@ -136,8 +136,8 @@
   
-  
-  
+  
+  
 
   
   

commit classpathx-mail for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package classpathx-mail for openSUSE:Factory 
checked in at 2017-09-13 22:24:34

Comparing /work/SRC/openSUSE:Factory/classpathx-mail (Old)
 and  /work/SRC/openSUSE:Factory/.classpathx-mail.new (New)


Package is "classpathx-mail"

Wed Sep 13 22:24:34 2017 rev:18 rq:523076 version:1.1.2

Changes:

--- /work/SRC/openSUSE:Factory/classpathx-mail/classpathx-mail.changes  
2015-03-05 18:14:57.0 +0100
+++ /work/SRC/openSUSE:Factory/.classpathx-mail.new/classpathx-mail.changes 
2017-09-13 22:24:39.463564345 +0200
@@ -1,0 +2,5 @@
+Thu Sep  7 17:50:44 UTC 2017 - fst...@suse.com
+
+- Use java source and target version 1.6 to enable build with jdk9
+
+---



Other differences:
--
++ classpathx-mail.spec ++
--- /var/tmp/diff_new_pack.EoXYqB/_old  2017-09-13 22:24:40.067479325 +0200
+++ /var/tmp/diff_new_pack.EoXYqB/_new  2017-09-13 22:24:40.067479325 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package classpathx-mail
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -35,7 +35,7 @@
 Patch4: classpath-inetlib-docbuild.patch
 BuildRequires:  ant
 BuildRequires:  jaf >= 1.0
-BuildRequires:  java-devel
+BuildRequires:  java-devel >= 1.6
 BuildRequires:  java-sasl
 BuildRequires:  javapackages-tools
 BuildRequires:  jce
@@ -98,16 +98,16 @@
 # build inetlib
 pushd inetlib-%{inetlibver}
   export CLASSPATH=%(build-classpath jce sasl)
-  ant -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4  
-Dj2se.apidoc=%{_javadocdir}/java inetlib.jar doc
+  ant -Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6  
-Dj2se.apidoc=%{_javadocdir}/java inetlib.jar doc
 popd
 mkdir classes
 cp -r inetlib-%{inetlibver}/classes/org classes
 # build mail
-export CLASSPATH=%(build-classpath activation)
+export CLASSPATH=%(build-classpath 
activation):./inetlib-%{inetlibver}/inetlib.jar
 ant \
   -Dj2se.apidoc=%{_javadocdir}/java \
   -Djaf.apidoc=%{_javadocdir}/jaf \
-  -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
+  -Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 \
   dist javadoc
 # build monolithic
 mkdir monolithic




commit dom4j for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package dom4j for openSUSE:Factory checked 
in at 2017-09-13 22:24:42

Comparing /work/SRC/openSUSE:Factory/dom4j (Old)
 and  /work/SRC/openSUSE:Factory/.dom4j.new (New)


Package is "dom4j"

Wed Sep 13 22:24:42 2017 rev:19 rq:523086 version:1.6.1

Changes:

--- /work/SRC/openSUSE:Factory/dom4j/dom4j.changes  2017-05-31 
13:28:49.288147402 +0200
+++ /work/SRC/openSUSE:Factory/.dom4j.new/dom4j.changes 2017-09-13 
22:24:47.602418555 +0200
@@ -1,0 +2,8 @@
+Fri Sep  8 05:47:14 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * dom4j-sourcetarget.patch
++ Use java source and target level 1.6 in order to allow
+  building with jdk9
+
+---

New:

  dom4j-sourcetarget.patch



Other differences:
--
++ dom4j.spec ++
--- /var/tmp/diff_new_pack.JnQZtj/_old  2017-09-13 22:24:48.306319460 +0200
+++ /var/tmp/diff_new_pack.JnQZtj/_new  2017-09-13 22:24:48.310318897 +0200
@@ -35,12 +35,13 @@
 Source1:dom4j_rundemo.sh
 Source2:http://repo1.maven.org/maven2/dom4j/dom4j/1.6.1/dom4j-1.6.1.pom
 Patch0: dom4j-1.6.1-bug1618750.patch
+Patch1: dom4j-sourcetarget.patch
 BuildRequires:  ant >= 1.6.5
 BuildRequires:  ant-apache-resolver
 BuildRequires:  ant-junit
 BuildRequires:  bea-stax
 BuildRequires:  isorelax
-BuildRequires:  java-devel >= 1.5.0
+BuildRequires:  java-devel >= 1.6
 # Needed for maven conversions
 BuildRequires:  javapackages-local
 BuildRequires:  javapackages-tools
@@ -57,7 +58,7 @@
 BuildRequires:  xpp3
 Requires:   bea-stax
 Requires:   isorelax
-Requires:   java >= 1.5.0
+Requires:   java >= 1.6.0
 Requires:   jaxen >= 1.1
 Requires:   relaxngDatatype
 Requires:   stax_1_0_api
@@ -125,14 +126,12 @@
 # FIXME: (yyang): failed in JDK6, maybe failed to load russArticle.xml because 
it's russian encoding
 rm -f src/test/org/dom4j/io/StaxTest.java
 %patch0 -p1 -b .bug1618750
+%patch1 -p1 -b .sourcetarget
 perl -pi -e 's/\r//g' LICENSE.txt docs/clover/*.css docs/style/*.css 
docs/xref/*.css docs/xref-test/*.css src/doc/style/*.css 
docs/benchmarks/xpath/*.java
 
 pushd lib
 ln -sf $(build-classpath xpp2)
 ln -sf $(build-classpath relaxngDatatype)
-pushd endorsed
-#ln -sf $(build-classpath jaxp12)
-popd
 ln -sf $(build-classpath jaxme/jaxmeapi)
 #ln -sf $(build-classpath msv-xsdlib)
 #ln -sf $(build-classpath msv-msv)
@@ -157,12 +156,10 @@
 popd
 
 %build
-export CLASSPATH=
+export CLASSPATH=$(build-classpath jaxen relaxngDatatype xpp3 xpp2)
 export OPT_JAR_LIST="junit ant/ant-junit"
-#ant package test release-javadoc
+rm -rf src/java/org/dom4j/datatype
 ant package release-javadoc
-#export CLASSPATH=`pwd`/dom4j-1.6.1.jar:$(build-classpath xpp2)
-#ant samples
 
 %install
 # jars

++ dom4j-sourcetarget.patch ++
--- dom4j/build.xml 2009-05-12 15:04:18.0 +0200
+++ dom4j/build.xml 2017-09-11 13:36:05.252661089 +0200
@@ -142,8 +142,8 @@
destdir="${build.dest}"
debug="${debug}"
optimize="${optimize}"
-   target="1.3"
-   source="1.3"
+   target="1.6"
+   source="1.6"
deprecation="${deprecation}"
classpathref="compile.classpath">

@@ -195,6 +195,7 @@
 
 
 
 

commit java-9-openjdk for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package java-9-openjdk for openSUSE:Factory 
checked in at 2017-09-13 22:23:12

Comparing /work/SRC/openSUSE:Factory/java-9-openjdk (Old)
 and  /work/SRC/openSUSE:Factory/.java-9-openjdk.new (New)


Package is "java-9-openjdk"

Wed Sep 13 22:23:12 2017 rev:11 rq:522980 version:9.0.0.0~181

Changes:

--- /work/SRC/openSUSE:Factory/java-9-openjdk/java-9-openjdk.changes
2017-08-31 21:04:07.194871772 +0200
+++ /work/SRC/openSUSE:Factory/.java-9-openjdk.new/java-9-openjdk.changes   
2017-09-13 22:23:12.383823480 +0200
@@ -1,0 +2,20 @@
+Mon Sep 11 06:27:49 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * disable-doclint-by-default.patch
+- Disable doclint by default when running javadoc. Doclint is
+  too strict, breaks javadoc compilation and, in general,
+  breaks the build for old code known to build with previous
+  versions of OpenJDK.
+
+---
+Thu Aug 31 14:31:46 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * zero-atomic_copy64.patch
+- Fix wrong assembly for ppc and s390
+- Removed patch:
+  * ppc32-atomic_copy64.patch
+- Replaced by the added patch above
+
+---

Old:

  ppc32-atomic_copy64.patch

New:

  disable-doclint-by-default.patch
  zero-atomic_copy64.patch



Other differences:
--
++ java-9-openjdk.spec ++
--- /var/tmp/diff_new_pack.gZVGks/_old  2017-09-13 22:23:14.759489033 +0200
+++ /var/tmp/diff_new_pack.gZVGks/_new  2017-09-13 22:23:14.763488469 +0200
@@ -180,10 +180,11 @@
 Patch103:   jdk9-gcc6.patch
 #
 Patch200:   ppc_stack_overflow_fix.patch
-Patch201:   ppc32-atomic_copy64.patch
+Patch201:   zero-atomic_copy64.patch
 #
 Patch300:   java-9-openjdk-linuxfilestore.patch
 Patch301:   bootcycle_jobs.patch
+Patch302:   disable-doclint-by-default.patch
 BuildRequires:  alsa-lib-devel
 BuildRequires:  autoconf
 BuildRequires:  automake
@@ -244,7 +245,7 @@
 Provides:   jre1.9.x
 Obsoletes:  java-1_9_0-openjdk < %{version}-%{release}
 %if %{bootcycle}
-BuildRequires:  java-1.8.0-devel >= 1.8.0
+BuildRequires:  java-1_8_0-openjdk-devel
 %else
 BuildRequires:  %{name}-devel
 %endif
@@ -482,6 +483,7 @@
 
 %patch300 -p1
 %patch301 -p1
+%patch302 -p1
 
 # Extract systemtap tapsets
 

++ disable-doclint-by-default.patch ++
--- 
jdk9/langtools/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocEnv.java
 2017-08-31 16:48:25.203509479 +0200
+++ 
jdk9/langtools/src/jdk.javadoc/share/classes/com/sun/tools/javadoc/main/DocEnv.java
 2017-09-11 08:14:00.112593069 +0200
@@ -839,7 +839,7 @@
 }
 
 if (!msgOptionSeen) {
-doclintOpts.add(DocLint.XMSGS_OPTION);
+return;
 }
 
 String sep = "";
--- 
jdk9/langtools/src/jdk.javadoc/share/classes/jdk/javadoc/internal/doclets/toolkit/WorkArounds.java
+++ 
jdk9/langtools/src/jdk.javadoc/share/classes/jdk/javadoc/internal/doclets/toolkit/WorkArounds.java
@@ -125,7 +125,7 @@ public class WorkArounds {
 }
 
 if (!msgOptionSeen) {
-doclintOpts.add(DocLint.XMSGS_OPTION);
+return;
 }
 
 String sep = "";
--- jdk9/langtools/test/jdk/javadoc/tool/doclint/DocLintTest.java   
2017-09-11 08:23:01.238847060 +0200
+++ jdk9/langtools/test/jdk/javadoc/tool/doclint/DocLintTest.java   
2017-09-11 08:04:53.274011987 +0200
@@ -146,12 +146,12 @@
 files = Arrays.asList(new TestJFO("Test.java", code));
 
 test(Collections.emptyList(),
-Main.Result.ERROR,
-EnumSet.of(Message.DL_ERR9A, Message.DL_WRN12A));
+Main.Result.OK,
+EnumSet.of(Message.JD_WRN10, Message.JD_WRN13));
 
 test(Arrays.asList(rawDiags),
-Main.Result.ERROR,
-EnumSet.of(Message.DL_ERR9, Message.DL_WRN12));
+Main.Result.OK,
+EnumSet.of(Message.JD_WRN10, Message.JD_WRN13));
 
 //test(Arrays.asList("-Xdoclint:none"),
 //Main.Result.OK,
@@ -174,8 +174,8 @@
 EnumSet.of(Message.DL_WRN12));
 
 test(Arrays.asList(rawDiags, "-private"),
-Main.Result.ERROR,
-EnumSet.of(Message.DL_ERR6, Message.DL_ERR9, 
Message.DL_WRN12));
+Main.Result.OK,
+EnumSet.of(Message.JD_WRN10, Message.JD_WRN13));
 
 test(Arrays.asList(rawDiags, "-Xdoclint:syntax", "-private"),
 Main.Result.ERROR,
++ zero-atomic_copy64.patch ++
--- 

commit jython for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package jython for openSUSE:Factory checked 
in at 2017-09-13 22:23:05

Comparing /work/SRC/openSUSE:Factory/jython (Old)
 and  /work/SRC/openSUSE:Factory/.jython.new (New)


Package is "jython"

Wed Sep 13 22:23:05 2017 rev:23 rq:522908 version:2.2.1

Changes:

--- /work/SRC/openSUSE:Factory/jython/jython.changes2017-07-04 
13:33:56.401835567 +0200
+++ /work/SRC/openSUSE:Factory/.jython.new/jython.changes   2017-09-13 
22:23:08.600356121 +0200
@@ -1,0 +2,16 @@
+Sun Sep 10 19:26:18 UTC 2017 - fst...@suse.com
+
+- Added patches:
+  * jython-compareto.patch
+  * jython-module.patch
++ Fix build breakages with jdk9
+  * jython-javadoc.patch
++ Disable doclint in order not to die on javadoc formatting
+  errors
+  * jython-sourcetarget.patch
++ Specify java target and source level 1.6 in order to allow
+  building with jdk9
+- Depend on jline
+  * Fixes missing symbols with javadoc and jdk9
+
+---

New:

  jython-compareto.patch
  jython-javadoc.patch
  jython-module.patch
  jython-sourcetarget.patch



Other differences:
--
++ jython.spec ++
--- /var/tmp/diff_new_pack.1Eo8Bi/_old  2017-09-13 22:23:09.352250268 +0200
+++ /var/tmp/diff_new_pack.1Eo8Bi/_new  2017-09-13 22:23:09.356249705 +0200
@@ -46,8 +46,13 @@
 Patch3: %{name}-cacheperms.patch
 Patch4: %{name}-makeCompiledFilename.patch
 Patch5: %{name}-cached-classes.patch
+Patch6: %{name}-sourcetarget.patch
+Patch7: %{name}-module.patch
+Patch8: %{name}-compareto.patch
+Patch9: %{name}-javadoc.patch
 Requires:   jakarta-oro
 Requires:   javapackages-tools
+Requires:   jline
 Requires:   libreadline-java >= 0.8.0
 Requires:   python >= %{cpython_version}
 Requires:   servletapi5
@@ -56,6 +61,7 @@
 BuildRequires:  ant
 BuildRequires:  jakarta-oro
 BuildRequires:  java-devel >= 1.6.0
+BuildRequires:  jline
 BuildRequires:  libreadline-java >= 0.8.0
 BuildRequires:  mysql-connector-java
 BuildRequires:  python >= %{cpython_version}
@@ -172,9 +178,13 @@
 %patch3 -p1
 %patch4 -p1
 %patch5 -p1
+%patch6 -p1
+%patch7 -p1
+%patch8 -p1
+%patch9 -p1
 
 %build
-export CLASSPATH=$(build-classpath mysql-connector-java oro servlet)
+export CLASSPATH=$(build-classpath mysql-connector-java oro servlet jline)
 # FIXME: fix jpackage-utils to handle multilib correctly
 export CLASSPATH=$CLASSPATH:%{_libdir}/libreadline-java/libreadline-java.jar
 

++ jython-compareto.patch ++
--- jython-svn-Release_2_2_1/Lib/test/javatests/AnonInner.java  2006-04-09 
18:14:16.0 +0200
+++ jython-svn-Release_2_2_1/Lib/test/javatests/AnonInner.java  2017-09-08 
11:14:45.116655838 +0200
@@ -9,11 +9,6 @@
 public int hashCode() {
 return 2000;
 }
-   //XXX: stuck compareTo to make the compiler happier.
-   // hopefully this doesn't mess up the test.
-   public int compareTo(Object x) {
-   return 0;
-   }
 };
 return d.hashCode();
 }
++ jython-javadoc.patch ++
--- jython-svn-Release_2_2_1/build.xml  2007-10-13 20:44:01.0 +0200
+++ jython-svn-Release_2_2_1/build.xml  2017-09-10 21:20:45.286417750 +0200
@@ -581,6 +581,7 @@
  packagenames="org.python.core, org.python.util, 
com.ziclix.python.sql"
  windowtitle="Jython API documentation"
  bottom="a href='http://www.jython.org' 
target='_top'>Jython homepage/a>"
+ additionalparam="-Xdoclint:none"
 >
 
 
++ jython-module.patch ++
--- jython-svn-Release_2_2_1/src/org/python/parser/TreeBuilder.java 
2007-06-30 10:57:09.0 +0200
+++ jython-svn-Release_2_2_1/src/org/python/parser/TreeBuilder.java 
2017-09-08 11:05:27.462211440 +0200
@@ -111,7 +111,7 @@
 case JJTSINGLE_INPUT:
 return new Interactive(makeStmts(arity));
 case JJTFILE_INPUT:
-return new Module(makeStmts(arity));
+return new org.python.parser.ast.Module(makeStmts(arity));
 case JJTEVAL_INPUT:
 return new Expression(makeExpr());
 
++ jython-sourcetarget.patch ++
--- jython-svn-Release_2_2_1/build.xml  2007-10-13 20:44:01.0 +0200
+++ jython-svn-Release_2_2_1/build.xml  2017-09-08 11:01:08.947884132 +0200
@@ -174,8 +174,8 @@
 
 
 
-
-
+
+
 
 
 



commit junit for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package junit for openSUSE:Factory checked 
in at 2017-09-13 22:23:16

Comparing /work/SRC/openSUSE:Factory/junit (Old)
 and  /work/SRC/openSUSE:Factory/.junit.new (New)


Package is "junit"

Wed Sep 13 22:23:16 2017 rev:20 rq:523033 version:4.11

Changes:

--- /work/SRC/openSUSE:Factory/junit/junit.changes  2017-05-31 
13:29:01.522422963 +0200
+++ /work/SRC/openSUSE:Factory/.junit.new/junit.changes 2017-09-13 
22:23:19.642801556 +0200
@@ -1,0 +2,8 @@
+Fri Sep  8 08:42:24 UTC 2017 - fst...@suse.com
+
+- Added patch:
+  * junit-jdk9.patch
++ Build with java source and target levels 1.6 in order to
+  allow building with jdk9
+
+---

New:

  junit-jdk9.patch



Other differences:
--
++ junit.spec ++
--- /var/tmp/diff_new_pack.2sBdpu/_old  2017-09-13 22:23:21.058602238 +0200
+++ /var/tmp/diff_new_pack.2sBdpu/_new  2017-09-13 22:23:21.062601674 +0200
@@ -30,6 +30,7 @@
 Patch0: junit-no-hamcrest-src.patch
 #PATCH-FIX-UPSTREAM: build with jdk8 and newer, already in upstream repo
 Patch1: junit-jdk8.patch
+Patch2: junit-jdk9.patch
 BuildRequires:  ant
 BuildRequires:  hamcrest >= 1.3
 BuildRequires:  java-devel >= 1.6.0
@@ -83,12 +84,14 @@
 %setup -q -n junit-r%{version}
 %patch0 -p1
 %patch1 -p1
+%patch2 -p1
 
 find . -type f -name "*.jar" -or -name "*.class" | xargs -t rm -rf
 
 ln -s $(build-classpath hamcrest/core) lib/hamcrest-core-1.3.jar
 
 %build
+export CLASSPATH=$(build-classpath hamcrest/core)
 ant dist -Dversion-status=
 
 %install

++ junit-jdk9.patch ++
--- junit-r4.11/build.xml   2012-11-13 21:10:09.0 +0100
+++ junit-r4.11/build.xml   2017-09-08 10:38:22.639250431 +0200
@@ -71,8 +71,8 @@
   debug="on"
   classpath="@{classpath}"
   includeantruntime="false"
-  source="1.5"
-  target="1.5"
+  source="1.6"
+  target="1.6"
   >
 
   



commit javacc3 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package javacc3 for openSUSE:Factory checked 
in at 2017-09-13 22:22:43

Comparing /work/SRC/openSUSE:Factory/javacc3 (Old)
 and  /work/SRC/openSUSE:Factory/.javacc3.new (New)


Package is "javacc3"

Wed Sep 13 22:22:43 2017 rev:15 rq:522905 version:3.2

Changes:

--- /work/SRC/openSUSE:Factory/javacc3/javacc3.changes  2017-01-25 
22:42:18.114518323 +0100
+++ /work/SRC/openSUSE:Factory/.javacc3.new/javacc3.changes 2017-09-13 
22:22:44.467753533 +0200
@@ -1,0 +2,6 @@
+Sun Sep 10 19:03:06 UTC 2017 - fst...@suse.com
+
+- Build require java-devel = 1.8.0, since it is the last version
+  that is able to build this package
+
+---



Other differences:
--
++ javacc3.spec ++
--- /var/tmp/diff_new_pack.pNUKKn/_old  2017-09-13 22:22:48.183230464 +0200
+++ /var/tmp/diff_new_pack.pNUKKn/_new  2017-09-13 22:22:48.187229901 +0200
@@ -43,7 +43,7 @@
 BuildArch:  noarch
 Requires:   javapackages-tools
 BuildRequires:  ant
-BuildRequires:  java-devel
+BuildRequires:  java-devel = 1.8.0
 
 %description 
 Java Compiler Compiler (JavaCC) is the most popular parser generator




commit mysql-connector-java for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package mysql-connector-java for 
openSUSE:Factory checked in at 2017-09-13 22:22:37

Comparing /work/SRC/openSUSE:Factory/mysql-connector-java (Old)
 and  /work/SRC/openSUSE:Factory/.mysql-connector-java.new (New)


Package is "mysql-connector-java"

Wed Sep 13 22:22:37 2017 rev:28 rq:522893 version:5.1.43

Changes:

--- 
/work/SRC/openSUSE:Factory/mysql-connector-java/mysql-connector-java.changes
2017-08-24 18:22:34.521468520 +0200
+++ 
/work/SRC/openSUSE:Factory/.mysql-connector-java.new/mysql-connector-java.changes
   2017-09-13 22:22:38.280624564 +0200
@@ -1,0 +2,6 @@
+Sun Sep 10 13:49:02 UTC 2017 - fst...@suse.com
+
+- Require for building java-devel = 1.8.0, since this package needs
+  a javac compiler able to build with source and target level 1.5
+
+---



Other differences:
--
++ mysql-connector-java.spec ++
--- /var/tmp/diff_new_pack.BMqo7d/_old  2017-09-13 22:22:40.264345294 +0200
+++ /var/tmp/diff_new_pack.BMqo7d/_new  2017-09-13 22:22:40.264345294 +0200
@@ -36,7 +36,7 @@
 BuildRequires:  ant-contrib
 BuildRequires:  apache-commons-logging
 BuildRequires:  geronimo-jta-1_1-api
-BuildRequires:  java-devel >= 1.8.0
+BuildRequires:  java-devel = 1.8.0
 BuildRequires:  javapackages-local
 BuildRequires:  javapackages-tools
 BuildRequires:  junit




commit saxon9 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package saxon9 for openSUSE:Factory checked 
in at 2017-09-13 22:22:13

Comparing /work/SRC/openSUSE:Factory/saxon9 (Old)
 and  /work/SRC/openSUSE:Factory/.saxon9.new (New)


Package is "saxon9"

Wed Sep 13 22:22:13 2017 rev:15 rq:522886 version:9.4.0.7

Changes:

--- /work/SRC/openSUSE:Factory/saxon9/saxon9.changes2017-05-31 
13:29:53.891041487 +0200
+++ /work/SRC/openSUSE:Factory/.saxon9.new/saxon9.changes   2017-09-13 
22:22:22.302873931 +0200
@@ -1,0 +2,8 @@
+Sun Sep 10 12:55:02 UTC 2017 - fst...@suse.com
+
+- Specify java source and target level 1.6 in order to allow
+  building with jdk9
+- Disable doclint when building the documentation, since jdk9's
+  javadoc bails out on errors
+
+---



Other differences:
--
++ saxon9.spec ++
--- /var/tmp/diff_new_pack.6LiEBM/_old  2017-09-13 22:22:24.174610426 +0200
+++ /var/tmp/diff_new_pack.6LiEBM/_new  2017-09-13 22:22:24.178609862 +0200
@@ -131,7 +131,8 @@
 
 export CLASSPATH=%(build-classpath xml-commons-apis jdom xom bea-stax-api 
dom4j xml-commons-resolver12)
 ant \
-  -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 \
+  -Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 \
+  -Dant.build.javadoc.source=1.6 \
   -Dj2se.javadoc=%{_javadocdir}/java \
   -Djdom.javadoc=%{_javadocdir}/jdom
 



++ saxon9.build.script ++
--- /var/tmp/diff_new_pack.6LiEBM/_old  2017-09-13 22:22:24.266597476 +0200
+++ /var/tmp/diff_new_pack.6LiEBM/_new  2017-09-13 22:22:24.266597476 +0200
@@ -61,6 +61,7 @@
 version="true"
 packagenames="net.sf.saxon.*,org.w3c.xsl.*"
 encoding="ISO-8859-1"
+additionalparam="-Xdoclint:none"
   >
   
   




commit relaxngDatatype for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package relaxngDatatype for openSUSE:Factory 
checked in at 2017-09-13 22:22:04

Comparing /work/SRC/openSUSE:Factory/relaxngDatatype (Old)
 and  /work/SRC/openSUSE:Factory/.relaxngDatatype.new (New)


Package is "relaxngDatatype"

Wed Sep 13 22:22:04 2017 rev:16 rq:522866 version:1.0

Changes:

--- /work/SRC/openSUSE:Factory/relaxngDatatype/relaxngDatatype.changes  
2017-06-10 18:33:34.343013642 +0200
+++ /work/SRC/openSUSE:Factory/.relaxngDatatype.new/relaxngDatatype.changes 
2017-09-13 22:22:11.132446519 +0200
@@ -1,0 +2,6 @@
+Sun Sep 10 07:09:02 UTC 2017 - fst...@suse.com
+
+- Specify java source and target levels 1.6 in order to allow
+  building with jdk9
+
+---



Other differences:
--
++ relaxngDatatype.spec ++
--- /var/tmp/diff_new_pack.d8tTQx/_old  2017-09-13 22:22:11.784354742 +0200
+++ /var/tmp/diff_new_pack.d8tTQx/_new  2017-09-13 22:22:11.788354179 +0200
@@ -46,7 +46,7 @@
 %build
 ant \
 -Dbuild.sysclasspath=only \
--Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5
+-Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6
 
 %install
 install -Dpm 644 %{name}.jar \




commit oro for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package oro for openSUSE:Factory checked in 
at 2017-09-13 22:21:51

Comparing /work/SRC/openSUSE:Factory/oro (Old)
 and  /work/SRC/openSUSE:Factory/.oro.new (New)


Package is "oro"

Wed Sep 13 22:21:51 2017 rev:19 rq:522865 version:2.0.8

Changes:

--- /work/SRC/openSUSE:Factory/oro/oro.changes  2017-06-10 18:33:11.262277071 
+0200
+++ /work/SRC/openSUSE:Factory/.oro.new/oro.changes 2017-09-13 
22:22:00.729911002 +0200
@@ -1,0 +2,6 @@
+Sun Sep 10 07:06:34 UTC 2017 - fst...@suse.com
+
+- Specify java source and target level 1.6 in order to allow
+  building with jdk9
+
+---



Other differences:
--
++ oro.spec ++
--- /var/tmp/diff_new_pack.CAd4zN/_old  2017-09-13 22:22:01.857752223 +0200
+++ /var/tmp/diff_new_pack.CAd4zN/_new  2017-09-13 22:22:01.861751660 +0200
@@ -53,7 +53,7 @@
 
 %build
 ant \
-   -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 \
+   -Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 \
-Dfinal.name=%{name} jar
 
 %install




commit servletapi4 for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package servletapi4 for openSUSE:Factory 
checked in at 2017-09-13 22:22:25

Comparing /work/SRC/openSUSE:Factory/servletapi4 (Old)
 and  /work/SRC/openSUSE:Factory/.servletapi4.new (New)


Package is "servletapi4"

Wed Sep 13 22:22:25 2017 rev:19 rq:522887 version:4.0.4

Changes:

--- /work/SRC/openSUSE:Factory/servletapi4/servletapi4.changes  2015-10-14 
16:41:23.0 +0200
+++ /work/SRC/openSUSE:Factory/.servletapi4.new/servletapi4.changes 
2017-09-13 22:22:28.038066524 +0200
@@ -1,0 +2,11 @@
+Sun Sep 10 13:00:57 UTC 2017 - fst...@suse.com
+
+- Removed patch:
+  * java150_build.patch
+- Added patch:
+  * java160_build.patch
++ Specify java source and target level 1.6 in order to allow
+  building with jdk9
++ Disable doclint, since errors of javadoc in jdk9 are fatal
+
+---

Old:

  java150_build.patch

New:

  java160_build.patch



Other differences:
--
++ servletapi4.spec ++
--- /var/tmp/diff_new_pack.YXmeFP/_old  2017-09-13 22:22:28.813957293 +0200
+++ /var/tmp/diff_new_pack.YXmeFP/_new  2017-09-13 22:22:28.817956729 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package servletapi4
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,7 +26,7 @@
 Group:  Development/Libraries/Java
 Url:http://jakarta.apache.org/tomcat/
 Source: %{full_name}-4-src.tar.gz
-Patch150:   java150_build.patch
+Patch160:   java160_build.patch
 BuildRequires:  ant
 BuildRequires:  ant >= 1.2
 BuildRequires:  java-devel >= 1.7.0
@@ -56,7 +56,7 @@
 
 %prep
 %setup -q -n %{full_name}-4-src
-%patch150 -p1
+%patch160 -p1
 
 %build
 ant dist -Dservletapi.build=build -Dservletapi.dist=dist

++ java150_build.patch -> java160_build.patch ++
--- /work/SRC/openSUSE:Factory/servletapi4/java150_build.patch  2011-09-23 
12:46:01.0 +0200
+++ /work/SRC/openSUSE:Factory/.servletapi4.new/java160_build.patch 
2017-09-13 22:22:27.490143661 +0200
@@ -6,7 +6,7 @@
  
  
  
  
@@ -14,7 +14,7 @@

  
  

commit slf4j for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package slf4j for openSUSE:Factory checked 
in at 2017-09-13 22:22:32

Comparing /work/SRC/openSUSE:Factory/slf4j (Old)
 and  /work/SRC/openSUSE:Factory/.slf4j.new (New)


Package is "slf4j"

Wed Sep 13 22:22:32 2017 rev:13 rq:522892 version:1.7.12

Changes:

--- /work/SRC/openSUSE:Factory/slf4j/slf4j.changes  2017-05-31 
13:30:49.107258564 +0200
+++ /work/SRC/openSUSE:Factory/.slf4j.new/slf4j.changes 2017-09-13 
22:22:33.893242225 +0200
@@ -1,0 +2,8 @@
+Sun Sep 10 13:38:22 UTC 2017 - fst...@suse.com
+
+- Specify java source and target levels 1.6 in order to allow
+  building with jdk9
+- Disable doclint to avoid bailing out on formatting errors
+- Recompress the build.xml.tar.bz2, so that it is a real tar.bz2 
+
+---



Other differences:
--
++ slf4j.spec ++
--- /var/tmp/diff_new_pack.GSq3Bo/_old  2017-09-13 22:22:34.913098648 +0200
+++ /var/tmp/diff_new_pack.GSq3Bo/_new  2017-09-13 22:22:34.913098648 +0200
@@ -73,7 +73,7 @@
 
 %prep
 %setup -q
-tar xf %{SOURCE1}
+tar xjf %{SOURCE1}
 %patch1 -p1
 find . -name "*.jar" | xargs rm
 

++ build.xml.tar.bz2 ++
 5249 lines of diff (skipped)




commit axis for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package axis for openSUSE:Factory checked in 
at 2017-09-13 22:21:42

Comparing /work/SRC/openSUSE:Factory/axis (Old)
 and  /work/SRC/openSUSE:Factory/.axis.new (New)


Package is "axis"

Wed Sep 13 22:21:42 2017 rev:27 rq:522861 version:1.4

Changes:

--- /work/SRC/openSUSE:Factory/axis/axis.changes2017-05-31 
13:28:34.614215711 +0200
+++ /work/SRC/openSUSE:Factory/.axis.new/axis.changes   2017-09-13 
22:21:49.131543837 +0200
@@ -1,0 +2,6 @@
+Sun Sep 10 06:41:34 UTC 2017 - fst...@suse.com
+
+- Requires for build java-devel = 1.8.0 since it is the last
+  version able to build with source and target levels 1.3
+
+---



Other differences:
--
++ axis.spec ++
--- /var/tmp/diff_new_pack.a79kyO/_old  2017-09-13 22:21:50.107406454 +0200
+++ /var/tmp/diff_new_pack.a79kyO/_new  2017-09-13 22:21:50.111405891 +0200
@@ -54,7 +54,8 @@
 BuildRequires:  classpathx-mail
 BuildRequires:  gnu-jaf
 BuildRequires:  jakarta-commons-discovery
-BuildRequires:  java-devel
+# JDK8 is the last one that is able to build with source and target levels 1.3
+BuildRequires:  java-devel = 1.8.0
 BuildRequires:  javapackages-local
 BuildRequires:  javapackages-tools
 BuildRequires:  junit




commit liblayout for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package liblayout for openSUSE:Factory 
checked in at 2017-09-13 22:21:18

Comparing /work/SRC/openSUSE:Factory/liblayout (Old)
 and  /work/SRC/openSUSE:Factory/.liblayout.new (New)


Package is "liblayout"

Wed Sep 13 22:21:18 2017 rev:4 rq:522290 version:0.2.10

Changes:

--- /work/SRC/openSUSE:Factory/liblayout/liblayout.changes  2014-07-19 
11:05:17.0 +0200
+++ /work/SRC/openSUSE:Factory/.liblayout.new/liblayout.changes 2017-09-13 
22:21:22.291322448 +0200
@@ -1,0 +2,6 @@
+Fri Sep  8 11:56:49 UTC 2017 - fst...@suse.com
+
+- Specify java source and target level 1.6 in order to allow
+  building with jdk9
+
+---



Other differences:
--
++ liblayout.spec ++
--- /var/tmp/diff_new_pack.zigT0X/_old  2017-09-13 22:21:23.115206460 +0200
+++ /var/tmp/diff_new_pack.zigT0X/_new  2017-09-13 22:21:23.119205897 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package liblayout
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -71,7 +71,7 @@
 
 %build
 ant \
--Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 \
+-Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 
-Dant.build.javadoc.source=1.6 \
 jar javadoc
 for file in README.txt licence-LGPL.txt ChangeLog.txt; do
 tr -d '\r' < $file > $file.new





commit apache-commons-lang for openSUSE:Factory

2017-09-13 Thread root
Hello community,

here is the log from the commit of package apache-commons-lang for 
openSUSE:Factory checked in at 2017-09-13 22:21:34

Comparing /work/SRC/openSUSE:Factory/apache-commons-lang (Old)
 and  /work/SRC/openSUSE:Factory/.apache-commons-lang.new (New)


Package is "apache-commons-lang"

Wed Sep 13 22:21:34 2017 rev:7 rq:522860 version:2.6

Changes:

--- /work/SRC/openSUSE:Factory/apache-commons-lang/apache-commons-lang.changes  
2017-05-31 13:29:10.741123571 +0200
+++ 
/work/SRC/openSUSE:Factory/.apache-commons-lang.new/apache-commons-lang.changes 
2017-09-13 22:21:38.565031408 +0200
@@ -1,0 +2,6 @@
+Sun Sep 10 06:27:42 UTC 2017 - fst...@suse.com
+
+- Require for build java-devel = 1.8.0, since it is the last
+  version being able to build with source and target levels < 1.5
+
+---



Other differences:
--
++ apache-commons-lang.spec ++
--- /var/tmp/diff_new_pack.MT5DkX/_old  2017-09-13 22:21:39.132951455 +0200
+++ /var/tmp/diff_new_pack.MT5DkX/_new  2017-09-13 22:21:39.136950892 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package apache-commons-lang
 #
-# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2000-2009, JPackage Project
 #
 # All modifications and additions to the file contributed by third parties
@@ -30,7 +30,8 @@
 Patch1: 0002-Fix-FastDateFormat-for-Java-7-behaviour.patch
 BuildRequires:  ant
 BuildRequires:  ant-junit
-BuildRequires:  java-devel >= 1.6.0
+# This is the last version that can build with source and target level 1.4
+BuildRequires:  java-devel = 1.8.0
 BuildRequires:  javapackages-local
 BuildRequires:  javapackages-tools
 BuildRequires:  junit




  1   2   3   4   >